2021-05-08  Stefan Reuther  <streu@gmx.de>

	-------------------- c2ng_2_40_10

2021-05-02  Stefan Reuther  <streu@gmx.de>

	* server/scripts/init/bin/runhost.sh: FLAK support

2021-05-01  Stefan Reuther  <streu@gmx.de>

	* game/config/userconfiguration.cpp: move most option definitions here so they are always initialized/present
	* client/map/distanceoverlay.cpp, client/map/distanceoverlay.hpp: new [ex client/chart/distancemode.h]

2021-04-30  Stefan Reuther  <streu@gmx.de>

	* client/map/messageoverlay.cpp, client/map/messageoverlay.hpp: new [ex client/chart/messagemode.h]
	* game/vcr/flak/algorithm.cpp: speed up by 40% by preloading configuration values

2021-04-27  Stefan Reuther  <streu@gmx.de>

	* server/play/vcrpacker.cpp: add initial FLAK support
	* client/map/keymapoverlay.cpp, client/map/keymapoverlay.hpp: new [ex client/chart/keymapmode.h]
	* client/si/keymaphandler.cpp, client/si/keymaphandler.hpp: new [ex client/keymaphandler.h]

2021-04-26  Stefan Reuther  <streu@gmx.de>

	* game/interface/completionlist.cpp: complete keymaps

2021-04-24  Stefan Reuther  <streu@gmx.de>

	* game/sim/run.cpp: FLAK support
	* game/v3/loader.cpp: FLAK support
	* game/vcr/flak/algorithm.cpp, game/vcr/flak/algorithm.hpp: new [ex flak/flak.cc]
	* game/vcr/flak/battle.cpp, game/vcr/flak/battle.hpp: new [ex flak/flak-db.cc]
	* game/vcr/flak/configuration.cpp, game/vcr/flak/configuration.hpp: new [ex flak/flakconf.cc]
	* game/vcr/flak/database.cpp, game/vcr/flak/database.hpp: new [ex flak/flak-db.cc]
	* game/vcr/flak/definitions.hpp: new [ex flak/flakdefs.h]
	* game/vcr/flak/environment.hpp: new [ex flak/flak-port.h]
	* game/vcr/flak/gameenvironment.cpp, game/vcr/flak/gameenvironment.hpp: new [ex flak/flak-port.h]
	* game/vcr/flak/nullvisualizer.cpp, game/vcr/flak/nullvisualizer.hpp: new [ex flak/flak-vis.cc]
	* game/vcr/flak/object.cpp, game/vcr/flak/object.hpp: new
	* game/vcr/flak/position.cpp, game/vcr/flak/position.hpp: new [ex flak/flak.h]
	* game/vcr/flak/setup.cpp, game/vcr/flak/setup.hpp: new [ex flak/flak.cc, flak/flak-gen.cc]
	* game/vcr/flak/structures.cpp, game/vcr/flak/structures.hpp: new [ex flak/flakdefs.h]
	* game/vcr/flak/visualizer.hpp: new [ex flak/flak.h]
	* testapps/testflak.cpp: new [ex flak/pdk-play.cc]

2021-04-17  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/entercoordinates.cpp, client/dialogs/entercoordinates.hpp: new [ex client/dialogs/gotoxydlg.cc]
	* client/screens/controlscreen.cpp: implement map double-click, background image
	* game/proxy/drawingproxy.cpp: avoid building up lag
	* game/proxy/maplocationproxy.cpp: avoid building up lag

2021-04-14  Stefan Reuther  <streu@gmx.de>

	* ui/widgets/alignedcontainer.cpp, ui/widgets/alignedcontainer.hpp: new [ex ui/widgets/alignwidget.cc]
	* ui/widgets/treelistbox.cpp, ui/widgets/treelistbox.hpp: new [ex ui/widgets/tree.cc]

2021-04-11  Stefan Reuther  <streu@gmx.de>

	* game/map/shippredictor.cpp (getOptimumWarp): new [ex game/ship-form.cc]

2021-04-10  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/historyship.cpp, client/dialogs/historyship.hpp: new [ex client/dialogs/histselect.h]
	* client/widgets/historyshiplistbox.cpp, client/widgets/historyshiplistbox.hpp: new
	* game/proxy/historyshiplistproxy.cpp, game/proxy/historyshiplistproxy.hpp: new
	* game/ref/historyshiplist.cpp, game/ref/historyshiplist.hpp: new [client/widgets/histlist.h]
	* game/ref/historyshipselection.cpp, game/ref/historyshipselection.hpp: new [client/widgets/histlist.h]

2021-04-05  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/multitransfer.cpp, client/dialogs/multitransfer.hpp: new [client/dialogs/multitransfer.h]
	* game/actions/cargotransfer.cpp: reduce number of signalisations, so update a CargoTransferProxy is O(n), not O(n^2)
	* game/actions/multitransfersetup.cpp, game/actions/multitransfersetup.hpp: new [client/dialogs/multitransfer.h]
	* game/cargocontainer.hpp (getInfo1, getInfo2): new [client/dialogs/multitransfer.h]
	* ui/widgets/menuframe.cpp: provide a ColorScheme in case list doesn't fill entire widget

2021-04-03  Stefan Reuther  <streu@gmx.de>

	* client/si/control.hpp: simplify: do not pass UserSide to Control
	* client/si/usercall.hpp: simplify: do not pass UserSide+Control
	* client/si/usertask.hpp: simplify: do not pass UserSide+Control
	* client/widgets/expressionlist.cpp, client/widgets/expressionlist.hpp: new [ex client/widgets/lrupopup.h]
	* game/config/expressionlists.cpp, game/config/expressionlists.hpp: new [ex client/lrupredef.h]
	* game/map/minefield.cpp (addReport): handle minefield being laid, then immediately swept [PCC 2.0.11]
	* game/map/minefieldtype.cpp (internalCheck): handle minefield being laid, then immediately swept [PCC 2.0.11]
	* game/map/selections.cpp: make it possible to access layer by relative reference
	* game/map/ship.cpp (combinedCheck1): do not delete ships that we see reliably even if history says they are dead [PCC 2.0.11]
	* game/proxy/expressionlistproxy.cpp, game/proxy/expressionlistproxy.hpp: new
	* game/test/simpleenvironment.cpp, game/test/simpleenvironment.hpp: new
	* util/expressionlist.cpp, util/expressionlist.hpp: new [ex client/lru.h]

2021-03-31  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/notifications.cpp, client/dialogs/notifications.hpp: new [ex client/dialogs/notifydlg.cc]

2021-03-28  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/inboxdialog.cpp: implement go-to-object
	* client/dialogs/navchartdialog.cpp: implement go-to-object
	* client/dialogs/subjectlist.cpp, client/dialogs/subjectlist.hpp: new [ex client/dlg-subject.h]
	* client/dialogs/visualscandialog.cpp: implement per-ship messages

2021-03-27  Stefan Reuther  <streu@gmx.de>

	* game/msg/browser.cpp, game/msg/browser.hpp: new (split off client/dialogs/inboxdialog.cpp)
	* game/proxy/inboxadaptor.cpp, game/proxy/inboxadaptor.hpp: new
	* game/proxy/mailboxadaptor.hpp: new
	* game/proxy/mailboxproxy.cpp, game/proxy/mailboxproxy.hpp: new (split off client/dialogs/inboxdialog.cpp)

2021-03-26  Stefan Reuther  <streu@gmx.de>

	* client/tiles/visualscanheadertile.cpp: render message markers
	* client/widgets/controlscreenheader.cpp: render message markers

2021-03-25  Stefan Reuther  <streu@gmx.de>

	* client/map/renderer.cpp, game/map/renderer.cpp: render message markers

2021-03-24  Stefan Reuther  <streu@gmx.de>

	* game/msg/subsetmailbox.cpp, game/msg/subsetmailbox.hpp: new [ex game/proxymbox.h]
	* game/map/messagelink.cpp, game/map/messagelink.hpp: new
	* game/interface/inboxsubsetvalue.cpp, game/interface/inboxsubsetvalue.hpp: new [ex int/if/mapmsgif.h]

2021-03-20  Stefan Reuther  <streu@gmx.de>

	* client/widgets/vcrobjectinfo.cpp, client/widgets/vcrobjectinfo.hpp: new [ex client/widgets/vcrinfomain.h]
	* client/dialogs/classicvcrobject.cpp, client/dialogs/classicvcrobject.hpp: new [ex client/dialogs/vcrinfo.h]

2021-03-17  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/simulationresult.cpp: watch simulated battles
	* game/proxy/classicvcrplayerproxy.cpp, game/proxy/classicvcrplayerproxy.hpp: new (moved from client/vcr/classic/player.hpp)
	* game/proxy/vcrdatabaseadaptor.hpp: new (split off game/proxy/vcrdatabaseproxy.hpp)

2021-03-16  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/classicvcrdialog.cpp: add ability to browse simulated battles
	* game/proxy/vcrdatabaseproxy.cpp, game/proxy/vcrdatabaseproxy.hpp: new (split off client/dialogs/classicvcrdialog.cpp)
	* game/vcr/info.hpp: new
	* game/vcr/nulldatabase.cpp, game/vcr/nulldatabase.hpp: new

2021-03-13  Stefan Reuther  <streu@gmx.de>

	* game/interface/basetaskpredictor.cpp, game/interface/basetaskpredictor.hpp: new [ex int/if/basepred.h]
	* game/interface/shiptaskpredictor.cpp, game/interface/shiptaskpredictor.hpp: new [ex int/if/shippred.h]

2021-03-12  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/simulationresult.cpp, game/sim/resultlist.cpp, game/sim/unitresult.cpp: handle non-weight-1 battles correctly [from PCC2 2.0.11]

2021-03-11  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/buildparts.cpp, client/dialogs/buildparts.hpp: new [ex client/dlg-component.h]
	* game/proxy/buildpartsproxy.cpp, game/proxy/buildpartsproxy.hpp: new
	* game/proxy/techupgradeproxy.cpp, game/proxy/techupgradeproxy.hpp: new (split off client/dialogs/techupgradedialog.cpp)

2021-03-07  Stefan Reuther  <streu@gmx.de>

	* game/spec/fighter.hpp, game/spec/info/info.hpp: add FighterPage [ex client/widgets/ftrinfo.h] and missing spec values
	* ui/res/ccimageloader.cpp: fix pixel order for *.cc (4-bit) images

2021-03-06  Stefan Reuther  <streu@gmx.de>

	* share/specs/msgparse.ini: update from PCC2
	* testapps/msgparse.cpp: new test app
	* client/dialogs/buildship.cpp (onDetailedBill): new [ex client/dialogs/buildbilldlg.h]

2021-03-05  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/buildship.cpp, client/dialogs/buildship.hpp: new [ex client/dialogs/baseshipbuild.h, client/dialogs/shipbuilddlg.h]
	* client/widgets/componentlist.cpp, client/widgets/componentlist.hpp: new [ex client/wcomplist.h]
	* client/widgets/itemcostdisplay.cpp, client/widgets/itemcostdisplay.hpp: new [ex client/wcost.h]
	* game/proxy/basestorageproxy.cpp, game/proxy/basestorageproxy.hpp: new
	* game/proxy/buildshipproxy.cpp, game/proxy/buildshipproxy.hpp: new

2021-02-24  Stefan Reuther  <streu@gmx.de>

	* server/common/randomidgenerator.cpp (createId): fix typo causing it to hang after 256 tokens

2021-02-14  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/simulationresult.cpp, client/dialogs/simulationresult.hpp: new [ex client/scr-result.h]
	* client/widgets/simulationresultlist.cpp, client/widgets/simulationresultlist.hpp: new [ex client/scr-result.h]
	* client/widgets/stoppablebusyindicator.cpp, client/widgets/stoppablebusyindicator.hpp: new
	* game/proxy/simulationrunproxy.cpp, game/proxy/simulationrunproxy.hpp: new

2021-02-13  Stefan Reuther  <streu@gmx.de>

	* game/sim/runner.cpp: handle that run may not produce any results
	* game/sim/run.cpp (runSimulation): randomize friendly codes on first run

2021-02-08  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/ufoinfo.cpp, client/dialogs/ufoinfo.hpp: new [ex client/screens/ufoscreen.h, client/tiles/ufoinfo.h, client/tiles/ufosettings.h]
	* game/proxy/ufoproxy.cpp, game/proxy/ufoproxy.hpp: new

2021-02-07  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/ionstormforecast.cpp, client/dialogs/ionstormforecast.hpp: new [ex client/dialogs/ionforecast.h]
	* client/dialogs/ionstorminfo.cpp, client/dialogs/ionstorminfo.hpp: new [ex client/screens/ionscreen.h, client/tiles/ioninfo.h]
	* client/dialogs/ionstorminfo.cpp, client/dialogs/ionstorminfo.hpp: new [ex client/screens/ionscreen.h]
	* client/map/ionstormforecastoverlay.cpp, client/map/ionstormforecastoverlay.hpp: new [ex client/dialogs/ionforecast.h]
	* game/map/objecttype.hpp: rework/extend findNextObjectAt functions
	* game/proxy/ionstormproxy.cpp, game/proxy/ionstormproxy.hpp: new
	* game/searchquery.cpp (compileMatchAny): return true for objects that do not have an owner

2021-02-06  Stefan Reuther  <streu@gmx.de>

	* client/map/markrangeoverlay.cpp, client/map/markrangeoverlay.hpp: new [ex client/chart/selectmode.h]
	* game/proxy/maprendererproxy.cpp, game/proxy/maprendererproxy.hpp: moved here from client/map/proxy.hpp
	* util/requestsender.hpp (postRequest): new. Changed most proxies to use it.

2021-02-05  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/newdrawingtag.cpp, client/dialogs/newdrawingtag.hpp: new [ex client/dialogs/tagcreate.h]

2021-02-04  Stefan Reuther  <streu@gmx.de>

	* client/map/deletedrawingoverlay.cpp, client/map/deletedrawingoverlay.hpp: new [ex client/chart/deletedrawingmode.h]

2021-02-03  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/newdrawing.cpp, client/dialogs/newdrawing.hpp: new [ex client/dlg-draw.h]
	* client/map/drawcircleoverlay.cpp, client/map/drawcircleoverlay.hpp: new [ex client/chart/drawcirclemode.h]
	* client/map/drawlineoverlay.cpp, client/map/drawlineoverlay.hpp: new [ex client/chart/drawmarkermode.h]
	* client/map/markeroverlaybase.cpp, client/map/markeroverlaybase.hpp: new [ex client/chart/markermode.h]
	* client/map/movemarkeroverlay.cpp, client/map/movemarkeroverlay.hpp: new [ex client/chart/movemarkermode.h]
	* client/widgets/markerkindselector.cpp, client/widgets/markerkindselector.hpp: new [ex client/widgets/markertype.h]

2021-01-31  Stefan Reuther  <streu@gmx.de>

	* client/widgets/markercolorselector.cpp, client/widgets/markercolorselector.hpp: new [ex client/widgets/colorselect.cc]
	* game/proxy/drawingproxy.cpp, game/proxy/drawingproxy.hpp: new

2021-01-29  Stefan Reuther  <streu@gmx.de>

	* game/map/renderoptions.cpp: finalize option handling

2021-01-27  Stefan Reuther  <streu@gmx.de>

	* client/map/renderer.cpp: port entire PCC2 map renderer [ex client/chart.cc]
	* game/map/renderer.cpp: port entire PCC2 map renderer [ex client/chart.cc]

2021-01-24  Stefan Reuther  <streu@gmx.de>

	* game/config/markeroption.cpp, game/config/markeroption.hpp: new [ex client/markerconfig.h]

2021-01-20  Stefan Reuther  <streu@gmx.de>

	* game/map/minefield.cpp: implement minefield deletion
	* game/proxy/minefieldproxy.cpp: implement minefield deletion
	* client/dialogs/minefieldinfo.cpp: implement minefield deletion

2021-01-19  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/minefieldinfo.cpp, client/dialogs/minefieldinfo.hpp: new [ex client/screens/minescreen.cc, client/tiles/mineinfo.cc, client/tiles/minepassage.cc]
	* client/map/circleoverlay.cpp, client/map/circleoverlay.hpp: new [ex client/widgets/objchart.h]
	* game/proxy/minefieldproxy.cpp, game/proxy/minefieldproxy.hpp: new

2021-01-18  Stefan Reuther  <streu@gmx.de>

	* gfx/sdl2/engine.cpp: recognize Shift+NumPlus etc.

2021-01-13  Stefan Reuther  <streu@gmx.de>

	* ui/widgets/scrollbarcontainer.cpp, ui/widgets/scrollbarcontainer.hpp: new

2021-01-11  Stefan Reuther  <streu@gmx.de>

	* util/baseslaverequest.hpp, util/baseslaverequestsender.hpp, util/slaveobject.hpp, util/slaverequestsender.hpp: removed; all users converted to RequestSender::makeTemporary

2021-01-10  Stefan Reuther  <streu@gmx.de>

	* util/requestsender.hpp (RequestSender::makeTemporary): new; convert SimulationSetupProxy to use it

2021-01-09  Stefan Reuther  <streu@gmx.de>

	* util/layout.cpp, util/layout.hpp: new [ex c2web/host/score.cgi]

2021-01-08  Stefan Reuther  <streu@gmx.de>

	* ui/tooltip.cpp, ui/tooltip.hpp: new [ex ui/widgets/tooltip.h]

2021-01-05  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/scores.cpp, client/dialogs/scores.hpp: new [ex client/scr-score.cc]
	* game/proxy/scoreproxy.cpp, game/proxy/scoreproxy.hpp: new
	* game/score/chartbuilder.cpp, game/score/chartbuilder.hpp: new
	* game/score/scorebuilderbase.cpp, game/score/scorebuilderbase.hpp: new
	* game/score/tablebuilder.cpp, game/score/tablebuilder.hpp: new
	* ui/widgets/chart.cpp, ui/widgets/chart.hpp: new [ex client/wscorechart.cc]
	* util/datatable.cpp, util/datatable.hpp: new

2020-12-30  Stefan Reuther  <streu@gmx.de>

	* client/widgets/costsummarylist.cpp (getLayoutInfo): fix height computation
	* client/dialogs/visualscandialog.cpp: implement cargo summary, transfer, history [ex client/dlg-visual.cc]
	* ui/widgets/basedecimalselector.cpp, ui/widgets/basedecimalselector.hpp: new (split from ui/widgets/decimalselector.cpp)
	* ui/widgets/listlikedecimalselector.cpp, ui/widgets/listlikedecimalselector.hpp: new [ex ui/widgets/listlikenumbersel.cc]

2020-12-29  Stefan Reuther  <streu@gmx.de>

	* game/interface/completionlist.cpp: support completion of AddPref, Pref()
	* ui/widgets/focusiterator.cpp (handleKey): fix typo causing non-Home/Page keys to not work if Home/Page were enabled
	* game/map/planetpredictor.cpp: add population growth, experience [PCC 2.0.8]
	* client/dialogs/taxationdialog.cpp: population growth prediction [ex client/tiles/planetgrowth.cc]; add what-if (effector editor)
	* game/proxy/planetpredictorproxy.cpp, game/proxy/planetpredictorproxy.hpp: new

2020-12-26  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/sessionfileselectiondialog.cpp, client/dialogs/sessionfileselectiondialog.hpp: new
	* client/dialogs/simulationtransfer.cpp, client/dialogs/simulationtransfer.hpp: new [ex client/act-ship.cc]
	* game/proxy/simulationtransferproxy.cpp, game/proxy/simulationtransferproxy.hpp: new

2020-12-23  Stefan Reuther  <streu@gmx.de>

	* game/sim/transfer.cpp (copyShipFromBattle): new [ex client/widgets/vcrinfomain.cc]
	* game/vcr/objectinfo.cpp, game/vcr/objectinfo.hpp: new [ex client/widgets/vcrinfomain.cc]

2020-12-22  Stefan Reuther  <streu@gmx.de>

	* game/map/planet.cpp (Planet): preserve playability when copying; this broke PlanetInfoDialog::onGroundCombat
	* client/widgets/decayingmessage.cpp, client/widgets/decayingmessage.hpp: new [ex client/widgets/decaymsg.h]

2020-12-21  Stefan Reuther  <streu@gmx.de>

	* client/widgets/costsummarylist.cpp: implement footer
	* game/sim/sort.cpp, game/sim/sort.hpp: new [ex client/scr-sim.cc]

2020-12-20  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/simulationfleetcost.cpp, client/dialogs/simulationfleetcost.hpp: new [ex client/dialogs/fleetcost.h]
	* client/dialogs/simulationfleetcostoptions.cpp, client/dialogs/simulationfleetcostoptions.hpp: new [ex client/dialogs/fleetopts.h]
	* client/widgets/costsummarylist.cpp, client/widgets/costsummarylist.hpp: new [ex client/widgets/billdisplay.h]
	* game/proxy/fleetcostproxy.cpp, game/proxy/fleetcostproxy.hpp: new
	* game/sim/fleetcost.cpp, game/sim/fleetcost.hpp: new [ex client/dialogs/fleetcost.h]
	* game/spec/costsummary.cpp, game/spec/costsummary.hpp: new

2020-12-19  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/simulationbasetorpedoes.cpp, client/dialogs/simulationbasetorpedoes.hpp: new [ex client/dialogs/simplanettorps.h]
	* client/dialogs/simulationconfiguration.cpp, client/dialogs/simulationconfiguration.hpp: new [ex client/dialogs/simfunction.h]

2020-12-18  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/simulationabilities.cpp, client/dialogs/simulationabilities.hpp: new [ex client/dialogs/simfunction.h]
	* client/dialogs/simulator.cpp, client/dialogs/simulator.hpp: new [ex client/scr-sim.h]
	* client/widgets/simulationlist.cpp, client/widgets/simulationlist.hpp: new [ex client/widgets/simlist.h]
	* client/widgets/simulationobjectinfo.cpp, client/widgets/simulationobjectinfo.hpp: new [ex client/scr-sim.h, client/widgets/simplanetedit.h]
	* game/proxy/simulationsetupproxy.cpp, game/proxy/simulationsetupproxy.hpp: new
	* game/sim/gameinterface.hpp: new [ex game/sim-if.h]
	* game/sim/session.cpp, game/sim/session.hpp: new
	* game/sim/sessionextra.cpp, game/sim/sessionextra.hpp: new [ex game/sim-game.h]
	* ui/widgets/combobox.cpp, ui/widgets/combobox.hpp: new [ex ui/combobox.h]
	* ui/widgets/simpletable.cpp (setColorString): new

2020-12-05  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/searchdialog.cpp: implement "Mark" menu
	* client/widgets/hullspecificationsheet.cpp: show hull functions
	* game/proxy/hullspecificationproxy.cpp: publish hull functions
	* share/resource/core_ui.q (ShipBaseMenu): implement Fix/Recycle

2020-12-04  Stefan Reuther  <streu@gmx.de>

	* client/cargotransfer.cpp: add conflict resolution
	* game/browser/filesystemfolder.cpp: handle gamestat.dat (Winplan game index) [ex client/widgets/dirchoose.cc]
	* game/proxy/cargotransfersetupproxy.cpp: add conflict resolution

2020-12-01  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/cargotransferdialog.cpp: add Overload Mode
	* game/proxy/cargotransferproxy.cpp: add Overload Mode

2020-11-29  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/teamsettings.cpp, client/dialogs/teamsettings.hpp: new [ex client/dialogs/teamedit.cc, client/widgets/teamgrid.cc, client/widgets/teamname.cc]
	* game/proxy/teamproxy.cpp, game/proxy/teamproxy.hpp: new

2020-11-28  Stefan Reuther  <streu@gmx.de>

	* ui/widgets/icongrid.cpp, ui/widgets/icongrid.hpp: new [ex ui/widgets/icongrid.h]

2020-11-27  Stefan Reuther  <streu@gmx.de>

	* ui/icons/stylableicon.cpp: new; reworked from ui/rich/stylableobject.hpp

2020-11-26  Stefan Reuther  <streu@gmx.de>

	* ui/rich/blockobject.hpp: replace by ui/icons/icon.hpp

2020-11-25  Stefan Reuther  <streu@gmx.de>

	* gfx/types.hpp: introduce types for HorizontalAlignment, VerticalAlignment
	* ui/widgets/basebutton.cpp, ui/widgets/basebutton.hpp: reworked from ui/widgets/abstractbutton.hpp
	* ui/icons/icon.hpp etc.: new

2020-11-18  Stefan Reuther  <streu@gmx.de>

	* game/v3/attachmentconfiguration.cpp, game/v3/attachmentconfiguration.hpp: new

2020-11-16  Stefan Reuther  <streu@gmx.de>

	* game/v3/attachmentunpacker.cpp, game/v3/attachmentunpacker.hpp: new

2020-11-10  Stefan Reuther  <streu@gmx.de>

	* server/scripts/init/bin/runhost.sh: publish xtrfcode.txt by default

2020-11-08  Stefan Reuther  <streu@gmx.de>

	* interpreter/world.hpp: move Translator instance here from game::Session

2020-11-04  Stefan Reuther  <streu@gmx.de>

	* interpreter/processlist.cpp (removeTerminatedProcesses): fix crash when called recursively

2020-11-03  Stefan Reuther  <streu@gmx.de>

	* game/session.cpp (getTaskStatus): new [ex client/tiles/csheader.cc]
	* client/si/commandtask.cpp: mark process as started from correct context (markContextTOS)

2020-10-31  Stefan Reuther  <streu@gmx.de>

	* Rules.pl: rework testsuite to produce multiple smaller individual binaries; MinGW has problems building the big one
	* interpreter/test/contextverifier.cpp, interpreter/test/contextverifier.hpp: moved here from u/
	* interpreter/test/expressionverifier.cpp, interpreter/test/expressionverifier.hpp: moved here from u/
	* server/test/consolecommandhandlermock.cpp, server/test/consolecommandhandlermock.hpp: moved here from u/
	* server/test/terminalverifier.hpp: moved here from u/

2020-10-30  Stefan Reuther  <streu@gmx.de>

	* game/test/counter.hpp: moved here from u/
	* game/test/files.cpp, game/test/files.hpp: moved here from u/

2020-10-28  Stefan Reuther  <streu@gmx.de>

	* server/host/hostturn.cpp (setTemporary): wind up hostDelay timer after marking turn final, so host doesn't run immediately

2020-10-24  Stefan Reuther  <streu@gmx.de>

	* game/map/drawing.cpp: rework distance computations

2020-10-21  Stefan Reuther  <streu@gmx.de>

	-------------------- c2ng_2_40_9

2020-10-18  Stefan Reuther  <streu@gmx.de>

	* game/parser/messageparser.cpp: fix potential crash if template fails to provide a value for ID
	* game/map/explosiontype.cpp: implement message info processing (explosions from message/utildata, not kore)
	* game/map/ionstorm.cpp: implement message info processing (ion storms from message/utildata, not kore)

2020-10-17  Stefan Reuther  <streu@gmx.de>

	* game/sim/runner.hpp: class Job must be publicly visible

2020-10-12  Stefan Reuther  <streu@gmx.de>

	* game/map/objecttype.hpp: remove getUniverseByIndex() interface method and all implementations, removing some cyclic dependencies
	* game/map/ufotype.cpp: implement Ufo/Wormhole merging

2020-10-11  Stefan Reuther  <streu@gmx.de>

	* game/session.cpp: inline some methods to reduce link dependencies
	* game/sim/consoleapplication.cpp, game/sim/consoleapplication.hpp: new [ex mergeccb.pas, vastly expanded]
	* game/sim/ship.cpp (isMatchingShipList): strengthen checks a little
	* main/c2simtool.cpp: new

2020-10-09  Stefan Reuther  <streu@gmx.de>

	* game/sim/parallelrunner.cpp, game/sim/parallelrunner.hpp: new
	* game/sim/runner.cpp, game/sim/runner.hpp: new
	* game/sim/simplerunner.cpp, game/sim/simplerunner.hpp: new
	* util/stopsignal.hpp: new

2020-10-04  Stefan Reuther  <streu@gmx.de>

	* game/map/planetformula.cpp (getMaxSupportedColonists): fix Tholian case (esp. CrystalSinTempBehavior=Yes)

2020-10-02  Stefan Reuther  <streu@gmx.de>

	* client/si/remotecontrol.cpp: new; used in VisualScanDialog [ex client/remote.cc]
	* game/proxy/reverterproxy.cpp, game/proxy/reverterproxy.hpp: new
	* client/dialogs/revertdialog.cpp, client/dialogs/revertdialog.hpp: new [ex client/dialogs/resetdlg.cc]

2020-10-01  Stefan Reuther  <streu@gmx.de>

	* game/v3/reverter.cpp: implement LocationReverter [ex game/reset.cc]
	* game/map/locationreverter.hpp: new

2020-09-27  Stefan Reuther  <streu@gmx.de>

	* game/actions/cargotransfersetup.cpp: remove InterpreterInterface parameter; all callers and all CargoContainers adapted
	* game/sim/transfer.cpp, game/sim/transfer.hpp: new [ex game/sim-game.cc]

2020-09-25  Stefan Reuther  <streu@gmx.de>

	* game/sim/run.cpp: clean up friendly code usage
	* game/sim/run.cpp: fix interaction between 'NT1' and Cloaked Fighter Bays; was losing way too many fighters [#416]

2020-09-22  Stefan Reuther  <streu@gmx.de>

	* game/sim/object.hpp: implement implicit Double-Beam-Charge for Klingons [PCC2 #415]

2020-09-20  Stefan Reuther  <streu@gmx.de>

	* game/sim/run.cpp, game/sim/run.hpp: new [ex game/sim-run.h]

2020-09-19  Stefan Reuther  <streu@gmx.de>

	* game/sim/classresult.cpp, game/sim/classresult.hpp: new [ex game/sim-result.h]
	* game/sim/result.cpp, game/sim/result.hpp: new [ex game/sim-run.h]
	* game/sim/resultlist.cpp, game/sim/resultlist.hpp: new [ex game/sim-result.h]
	* game/sim/unitresult.cpp, game/sim/unitresult.hpp: new [ex game/sim-result.h]

2020-09-13  Stefan Reuther  <streu@gmx.de>

	* game/proxy/hullspecificationproxy.cpp: use PictureNamer; remove dependency on ui/

2020-09-12  Stefan Reuther  <streu@gmx.de>

	* game/hostversion.cpp (isAlchemyRounding): always return false; rule does not apply to any known host version

2020-09-11  Stefan Reuther  <streu@gmx.de>

	* game/map/shippredictor.cpp: port PCC2 2.0.3 changes

2020-09-05  Stefan Reuther  <streu@gmx.de>

	* server/scripts/init_host.con: make it possible to run it from an install tree, not only from a source tree

2020-09-02  Stefan Reuther  <streu@gmx.de>

	* game/session.cpp: moved ProcessList here from interpreter/world.cpp to reduce cyclic dependencies
	* game/map/minefieldmission.cpp: choose first applicable minefield, not closest one, for PHost (d'ooh!)

2020-08-30  Stefan Reuther  <streu@gmx.de>

	* game/interface/completionlist.cpp: add file-name completion

2020-08-28  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/selectionmanager.cpp: new [ex client/dialogs/selmgr.cc]
	* game/map/selectionvector.cpp (executeCompiledExpression): fix handling of opCurrent; refers to current, not target selection
	* game/proxy/selectionproxy.cpp: new
	* interpreter/filefunctions.cpp (IFAppendFileNameExtension): new
	* ui/widgets/inputline.cpp: default font is big one (as in PCC1)

2020-08-27  Stefan Reuther  <streu@gmx.de>

	* scripts/doc.pl: sync from PCC2
	* server/interface/hostgame.hpp: add ability to filter games by host/shiplist/master/tool
	* server/host/hostgame.cpp: add ability to filter games by host/shiplist/master/tool

2020-08-26  Stefan Reuther  <streu@gmx.de>

	* game/nu/turnloader.cpp: quick&dirty VCR loader

2020-08-25  Stefan Reuther  <streu@gmx.de>

	* game/map/configuration.cpp: fix minor issues with circular wrap
	* game/v3/registrationkey.cpp (unpackFromBytes): also make key valid; required for HostKey to correctly report database keys

2020-08-21  Stefan Reuther  <streu@gmx.de>

	* server/host/hostkey.cpp, server/host/hostkey.hpp: new, provide key list API
	* server/interface/hostkey.hpp: new
	* server/interface/hostkeyclient.cpp, server/interface/hostkeyclient.hpp: new
	* server/interface/hostkeyserver.cpp, server/interface/hostkeyserver.hpp: new

2020-08-20  Stefan Reuther  <streu@gmx.de>

	* server/file/filegame.cpp: publish key Id, implement filter options on listKeyInfo
	* server/host/hostturn.cpp: store uploaded keys
	* server/host/keystore.cpp, server/host/keystore.hpp: new
	* server/interface/filegame.hpp: publish key Id, implement filter options on listKeyInfo

2020-08-19  Stefan Reuther  <streu@gmx.de>

	* game/v3/registrationkey.cpp: rework interface a little
	* server/host/exporter.cpp (importLogFiles): import log files (runhost.log, c2host.ini) into filer. Improve logging.

2020-08-17  Stefan Reuther  <streu@gmx.de>

	* game/proxy/lockproxy.cpp: new [moved here from client/proxy/lockproxy.cpp]
	* game/proxy/maplocationproxy.cpp: new [moved here from client/proxy/maplocationproxy.cpp]
	* game/proxy/mutexlistproxy.cpp: new [moved here from client/proxy/mutexlistproxy.cpp]
	* game/proxy/planetinfoproxy.cpp: new [moved here from client/proxy/planetinfoproxy.cpp]
	* game/proxy/processlistproxy.cpp: new [moved here from client/proxy/processlistproxy.cpp]
	* game/proxy/searchproxy.cpp: new [moved here from client/proxy/searchproxy.cpp]
	* game/proxy/specbrowserproxy.cpp: new [moved here from client/proxy/specbrowserproxy.cpp]
	* game/proxy/taskeditorproxy.cpp: new [moved here from client/proxy/taskeditorproxy.cpp]

2020-08-15  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/helpdialog.cpp: move HelpProxy here
	* game/map/objectcursorfactory.hpp: new [moved here from client/objectcursorfactory.hpp]
	* game/proxy/buildqueueproxy.cpp: new [moved here from client/proxy/buildqueueproxy.cpp]
	* game/proxy/buildstarbaseproxy.cpp: new [moved here from client/proxy/buildstarbaseproxy.cpp]
	* game/proxy/buildstructuresproxy.cpp: new [moved here from client/proxy/buildstructuresproxy.cpp]
	* game/proxy/cargotransferproxy.cpp: new [moved here from client/proxy/cargotransferproxy.cpp]
	* game/proxy/cargotransfersetupproxy.cpp: new [moved here from client/proxy/cargotransfersetupproxy.cpp]
	* game/proxy/chunnelproxy.cpp: new [moved here from client/proxy/chunnelproxy.cpp]
	* game/proxy/convertsuppliesproxy.cpp: new [moved here from client/proxy/convertsuppliesproxy.cpp]
	* game/proxy/cursorobserverproxy.cpp: new [moved here from client/proxy/cursorobserverproxy.cpp]
	* game/proxy/hullspecificationproxy.cpp: new [moved here from client/proxy/hullspecificationproxy.cpp]
	* game/proxy/objectlistener.hpp: new [moved here from client/proxy/objectlistener.hpp]
	* game/proxy/objectobserver.hpp: new [moved here from client/proxy/objectobserver.hpp]
	* game/proxy/referencelistproxy.cpp: new [moved here from client/proxy/referencelistproxy.cpp]
	* game/proxy/referenceobserverproxy.cpp: new [moved here from client/proxy/referenceobserverproxy.cpp]

2020-08-11  Stefan Reuther  <streu@gmx.de>

	* game/map/planetformula.cpp (getNativeSafeTax): fix typo causing it to report too high values
	* game/proxy/friendlycodeproxy.cpp: new [moved here from client/proxy/friendlycodeproxy.cpp]
	* game/proxy/taxationproxy.cpp: new [moved here from client/proxy/taxationproxy.cpp]

2020-08-09  Stefan Reuther  <streu@gmx.de>

	* game/playerarray.hpp: add constructor
	* game/proxy/commandlistproxy.cpp: new [moved here from client/proxy/commandlistproxy.cpp]
	* game/proxy/configurationproxy.cpp: new [moved here from client/proxy/configurationproxy.cpp]
	* game/proxy/keymapproxy.cpp: new [moved here from client/proxy/keymapproxy.cpp]
	* game/proxy/playerproxy.hpp: new [moved here from client/proxy/playerproxy.cpp]
	* game/proxy/shipspeedproxy.cpp: new [moved here from client/proxy/shipspeedproxy.cpp]
	* game/proxy/waitindicator.cpp: new [split off client/downlink.hpp]
	* game/test/sessionthread.cpp: new
	* game/test/waitindicator.cpp: new
	* util/simplerequestdispatcher.cpp: new

2020-08-08  Stefan Reuther  <streu@gmx.de>

	* server/play/friendlycodepacker.cpp: new

2020-08-07  Stefan Reuther  <streu@gmx.de>

	* game/spec/friendlycodelist.cpp: merge extra codes into main list

2020-08-05  Stefan Reuther  <streu@gmx.de>

	* client/proxy/referencelistproxy.cpp: reduce usage of ui/

2020-08-03  Stefan Reuther  <streu@gmx.de>

	* client/proxy/cargotransferproxy.cpp, client/proxy/referencelistproxy.cpp, client/proxy/searchproxy.cpp: reduce usage of ui/ in client/proxy/

2020-08-02  Stefan Reuther  <streu@gmx.de>

	* client/widgets/helpwidget.cpp, client/widgets/helpwidget.hpp: new [ex client/widgets/helpwidget.h]

2020-08-01  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/commandlistdialog.cpp, client/dialogs/commandlistdialog.hpp: new [ex client/dialogs/commandedit.cc, client/widgets/commandlist.cc, client/widgets/commandinfo.cc]
	* client/proxy/commandlistproxy.cpp, client/proxy/commandlistproxy.hpp: new

2020-07-26  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/visualscandialog.cpp: implement scan-next-turn
	* game/hostversion.cpp, game/v3/rootloader.cpp: fix CPEnableRemote, RoundGravityWells being reset for wrong host versions
	* client/dialogs/consoledialog.cpp: implement property list [Alt-V] [ex client/widgets/propertylist.cc]
	* gfx/sdl/engine.cpp, gfx/sdl2/engine.cpp, main/c2ng.cpp: implement '-nomousegrab' [ex ui/uiglobal.cc]

2020-07-25  Stefan Reuther  <streu@gmx.de>

	* game/map/mapobject.hpp: remove MapObject; merge into Object

2020-07-24  Stefan Reuther  <streu@gmx.de>

	* share/resource/core_ui.q: implement starbase 'R' menu

2020-07-23  Stefan Reuther  <streu@gmx.de>

	* share/resource/core.q: implement more keys in SelectionDialog [ex client/widgets/objcontrol.cc]
	* game/interface/iteratorcontext.cpp: implement Object(), NextIndexAt(), PreviousIndexAt()

2020-07-19  Stefan Reuther  <streu@gmx.de>

	* game/v3/command.cpp: sync with PCC1. 'SendFile' can now appear multiple times.
	* interpreter/processlist.cpp (run): log errors here; this way we need not defer error logging to end-of-process-group or no-more-waits-in-ScriptSide

2020-07-18  Stefan Reuther  <streu@gmx.de>

	* tools/, server/tools/, server/: clean up and move main functions into main/
	* game/maint/configurationapplication.cpp, game/maint/configurationapplication.hpp: new
	* game/maint/messagesearchapplication.cpp, game/maint/messagesearchapplication.hpp: new

2020-07-16  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/processlistdialog.cpp, client/dialogs/processlistdialog.hpp: new [ex client/dialogs/processmgr.h, client/widgets/processlist.h]
	* client/proxy/mutexlistproxy.cpp, client/proxy/mutexlistproxy.hpp: new
	* client/proxy/processlistproxy.cpp, client/proxy/processlistproxy.hpp: new
	* game/interface/processlisteditor.cpp, game/interface/processlisteditor.hpp: new
	* ui/window.cpp: enforce some space to the left/right of window title

2020-06-21  Stefan Reuther  <streu@gmx.de>

	* interpreter/process.cpp: fix some warnings
	* interpreter/context.hpp: change PropertyIndex_t from uint32_t to size_t; fixes some warnings

2020-06-17  Stefan Reuther  <streu@gmx.de>

	* interpreter/process.cpp: clean up, const correctness. Fix some possible crashes through constructed invalid bytecode.

2020-06-06  Stefan Reuther  <streu@gmx.de>

	* interpreter/bytecodeobject.hpp: cleaned up and renamed some stuff

2020-05-30  Stefan Reuther  <streu@gmx.de>

	* game/map/selections.cpp, game/map/selections.hpp: renamed from markings
	* game/map/selectionvector.cpp, game/map/selectionvector.hpp: renamed from markingvector
	* game/interface/selectionfunctions.cpp, game/interface/selectionfunctions.hpp: renamed from markingfunctions
	* share/resource/core_ui.q (CCUI.Ship.SetMission): show warning if ship is doing Beam Up Multiple

2020-05-29  Stefan Reuther  <streu@gmx.de>

	* server/play/outmessagecommandhandler.cpp, server/play/outmessagecommandhandler.hpp: new

2020-05-28  Stefan Reuther  <streu@gmx.de>

	* game/msg/outbox.cpp: cleanup
	* server/play/gameaccess.cpp: add "outidx", "outmsgX" objects
	* server/play/outmessageindexpacker.cpp, server/play/outmessageindexpacker.hpp: new
	* server/play/outmessagepacker.cpp, server/play/outmessagepacker.hpp: new

2020-05-27  Stefan Reuther  <streu@gmx.de>

	* server/host/hostschedule.cpp (preview): rework; should now handle ASAP schedules
	* server/play/hullpacker.cpp, server/play/shippacker.cpp: publish hull functions

2020-05-26  Stefan Reuther  <streu@gmx.de>

	* server/play/basichullfunctionpacker.cpp, server/play/basichullfunctionpacker.hpp: new

2020-05-25  Stefan Reuther  <streu@gmx.de>

	* game/spec/info/filter.cpp: no longer require Browser to be constructed, simplifying some code

2020-05-24  Stefan Reuther  <streu@gmx.de>

	* share/resource: import more resources
	* client/widgets/filterdisplay.cpp, client/widgets/filterdisplay.hpp: new

2020-05-23  Stefan Reuther  <streu@gmx.de>

	* main/c2ng.cpp: make logging configurable
	* client/dialogs/specbrowserdialog.cpp: fix handling of object selection after filtering
	* ui/res/generatedengineprovider.cpp, ui/res/generatedengineprovider.hpp: new [ex client/widgets/engineinfo.h, sort-of]

2020-05-22  Stefan Reuther  <streu@gmx.de>

	* game/config/hostconfiguration.cpp (getExperienceLevelName): fix out-of-range behaviour
	* game/v3/udata/reader.cpp (check): fixed it, didn't work yet

2020-05-19  Stefan Reuther  <streu@gmx.de>

	* game/spec/info/browser.cpp: add String_Name filter; add sorting

2020-05-18  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/specbrowserdialog.cpp: improve filter rendering

2020-05-17  Stefan Reuther  <streu@gmx.de>

	* gfx/sdl2/surface.cpp (presentUpdate): workaround artifacts when upscaling (-fullscreen)
	* ui/layout/axislayout.cpp: quick & dirty improvement for min < available < pref case
	* game/spec/info/info.cpp: add Range_IsDeathRay
	* client/dialogs/specbrowserdialog.cpp: list abilities for players, ships; add player links
	* game/spec/info/browser.cpp: list abilities for players, ships

2020-05-16  Stefan Reuther  <streu@gmx.de>

	* ui/rich/stylableobject.cpp, ui/rich/stylableobject.hpp: new
	* ui/draw.cpp (drawFrame): moved here from FrameGroup
	* server/application.cpp: use StandardCommandLineParser so '-D' can now work as documented
	* server/configurationhandler.cpp: anticipate StandardCommandLineParser for '-D' handling
	* client/picturenamer.cpp, client/picturenamer.hpp: new
	* game/spec/info/nullpicturenamer.cpp, game/spec/info/nullpicturenamer.hpp: new
	* game/spec/info/picturenamer.hpp: new

2020-05-11  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/specbrowserdialog.cpp: edit filter; cleanup
	* game/spec/info/browser.cpp: more filters

2020-05-10  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/specbrowserdialog.cpp, client/dialogs/specbrowserdialog.hpp: new [incomplete]
	* client/proxy/specbrowserproxy.cpp, client/proxy/specbrowserproxy.hpp: new
	* game/spec/info/browser.cpp, game/spec/info/browser.hpp: new
	* game/spec/info/filter.cpp, game/spec/info/filter.hpp: new
	* game/spec/info/info.cpp, game/spec/info/info.hpp: new
	* game/spec/info/types.cpp, game/spec/info/types.hpp: new
	* ui/widgets/cardtabbar.cpp, ui/widgets/cardtabbar.hpp: new (separated from ui/widgets/tabbar.cpp)

2020-05-01  Stefan Reuther  <streu@gmx.de>

	* util/range.hpp: new

2020-04-30  Stefan Reuther  <streu@gmx.de>

	* game/spec/racialabilitylist.cpp, game/spec/racialabilitylist.hpp: new
	* game/spec/basichullfunction.cpp, game/spec/basichullfunction.hpp (getPictureName): new
	* game/spec/basichullfunctionlist.cpp: handle "p=" assignment in hullfunc.cc

2020-04-29  Stefan Reuther  <streu@gmx.de>

	* game/spec/friendlycodelist.hpp: moved code from game/data/ here
	* game/data/friendlycode.hpp: removed

2020-04-13  Stefan Reuther  <streu@gmx.de>

	* share/server/mailout: change to https URLs

2020-04-12  Stefan Reuther  <streu@gmx.de>

	* client/tiles/shipmovementtile.cpp: show failure to move due to training
	* game/map/shippredictor.cpp: show failure to move due to training
	* share/resource/core_tiles.q: highlight PE if it is ineffective due to training [#394]

2020-04-04  Stefan Reuther  <streu@gmx.de>

	* client/si/commands.cpp: navchart starts up in chunnel mode if appropriate
	* client/tiles/shipmovementtile.cpp: consistent highlighting for chunnel failures

2020-03-27  Stefan Reuther  <streu@gmx.de>

	* game/map/planetinfo.cpp, game/map/planetformula.cpp: base tax predictions should use viewpoint player, not (possibly unknown) planet owner

2020-03-18  Stefan Reuther  <streu@gmx.de>

	* game/interface/planetproperty.cpp: new properties (TURN.COLONISTS, TURN.NATIVES, etc.)

2020-03-09  Stefan Reuther  <streu@gmx.de>

	* server/play/mainpacker.cpp: publish SYSTEM.VERSION$

2020-03-08  Stefan Reuther  <streu@gmx.de>

	* game/spec/torpedolauncher.cpp, game/spec/beam.cpp: add derived information

2020-03-07  Stefan Reuther  <streu@gmx.de>

	* game/map/planet.cpp: fix default goals
	* server/play/planetpacker.cpp: fix off-by-one in STORAGE.LAUNCHERS

2020-02-01  Stefan Reuther  <streu@gmx.de>

	-------------------- c2ng_2_40_8

2020-01-26  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/buildqueuedialog.cpp, client/dialogs/buildqueuedialog.hpp: new
	* client/proxy/buildqueueproxy.cpp, client/proxy/buildqueueproxy.hpp: new
	* game/actions/changebuildqueue.cpp, game/actions/changebuildqueue.hpp: new

2020-01-18  Stefan Reuther  <streu@gmx.de>

	* game/hostversion.cpp (setImpliedHostConfiguration): new

2020-01-13  Stefan Reuther  <streu@gmx.de>

	* share/resource/core_game.q (SelectionLoad): restore file position on error (PCC1 behaviour)
	* game/spec/shiplist.cpp (findRacialAbilities): failed to recognize all racial abilities; wrongly recognized others

2020-01-11  Stefan Reuther  <streu@gmx.de>

	* share/resource/core_ui.q: finish mission parameter input
	* client/si/widgetfunction.cpp (NewPseudoInput): new
	* ui/widgets/inputline.hpp (sig_activate): new

2020-01-08  Stefan Reuther  <streu@gmx.de>

	* client/si/widgetfunction.cpp (NewNumberInput): new
	* client/si/compoundwidget.hpp: new

2020-01-07  Stefan Reuther  <streu@gmx.de>

	* game/hostversion.cpp, game/hostversion.hpp: improve chunnel handling
	* game/map/chunnelmission.cpp, game/map/chunnelmission.hpp: improve chunnel handling. Ship with ChunnelSelf + ChunnelOthers will chunnel all.

2020-01-04  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/cargohistorydialog.cpp, client/dialogs/cargohistorydialog.hpp: new [ex client/dialogs/cargohist.cc]

2020-01-03  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/navchartdialog.cpp, client/dialogs/navchartdialog.hpp: new [ex client/dialogs/navchart.cc]
	* client/map/movementoverlay.cpp: handle double-click
	* client/map/renderer.cpp: handle zoom
	* client/map/widget.cpp: handle zoom
	* client/proxy/chunnelproxy.cpp, client/proxy/chunnelproxy.hpp: new
	* game/ref/userlist.cpp (empty): new
	* share/resource/core_ui.q: more mission arguments
	* ui/widgets/button.cpp: use configured font

2019-12-31  Stefan Reuther  <streu@gmx.de>

	* client/map/waypointoverlay.cpp, client/map/waypointoverlay.hpp: new
	* game/map/shipinfo.cpp, game/map/shipinfo.hpp: new

2019-12-30  Stefan Reuther  <streu@gmx.de>

	* share/resource/core_game.q (CCVP.ShipMissionLabel): must not return empty/null
	* share/resource/core_ui.q: some mission arguments
	* client/dialogs/visualscandialog.cpp: handle Return key (successful confirmation)
	* client/si/commands.cpp (IFUIInputNumber): add 6th argument
	* client/si/widgetholder.cpp (makeCommand): fix invocation of C2$Eval, broken since 2019-09-28

2019-12-27  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/buildstructuresdialog.cpp: defense prediction

2019-12-25  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/buildstructuresdialog.cpp: mining prediction, defense prediction

2019-12-24  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/grounddefensedialog.cpp, client/dialogs/grounddefensedialog.hpp: new [ex client/dlg-groundcombat.cc]
	* client/dialogs/planetinfodialog.cpp, client/dialogs/planetinfodialog.hpp: new [ex client/scr-env.cc]
	* client/proxy/planetinfoproxy.cpp, client/proxy/planetinfoproxy.hpp: new
	* client/widgets/planetmineralinfo.cpp, client/widgets/planetmineralinfo.hpp: new [ex client/tiles/planetmining.cc]
	* game/map/planetinfo.cpp, game/map/planetinfo.hpp: new [ex client/scr-env.cc]
	* share/resource/font1.fnt etc.: add U+23F1 (UTF_STOPWATCH)
	* ui/rich/documentparser.cpp: add custom bullet support
	* ui/widgets/simpletable.cpp, ui/widgets/simpletable.hpp (all): new
	* util/string.cpp, util/string.hpp (addListItem): new
	* util/unicodechars.hpp: add U+23F1 (UTF_STOPWATCH)

2019-12-17  Stefan Reuther  <streu@gmx.de>

	* server/play/maincommandhandler.cpp, server/play/maincommandhandler.hpp: new
	* game/interface/globalcommands.cpp (IFSendMessage): new command

2019-12-15  Stefan Reuther  <streu@gmx.de>

	* server/play/messagepacker.cpp: fix off-by-one error making last message inaccessible

2019-12-14  Stefan Reuther  <streu@gmx.de>

	* game/map/planetformula.cpp (getColonistSafeTax): we do not need a tax to be set to determine safe tax

2019-11-24  Stefan Reuther  <streu@gmx.de>

	* game/map/planetformula.cpp (getColonistChange): fix formula

2019-11-23  Stefan Reuther  <streu@gmx.de>

	* game/map/shiptransporter.cpp: do not offer "Unload" for Jettison

2019-10-17  Stefan Reuther  <streu@gmx.de>

	* game/authcache.cpp, game/authcache.hpp: new

2019-10-15  Stefan Reuther  <streu@gmx.de>

	* game/map/beamupshiptransfer.cpp: reset to last mission if beam-up-multiple is cancelled

2019-10-13  Stefan Reuther  <streu@gmx.de>

	* game/interface/inboxcontext.cpp, game/interface/inboxcontext.hpp: new [ex int/if/msgif.cc]
	* game/interface/inboxfunction.cpp, game/interface/inboxfunction.hpp: new [ex int/if/msgif.cc]

2019-10-12  Stefan Reuther  <streu@gmx.de>

	* game/interface/notificationfunctions.cpp, game/interface/notificationfunctions.hpp: new
	* game/interface/notificationstore.cpp, game/interface/notificationstore.hpp: new [ex int/notify.cc]

2019-09-28  Stefan Reuther  <streu@gmx.de>

	* share/resource/core_ui.q: add ship 'b' command
	* client/si/stringlistdialogwidget.cpp: add 'RunMenu' command
	* interpreter/statementcompiler.cpp: add multi-line "On"

2019-09-27  Stefan Reuther  <streu@gmx.de>

	* ui/widgets/tabbar.cpp, ui/widgets/tabbar.hpp: new [ex ui/widgets/cardtab.cc]

2019-09-25  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/goaldialog.cpp, client/dialogs/goaldialog.hpp: new [ex client/dialogs/goaldialog.cc, client/widgets/goalinput.cc]

2019-09-21  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/buysuppliesdialog.cpp, client/dialogs/buysuppliesdialog.hpp: new [ex client/dlg-supplies.cc]
	* client/dialogs/sellsuppliesdialog.cpp, client/dialogs/sellsuppliesdialog.hpp: new [ex client/dlg-supplies.cc]
	* client/proxy/convertsuppliesproxy.cpp, client/proxy/convertsuppliesproxy.hpp: new
	* game/actions/convertsupplies.cpp, game/actions/convertsupplies.hpp: new

2019-09-19  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/buildstructuresdialog.cpp, client/dialogs/buildstructuresdialog.hpp: new [ex client/dlg-structure.cc]
	* client/proxy/buildstructuresproxy.cpp, client/proxy/buildstructuresproxy.hpp: new [ex client/dlg-structure.cc]

2019-09-09  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/buildstarbasedialog.cpp, client/dialogs/buildstarbasedialog.hpp: new [ex client/act-planet.cc]
	* client/proxy/buildstarbaseproxy.cpp, client/proxy/buildstarbaseproxy.hpp: new

2019-09-08  Stefan Reuther  <streu@gmx.de>

	* game/map/shippredictor.cpp: handle Refinery variants, mkt, FuelUsagePerTurnFor100KT, mine laying (same as PCC 1.x/PCC2)

2019-09-01  Stefan Reuther  <streu@gmx.de>

	* game/map/minefield.cpp (getUnitsAfterDecay): THost has an additional "-1"
	* interpreter/expr/parser.cpp (parseSequence): add "Lone ";" at end of line is not allowed" error message (same as PCC 1.x)

2019-08-31  Stefan Reuther  <streu@gmx.de>

	* game/cargospec.cpp (sellSuppliesIfNeeded): "-1$ -2S" should not convert to "-3$" (affects CSub()); cleanup
	* interpreter/savevisitor.cpp (visitString): limit strings to 2G for file compatibility with 1.x
	* game/interface/globalfunctions.cpp (Distance): accept real numbers (same as PCC 1.x)
	* game/interface/globalfunctions.cpp (IsSpecialFCode): implement in C++, honor XTRFCODE.TXT (same as PCC 1.x)

2019-08-28  Stefan Reuther  <streu@gmx.de>

	* interpreter/tokenizer.cpp: add support for "\t" (same as PCC 2.0.7)
	* game/spec/fighter.cpp, game/spec/fighter.hpp: new [ex game/spec.h]

2019-08-27  Stefan Reuther  <streu@gmx.de>

	* interpreter/unaryexecution.cpp (FChr): refuse out-of-range character codes
	* interpreter/binaryexecution.cpp (FDivide): produce integer if possible (same as PCC 1.x / 2.0.7)

2019-08-25  Stefan Reuther  <streu@gmx.de>

	* server/host/user.cpp, server/host/hostplayer.cpp: add per-user ability to disable joining
	* interpreter/statementcompiler.cpp, interpreter/statementcompiler.hpp: add ByName()
	* interpreter/unaryexecution.cpp: add UCase(), LCase()
	* interpreter/unaryoperation.cpp, interpreter/unaryoperation.hpp: add UCase(), LCase()
	* interpreter/expr/builtinfunction.cpp: add UCase(), LCase(), ByName()

2019-08-24  Stefan Reuther  <streu@gmx.de>

	-------------------- c2ng_2_40_7 (version 2.40.7)

2019-08-22  Stefan Reuther  <streu@gmx.de>

	* server/mailout/root.cpp (cleanupUniqueIdMap): new
	* server/user/usermanagement.cpp: new command: DELUSER

2019-08-21  Stefan Reuther  <streu@gmx.de>

	* server/user/serverapplication.cpp: new option: USER.PROFILE.MAXVALUESIZE
	* server/user/multipasswordencrypter.cpp, server/user/multipasswordencrypter.hpp: new
	* server/user/saltedpasswordencrypter.cpp, server/user/saltedpasswordencrypter.hpp: new

2019-08-20  Stefan Reuther  <streu@gmx.de>

	* interpreter/taskpredictor.cpp, interpreter/taskpredictor.hpp: new [ex int/predict.cc]
	* client/tiles/taskeditortile.cpp: clean up and implement some commands

2019-08-16  Stefan Reuther  <streu@gmx.de>

	* game/interface/globalfunctions.cpp (IFAutoTask): new
	* game/interface/taskeditorcontext.cpp, game/interface/taskeditorcontext.hpp: new

2019-08-11  Stefan Reuther  <streu@gmx.de>

	* client/proxy/taskeditorproxy.cpp, client/proxy/taskeditorproxy.hpp: new
	* client/tiles/taskeditortile.cpp, client/tiles/taskeditortile.hpp: new [ex client/tiles/taskedittile.cc]

2019-08-10  Stefan Reuther  <streu@gmx.de>

	* interpreter/taskeditor.cpp, interpreter/taskeditor.hpp: new [ex int/autotask.cc]

2019-08-07  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/taxationdialog.cpp, client/dialogs/taxationdialog.hpp: new [ex client/dlg-tax.cc]
	* client/proxy/taxationproxy.cpp, client/proxy/taxationproxy.hpp: new
	* game/actions/taxationaction.cpp, game/actions/taxationaction.hpp: new

2019-08-06  Stefan Reuther  <streu@gmx.de>

	* gfx/sdl2/engine.cpp: correctly handle Shift-Space

2019-07-30  Stefan Reuther  <streu@gmx.de>

	* game/map/shippredictor.cpp: add support for THost pythagoras bug. Add support for PHost <3.4h/4.0e UseAccurateFuelModel bug.

2019-07-28  Stefan Reuther  <streu@gmx.de>

	* util/requestsender.hpp (convert): new

2019-07-27  Stefan Reuther  <streu@gmx.de>

	* util/requestsender.hpp: rework to allow custom implementations
	* client/dialogs/fileselectiondialog.cpp, client/dialogs/fileselectiondialog.hpp: new [ex client/dialogs/filedlg.cc]
	* client/widgets/filelistbox.cpp, client/widgets/filelistbox.hpp: new [ex client/widgets/filechoose.cc]

2019-07-20  Stefan Reuther  <streu@gmx.de>

	* ui/cardgroup.cpp, ui/cardgroup.hpp: now for real [ex ui/widgets/cardgroup.h]

2019-07-19  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/searchdialog.cpp: initial UI/script integration

2019-07-17  Stefan Reuther  <streu@gmx.de>

	* share/resource/core_ui.q: fine-tuning
	* client/proxy/searchproxy.cpp: fine-tuning

2019-07-16  Stefan Reuther  <streu@gmx.de>

	* interpreter/optimizer.cpp (doMergeJumps): new optimisation

2019-07-14  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/searchdialog.cpp, client/dialogs/searchdialog.hpp: new [ex client/dialogs/searchdlg.cc]
	* client/proxy/searchproxy.cpp, client/proxy/searchproxy.hpp: new
	* ui/group.cpp, ui/group.hpp: mark throw()
	* ui/layoutablegroup.cpp, ui/layoutablegroup.hpp: mark throw()
	* ui/spacer.cpp, ui/spacer.hpp: mark throw()
	* ui/widget.cpp, ui/widget.hpp: mark throw()

2019-07-13  Stefan Reuther  <streu@gmx.de>

	* game/interface/referencelistcontext.cpp, game/interface/referencelistcontext.hpp: new (ReferenceList() function)
	* game/interface/referencecontext.cpp, game/interface/referencecontext.hpp: new (Reference(), LocationReference() functions)
	* share/resource/core_game.q: add more functions

2019-07-11  Stefan Reuther  <streu@gmx.de>

	* game/searchquery.cpp, game/searchquery.hpp: new [ex client/search.cc]

2019-07-07  Stefan Reuther  <streu@gmx.de>

	* interpreter/process.hpp (Finalizer): new

2019-07-02  Stefan Reuther  <streu@gmx.de>

	* game/interface/ufomethod.cpp, game/interface/ufomethod.hpp: new
	* game/map/ufotype.hpp: slight optimisations

2019-06-25  Stefan Reuther  <streu@gmx.de>

	* game/v3/parser.cpp, game/v3/parser.hpp: new

2019-06-16  Stefan Reuther  <streu@gmx.de>

	* Rules.pl: make it possible to build only documentation stuff

2019-06-09  Stefan Reuther  <streu@gmx.de>

	* game/v3/udata/parser.cpp: add condition for ESB

2019-05-20  Stefan Reuther  <streu@gmx.de>

	* game/map/minefieldformula.cpp (isMinefieldEndangered): need to use max sweep range (not min) for pessimistic advice
	* game/map/ship.cpp: fine-tune history processing

2019-05-17  Stefan Reuther  <streu@gmx.de>

	* game/map/ship.cpp: improve history information processing; create guessed ships
	* game/v3/udata/parser.cpp: add information from VCRs into ship history

2019-05-12  Stefan Reuther  <streu@gmx.de>

	* interpreter/statementcompiler.cpp: 'ForEach <obj> As <name>' can keep LocalContext flag
	* server/play/consoleapplication.cpp, server/play/gameaccess.cpp, server/play/mainpacker.cpp: add ability to pass general properties [ex server/prop.cc]

2019-05-11  Stefan Reuther  <streu@gmx.de>

	* testapps/: add test applications
	* game/sim/ability.hpp: add Nu abilities [#260,#239,#254,#243]
	* game/sim/object.cpp, game/sim/object.hpp: add Nu abilities [#260,#239,#254,#243]
	* game/sim/planet.cpp, game/sim/ship.cpp: add Nu abilities [#260,#239,#254,#243]
	* game/vcr/object.cpp, game/vcr/object.hpp: move shield limit into loader
	* game/vcr/classic/battle.cpp, game/vcr/classic/battle.hpp: move shield limit into loader
	* game/vcr/classic/database.cpp: move shield limit into loader
	* game/vcr/classic/hostalgorithm.cpp, game/vcr/classic/hostalgorithm.hpp: move shield limit into loader

2019-05-05  Stefan Reuther  <streu@gmx.de>

	* interpreter/statementcompiler.cpp: add 'ForEach <obj> As <name>' syntax
	* interpreter/consoleapplication.cpp: fix core.q auto-load when '-k' is used

2019-05-04  Stefan Reuther  <streu@gmx.de>

	* game/interface/globalfunctions.cpp: add OBJECTISAT function

2019-04-29  Stefan Reuther  <streu@gmx.de>

	-------------------- c2ng_2_40_6 (version 2.40.6)

2019-04-19  Stefan Reuther  <streu@gmx.de>

	* server/host/hosthistory.cpp (getTurns): add SINCETIME clause. Correctly report external time format.

2019-04-18  Stefan Reuther  <streu@gmx.de>

	* server/host/hostranking.cpp, server/host/hostranking.hpp: new
	* server/interface/hostranking.hpp: new
	* server/interface/hostrankingclient.cpp, server/interface/hostrankingclient.hpp: new
	* server/interface/hostrankingserver.cpp, server/interface/hostrankingserver.hpp: new

2019-04-14  Stefan Reuther  <streu@gmx.de>

	* server/host/hosthistory.cpp, server/host/hosthistory.hpp: new
	* server/interface/hosthistory.hpp: new
	* server/interface/hosthistoryclient.cpp, server/interface/hosthistoryclient.hpp: new
	* server/interface/hosthistoryserver.cpp, server/interface/hosthistoryserver.hpp: new

2019-04-13  Stefan Reuther  <streu@gmx.de>

	* server/interface/hostplayer.hpp: add PLAYERGET, PLAYERSET commands
	* server/interface/talkforum.hpp: add FORUMBYNAME command

2019-04-12  Stefan Reuther  <streu@gmx.de>

	* server/interface/hostcron.hpp: add CRONLSBROKEN command

2019-04-10  Stefan Reuther  <streu@gmx.de>

	* interpreter/opcode.hpp: add sfirst/snext instructions

2019-04-06  Stefan Reuther  <streu@gmx.de>

	* scripts/doc.pl: update and fix most warnings

2019-03-31  Stefan Reuther  <streu@gmx.de>

	* server/talk/talkaddress.cpp (render): format 'raw' produces inverse to parse()

2019-03-30  Stefan Reuther  <streu@gmx.de>

	* server/interface/talkaddress.hpp: new
	* server/interface/talkaddressclient.cpp, server/interface/talkaddressclient.hpp: new
	* server/interface/talkaddressserver.cpp, server/interface/talkaddressserver.hpp: new
	* server/talk/talkaddress.cpp, server/talk/talkaddress.hpp: new

2019-03-24  Stefan Reuther  <streu@gmx.de>

	* server/interface/mailqueue.cpp, server/interface/mailqueue.hpp: add STATUS (getUserStatus) command
	* server/interface/mailqueueclient.cpp, server/interface/mailqueueclient.hpp: implemented interface change
	* server/interface/mailqueueserver.cpp: implemented interface change
	* server/mailout/mailqueue.cpp, server/mailout/mailqueue.hpp: implemented interface change
	* server/mailout/root.cpp, server/mailout/root.hpp: implemented interface change
	* main/c2ng.cpp: quick & dirty SSL support

2019-03-21  Stefan Reuther  <streu@gmx.de>

	* server/file/filebase.cpp: if pconfig.src is uploaded, automatically set prop:name
	* server/interface/userdata.hpp: new
	* server/interface/userdataclient.cpp, server/interface/userdataclient.hpp: new
	* server/interface/userdataserver.cpp, server/interface/userdataserver.hpp: new
	* server/user/userdata.cpp, server/user/userdata.hpp: new

2019-03-17  Stefan Reuther  <streu@gmx.de>

	* server/interface/talknntp.hpp (checkUser): remove method
	* server/nntp/linehandler.cpp: use user server for login check

2019-03-13  Stefan Reuther  <streu@gmx.de>

	* server/common/util.cpp, server/common/util.hpp: moved here from server/talk/util.cpp
	* server/user/classicencrypter.cpp, server/user/classicencrypter.hpp: new
	* server/user/configuration.cpp, server/user/configuration.hpp: new
	* server/user/passwordencrypter.hpp: new
	* server/user/usermanagement.cpp, server/user/usermanagement.hpp: new

2019-03-11  Stefan Reuther  <streu@gmx.de>

	* server/interface/usermanagement.hpp: new
	* server/interface/usermanagementclient.cpp, server/interface/usermanagementclient.hpp: new
	* server/interface/usermanagementserver.cpp, server/interface/usermanagementserver.hpp: new

2019-03-10  Stefan Reuther  <streu@gmx.de>

	* server/interface/hostturn.cpp, server/interface/hostturn.hpp: TRN command now provides game name, turn number, allow-temp suggestion
	* server/host/hostturn.cpp: implemented interface change
	* server/interface/hostturnclient.cpp: implemented interface change
	* server/interface/hostturnserver.cpp: implemented interface change
	* server/mailin/mailprocessor.cpp: use information provided by TRN command

2019-03-05  Stefan Reuther  <streu@gmx.de>

	* server/monitor/serverapplication.cpp: add user server

2019-03-04  Stefan Reuther  <streu@gmx.de>

	* server/router/session.cpp: adjust logging

2019-03-03  Stefan Reuther  <streu@gmx.de>

	* server/user/usertoken.cpp: adjust token parameters

2019-02-27  Stefan Reuther  <streu@gmx.de>

	* server/c2user.cpp: new
	* server/common/idgenerator.hpp: moved here
	* server/common/numericalidgenerator.cpp, server/common/numericalidgenerator.hpp: moved here
	* server/common/randomidgenerator.cpp, server/common/randomidgenerator.hpp: moved here
	* server/interface/usertoken.hpp: new
	* server/interface/usertokenclient.cpp, server/interface/usertokenclient.hpp: new
	* server/interface/usertokenserver.cpp, server/interface/usertokenserver.hpp: new
	* server/user/commandhandler.cpp, server/user/commandhandler.hpp: new
	* server/user/root.cpp, server/user/root.hpp: new
	* server/user/serverapplication.cpp, server/user/serverapplication.hpp: new
	* server/user/token.cpp, server/user/token.hpp: new
	* server/user/user.cpp, server/user/user.hpp: new
	* server/user/usertoken.cpp, server/user/usertoken.hpp: new

2019-02-23  Stefan Reuther  <streu@gmx.de>

	* doc/ServerReference/: import from planetscentral repository

2019-02-16  Stefan Reuther  <streu@gmx.de>

	* server/file/pathresolver.cpp (resolveToItem): access to a directory needs to be validated against the permissions of the directory, not its container [#390]

2019-02-09  Stefan Reuther  <streu@gmx.de>

	* Removed old build system

2019-02-06  Stefan Reuther  <streu@gmx.de>

	* server/router/idgenerator.hpp: new
	* server/router/numericalidgenerator.cpp, server/router/numericalidgenerator.hpp: new
	* server/router/randomidgenerator.cpp, server/router/randomidgenerator.hpp: new

2019-02-05  Stefan Reuther  <streu@gmx.de>

	* server/interface/sessionrouter.hpp: changed type of session-Id from integer to string

2019-01-27  Stefan Reuther  <streu@gmx.de>

	* server/router/root.cpp, server/router/session.cpp, server/router/sessionrouter.cpp: rework session conflict resolution
	* util/process/nullfactory.cpp: new

2019-01-26  Stefan Reuther  <streu@gmx.de>

	* util/process/factory.hpp: new
	* util/process/subprocess.hpp: new
	* util/process/posixfactory.cpp: new

2019-01-22  Stefan Reuther  <streu@gmx.de>

	* server/router/configuration.cpp, server/router/configuration.hpp: new
	* server/router/root.cpp, server/router/root.hpp: new
	* server/router/session.cpp, server/router/session.hpp: new [ex server/session.cc]

2019-01-20  Stefan Reuther  <streu@gmx.de>

	* server/interface/sessionroutersingleserver.cpp, server/interface/sessionroutersingleserver.hpp: new [ex server/router.cc]
	* server/router/serverapplication.cpp, server/router/serverapplication.hpp: new [ex server/router.cc]
	* server/router/sessionrouter.cpp, server/router/sessionrouter.hpp: new [ex server/router.cc]
	* server/c2logger.cpp: new [ex planetscentral/logger.cc]

2019-01-17  Stefan Reuther  <streu@gmx.de>

	* game/map/minefieldformula.cpp, game/map/minefieldformula.hpp: new
	* client/map/minefieldmissionoverlay.cpp, client/map/minefieldmissionoverlay.hpp: new [ex client/screens/shipscreen.cc]

2018-12-29  Stefan Reuther  <streu@gmx.de>

	* share/resource/core_ui.q, share/resource/core_tiles.q: new tiles. Do not destroy user's SYSTEM.ERR.
	* interpreter/optimizer.cpp (doDeadStore): new optimisation

2018-12-28  Stefan Reuther  <streu@gmx.de>

	* interpreter/optimizer.cpp (doTailMerge): new optimisation
	* client/proxy/referenceobserverproxy.cpp, client/map/screen.cpp: make view changes happen without warning

2018-12-27  Stefan Reuther  <streu@gmx.de>

	* client/map/prefixoverlay.cpp, client/map/prefixoverlay.hpp: new [ex client/chart/prefixmode.h]
	* interpreter/consoleapplication.cpp, interpreter/consoleapplication.hpp: new

2018-12-25  Stefan Reuther  <streu@gmx.de>

	* client/tiles/starchartheadertile.cpp, client/tiles/starchartheadertile.hpp: new [ex client/tiles/nheader.h]

2018-12-23  Stefan Reuther  <streu@gmx.de>

	* client/map/starchartoverlay.cpp, client/map/starchartoverlay.hpp: new [ex client/chart/standardmode.h]

2018-12-21  Stefan Reuther  <streu@gmx.de>

	* util/requestthread.cpp: make request delay configurable for testing

2018-12-20  Stefan Reuther  <streu@gmx.de>

	* client/map/location.cpp, client/map/location.hpp: new [ex client/chartloc.h]
	* client/proxy/maplocationproxy.cpp, client/proxy/maplocationproxy.hpp: new
	* game/map/location.cpp, game/map/location.hpp: new

2018-12-19  Stefan Reuther  <streu@gmx.de>

	* client/map/screen.cpp, client/map/screen.hpp: new, preliminary

2018-12-15  Stefan Reuther  <streu@gmx.de>

	* share/specs/mission.cc, share/resource/core_ui.q: add mission list

2018-12-14  Stefan Reuther  <streu@gmx.de>

	* interpreter/expr/builtinfunction.cpp: add two-argument EVAL function

2018-12-12  Stefan Reuther  <streu@gmx.de>

	* ui/widgets/scrollbar.cpp, ui/widgets/scrollbar.hpp: new [ex ui/listbox.cc]

2018-12-10  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/helpdialog.cpp, client/dialogs/helpdialog.hpp: new [ex client/dialogs/helpdlg.h]

2018-12-09  Stefan Reuther  <streu@gmx.de>

	* interpreter/optimizer.cpp (doIntCompare): fix bad optimisation
	* client/proxy/helpproxy.cpp, client/proxy/helpproxy.hpp: new
	* ui/rich/documentparser.cpp, ui/rich/documentparser.hpp: new [ex ui/richhelp.cc]

2018-11-30  Stefan Reuther  <streu@gmx.de>

	* game/map/beamupplanettransfer.cpp, game/map/beamupplanettransfer.hpp: new [ex game/bum.cc]
	* game/map/beamupshiptransfer.cpp, game/map/beamupshiptransfer.hpp: new [ex game/bum.cc]

2018-11-25  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/cargotransferdialog.cpp, client/dialogs/cargotransferdialog.hpp: new [ex client/dlg-cargo.cc]
	* client/widgets/cargotransferheader.cpp, client/widgets/cargotransferheader.hpp: new [ex client/dlg-cargo.cc]
	* client/widgets/cargotransferline.cpp, client/widgets/cargotransferline.hpp: new [ex client/dlg-cargo.cc]

2018-11-24  Stefan Reuther  <streu@gmx.de>

	* client/cargotransfer.cpp, client/cargotransfer.hpp: new [ex client/dlg-cargo.cc]
	* client/proxy/cargotransferproxy.cpp, client/proxy/cargotransferproxy.hpp: new
	* client/proxy/cargotransfersetupproxy.cpp, client/proxy/cargotransfersetupproxy.hpp: new
	* game/ref/sortbytransfertarget.cpp, game/ref/sortbytransfertarget.hpp: new
	* util/vector.hpp: new

2018-11-11  Stefan Reuther  <streu@gmx.de>

	* game/map/boundingbox.cpp, game/map/boundingbox.hpp: new [ex game/bbox.h]

2018-11-04  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/shipspeeddialog.cpp, client/dialogs/shipspeeddialog.hpp: new [ex client/dlg-warp.cc]
	* client/proxy/shipspeedproxy.cpp, client/proxy/shipspeedproxy.hpp: new [ex client/dlg-warp.cc]
	* client/widgets/shipspeedwidget.cpp, client/widgets/shipspeedwidget.hpp: new [ex client/dlg-warp.cc]

2018-10-28  Stefan Reuther  <streu@gmx.de>

	* server/host/hostplayer.cpp (list): fix off-by-one causing PLAYERLS ALL to list wrong slots in games with fewer than 11 players
	* server/host/game.cpp (describeSlot): do not list died slots as joinable

2018-10-27  Stefan Reuther  <streu@gmx.de>

	* server/host/hostslot.cpp, server/host/hostslot.hpp: new
	* server/interface/hostslot.hpp: new
	* server/interface/hostslotclient.cpp, server/interface/hostslotclient.hpp: new
	* server/interface/hostslotserver.cpp, server/interface/hostslotserver.hpp: new

2018-10-14  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/keymapdialog.cpp, client/dialogs/keymapdialog.hpp: new [ex client/dialogs/keymapdlg.cc]
	* client/proxy/keymapproxy.cpp, client/proxy/keymapproxy.hpp: new
	* game/maint/raterapplication.cpp, game/maint/raterapplication.hpp: new
	* game/maint/sweepapplication.cpp, game/maint/sweepapplication.hpp: new
	* game/v3/trn/dumperapplication.cpp, game/v3/trn/dumperapplication.hpp: new
	* interpreter/bytecodeobject.hpp: track origin (plugin) of bytecode objects
	* interpreter/exporter/consoleapplication.cpp, interpreter/exporter/consoleapplication.hpp: new
	* util/keymapinformation.cpp, util/keymapinformation.hpp: new

2018-10-03  Stefan Reuther  <streu@gmx.de>

	* client/si/commandtask.cpp, client/si/commandtask.hpp: new
	* client/si/scripttask.hpp: new
	* client/si/scriptside.cpp: reworked the UserSide<>ScriptSide transition

2018-09-30  Stefan Reuther  <streu@gmx.de>

	* client/screens/playerscreen.cpp: run auto-tasks

2018-09-27  Stefan Reuther  <streu@gmx.de>

	* game/session.cpp (hasTask): implement
	* game/interface/vmfile.cpp, game/interface/vmfile.hpp: new [ex int/vmfile.cc]

2018-09-23  Stefan Reuther  <streu@gmx.de>

	* server/play/commandhandler.hpp: new [ex server/objcmd.cc]
	* server/play/planetcommandhandler.cpp, server/play/planetcommandhandler.hpp: new [ex server/objcmd.cc]
	* server/play/planetfriendlycodepacker.cpp, server/play/planetfriendlycodepacker.hpp: new [ex server/queryout.cc]
	* server/play/shipcommandhandler.cpp, server/play/shipcommandhandler.hpp: new [ex server/objcmd.cc]
	* server/play/shipfriendlycodepacker.cpp, server/play/shipfriendlycodepacker.hpp: new [ex server/queryout.cc]
	* server/play/shipmissionpacker.cpp, server/play/shipmissionpacker.hpp: new [ex server/queryout.cc]

2018-09-22  Stefan Reuther  <streu@gmx.de>

	* server/play/configurationpacker.cpp, server/play/configurationpacker.hpp: new [ex server/cfgout.cc]
	* server/play/ionstormpacker.cpp, server/play/ionstormpacker.hpp: new [ex server/objout.cc]
	* server/play/messagepacker.cpp, server/play/messagepacker.hpp: new [ex server/objout.cc]
	* server/play/minefieldpacker.cpp, server/play/minefieldpacker.hpp: new [ex server/objout.cc]
	* server/play/planetpacker.cpp, server/play/planetpacker.hpp: new [ex server/objout.cc]
	* server/play/shippacker.cpp, server/play/shippacker.hpp: new [ex server/objout.cc]
	* server/play/ufopacker.cpp, server/play/ufopacker.hpp: new [ex server/objout.cc]
	* server/play/vcrpacker.cpp, server/play/vcrpacker.hpp: new [ex server/objout.cc]

2018-09-20  Stefan Reuther  <streu@gmx.de>

	* server/play/beampacker.cpp, server/play/beampacker.hpp: new [ex server/objout.cc]
	* server/play/enginepacker.cpp, server/play/enginepacker.hpp: new [ex server/objout.cc]
	* server/play/hullpacker.cpp, server/play/hullpacker.hpp: new [ex server/objout.cc]
	* server/play/mainpacker.cpp, server/play/mainpacker.hpp: new [ex server/objout.cc]
	* server/play/planetxypacker.cpp, server/play/planetxypacker.hpp: new [ex server/objout.cc]
	* server/play/playerpacker.cpp, server/play/playerpacker.hpp: new [ex server/objout.cc]
	* server/play/torpedopacker.cpp, server/play/torpedopacker.hpp: new [ex server/objout.cc]
	* server/play/truehullpacker.cpp, server/play/truehullpacker.hpp: new [ex server/objout.cc]

2018-09-18  Stefan Reuther  <streu@gmx.de>

	* server/c2play.cpp: new [ex server/server.cc]
	* server/interface/gameaccess.hpp: new
	* server/interface/gameaccessserver.cpp, server/interface/gameaccessserver.hpp: new
	* server/play/consoleapplication.cpp, server/play/consoleapplication.hpp: new [ex server/server.cc]
	* server/play/gameaccess.cpp, server/play/gameaccess.hpp: new [ex server/server.cc]
	* server/play/packer.cpp, server/play/packer.hpp: new [ex server/objout.h]
	* server/play/packerlist.cpp, server/play/packerlist.hpp: new [ex server/postobj.h]
	* server/play/shipxypacker.cpp, server/play/shipxypacker.hpp: new [ex server/objout.h]

2018-09-16  Stefan Reuther  <streu@gmx.de>

	* client/screenhistory.cpp, client/screenhistory.hpp: new [ex client/screens.h]
	* client/dialogs/screenhistorydialog.cpp, client/dialogs/screenhistorydialog.hpp: new [ex client/history.h]
	* client/proxy/screenhistoryproxy.cpp, client/proxy/screenhistoryproxy.hpp: new

2018-09-10  Stefan Reuther  <streu@gmx.de>

	* ui/widgets/abstractlistbox.cpp: properly deal with size changes, selections outside viewport, etc.
	* client/proxy/friendlycodeproxy.cpp, client/proxy/friendlycodeproxy.hpp: new

2018-09-09  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/friendlycodedialog.cpp, client/dialogs/friendlycodedialog.hpp: new [ex client/dlg-fcode.h]
	* client/proxy/configurationproxy.cpp, client/proxy/configurationproxy.hpp: new [incomplete]
	* client/widgets/friendlycodelist.cpp, client/widgets/friendlycodelist.hpp: new [ex client/dlg-fcode.h]
	* game/data/friendlycode.cpp, game/data/friendlycode.hpp: new
	* ui/widgets/decimalselector.cpp, ui/widgets/decimalselector.hpp: new [ex ui/widgets/decimalsel.h]
	* util/numberformatter.cpp, util/numberformatter.hpp: new

2018-09-08  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/techupgradedialog.cpp, client/dialogs/techupgradedialog.hpp: new [ex client/dlg-tech.h]
	* client/widgets/costdisplay.cpp, client/widgets/costdisplay.hpp: new [ex client/dlg-tech.h]
	* client/widgets/techbar.cpp, client/widgets/techbar.hpp: new [ex client/dlg-tech.h]
	* ui/widgets/focusablegroup.cpp, ui/widgets/focusablegroup.hpp: new [ex ui/widgets/focusgroup.h]
	* ui/widgets/numberselector.cpp, ui/widgets/numberselector.hpp: new [ex ui/widgets/numbersel.h]

2018-09-07  Stefan Reuther  <streu@gmx.de>

	* client/map/movementoverlay.cpp, client/map/movementoverlay.hpp: new
	* client/proxy/lockproxy.cpp, client/proxy/lockproxy.hpp: new

2018-09-06  Stefan Reuther  <streu@gmx.de>

	* game/map/locker.cpp, game/map/locker.hpp: new [ex game/lock.h]
	* client/map/callback.hpp: new
	* client/map/overlay.cpp, client/map/overlay.hpp: new [ex client/chartmode.h]
	* client/map/scanneroverlay.cpp, client/map/scanneroverlay.hpp: new [ex client/wscanchart.h]

2018-09-04  Stefan Reuther  <streu@gmx.de>

	* client/widgets/scanresult.cpp, client/widgets/scanresult.hpp: new [ex client/widgets/scanresult.h]

2018-09-03  Stefan Reuther  <streu@gmx.de>

	* game/interface/consolecommands.cpp, game/interface/consolecommands.hpp: new [ex int/if/conif.h]
	* interpreter/genericvalue.hpp: new
	* game/interface/markingfunctions.cpp, game/interface/markingfunctions.hpp: new [ex game/selio.h]
	* game/session.cpp (getReferenceName): allow to retrieve plain/long/detailed names

2018-09-02  Stefan Reuther  <streu@gmx.de>

	* server/scripts/init/bin/checkturn.sh: use c2check if host is Tim-Host
	* server/interface/hostcron.hpp: new command, CRONSUSPEND
	* server/host/serverapplication.cpp: new option, HOST.INITIALSUSPEND
	new option: BINDIR, exported as $bindir through c2game.ini to running host
	* server/host/cronimpl.cpp (suspendScheduler): new

2018-09-01  Stefan Reuther  <streu@gmx.de>

	-------------------- c2ng_2_40_5 (version 2.40.5)

2018-08-31  Stefan Reuther  <streu@gmx.de>

	* game/actions/remotecontrolaction.cpp, game/actions/remotecontrolaction.hpp: new [ex client/remote.h]
	* ui/widgets/simpletable.cpp (setExtraColumns): new
	* client/widgets/hullspecificationsheet.cpp, client/widgets/hullspecificationsheet.hpp: new [ex client/widgets/specview.h, client/widgets/specbaseinfo.h, client/widgets/specmaininfo.h, client/widgets/specbuildinfo.h]
	* client/proxy/hullspecificationproxy.cpp, client/proxy/hullspecificationproxy.hpp: new
	* client/proxy/playerproxy.cpp, client/proxy/playerproxy.hpp: new

2018-08-28  Stefan Reuther  <streu@gmx.de>

	* client/widgets/playerlist.cpp, client/widgets/playerlist.hpp: new [ex client/widgets/racelist.h]

2018-08-27  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/visualscandialog.cpp, client/dialogs/visualscandialog.hpp: new [ex client/dlg-visual.h]
	* client/tiles/visualscanheadertile.cpp, client/tiles/visualscanheadertile.hpp: new [ex client/tiles/visheader.h]
	* client/tiles/visualscanhullinfotile.cpp, client/tiles/visualscanhullinfotile.hpp: new [ex client/tiles/vishull.h]
	* client/tiles/visualscanshipinfotile.cpp, client/tiles/visualscanshipinfotile.hpp: new [ex client/tiles/visship.h]

2018-08-26  Stefan Reuther  <streu@gmx.de>

	* client/proxy/referencelistproxy.cpp, client/proxy/referencelistproxy.hpp: moved from client/widgets/referencelistconnector.hpp
	* client/proxy/cursorobserverproxy.cpp, client/proxy/cursorobserverproxy.hpp: moved from client/objectobserverproxy.hpp, client/objectobserver.hpp
	* client/proxy/objectlistener.hpp: moved from client/objectlistener.hpp
	* client/proxy/objectobserver.hpp: new
	* client/proxy/referenceobserverproxy.cpp, client/proxy/referenceobserverproxy.hpp: new

2018-08-25  Stefan Reuther  <streu@gmx.de>

	* gfx/dimbackgroundcolorscheme.cpp, gfx/dimbackgroundcolorscheme.hpp: new
	* client/screens/playerscreen.cpp: preliminary menu structure

2018-08-24  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/referencesortorder.cpp, client/dialogs/referencesortorder.hpp: new
	* gfx/dimcolorscheme.cpp, gfx/dimcolorscheme.hpp: new

2018-08-20  Stefan Reuther  <streu@gmx.de>

	* game/ref/sortbylocation.cpp, game/ref/sortbylocation.hpp: new [ex game/objl-sort.cc]
	* game/ref/sortbynewlocation.cpp, game/ref/sortbynewlocation.hpp: new [ex game/objl-sort.cc]

2018-08-19  Stefan Reuther  <streu@gmx.de>

	* client/widgets/referencelistconnector.cpp, client/widgets/referencelistconnector.hpp: new
	* game/map/objectlist.cpp, game/map/objectlist.hpp: removed [replaced by ReferenceList, ReferenceUserList]
	* game/map/objectreference.cpp, game/map/objectreference.hpp: removed [replaced by Reference]
	* game/ref/configuration.cpp, game/ref/configuration.hpp: new [ex game/objl-user.cc]
	* game/ref/list.cpp, game/ref/list.hpp: moved from game/referencelist.hpp
	* game/ref/listobserver.cpp, game/ref/listobserver.hpp: moved from game/ref/referencelistobserver.hpp
	* game/ref/nullpredicate.cpp, game/ref/nullpredicate.hpp: new
	* game/ref/sortbybattleorder.cpp, game/ref/sortbybattleorder.hpp: new [ex game/objl-sort.cc]
	* game/ref/sortbydamage.cpp, game/ref/sortbydamage.hpp: new [ex game/objl-sort.cc]
	* game/ref/sortbyfleet.cpp, game/ref/sortbyfleet.hpp: new [ex game/objl-sort.cc]
	* game/ref/sortbyhullmass.cpp, game/ref/sortbyhullmass.hpp: new [ex game/objl-sort.cc]
	* game/ref/sortbyhulltype.cpp, game/ref/sortbyhulltype.hpp: new [ex game/objl-sort.cc]
	* game/ref/sortbyid.cpp, game/ref/sortbyid.hpp: moved from game/sort/byid.hpp
	* game/ref/sortbymass.cpp, game/ref/sortbymass.hpp: new [ex game/objl-sort.cc]
	* game/ref/sortbyname.cpp, game/ref/sortbyname.hpp: new [ex game/objl-sort.cc]
	* game/ref/sortbyowner.cpp, game/ref/sortbyowner.hpp: new [ex game/objl-sort.cc]
	* game/ref/sortbytowgroup.cpp, game/ref/sortbytowgroup.hpp: new [ex game/objl-sort.cc]
	* game/ref/sortpredicate.hpp: moved from game/sort/predicate.hpp
	* game/ref/userlist.cpp, game/ref/userlist.hpp: new

2018-08-16  Stefan Reuther  <streu@gmx.de>

	* game/battleorderrule.cpp, game/battleorderrule.hpp: new

2018-08-15  Stefan Reuther  <streu@gmx.de>

	* client/widgets/referencelistbox.cpp, client/widgets/referencelistbox.hpp: new [ex client/widgets/objlist.h]
	* game/referenceuserlist.cpp, game/referenceuserlist.hpp: new
	* game/sort/predicate.hpp: new [ex game/objl-sort.cc]

2018-08-12  Stefan Reuther  <streu@gmx.de>

	* client/si/commands.cpp (IFCCViewInbox, IFCCViewCombat): new

2018-08-11  Stefan Reuther  <streu@gmx.de>

	* game/referencelist.cpp, game/referencelist.hpp: new [ex game/objlist.h, sort-of]
	* game/v3/fizzfile.cpp, game/v3/fizzfile.hpp: new [ex game/check-fizz.cc]

2018-08-10  Stefan Reuther  <streu@gmx.de>

	* game/v3/directoryloader.cpp, game/v3/directoryloader.hpp: new [ex game/load-dir.cc]

2018-08-05  Stefan Reuther  <streu@gmx.de>

	* client/si/commands.cpp (IFUIEditAlliances): new

2018-08-04  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/alliancedialog.cpp, client/dialogs/alliancedialog.hpp: new [ex client/dialogs/allydlg.h]
	* client/widgets/alliancelevelgrid.cpp, client/widgets/alliancelevelgrid.hpp: new [ex client/dialogs/allylevelgrid.h]
	* client/widgets/alliancestatuslist.cpp, client/widgets/alliancestatuslist.hpp: new [ex client/widgets/allylist.h]

2018-07-29  Stefan Reuther  <streu@gmx.de>

	* gfx/sdl2/nullpresenter.cpp, gfx/sdl2/nullpresenter.hpp: removed
	* gfx/sdl2/presenter.hpp: removed
	* gfx/sdl2/engine.cpp: optimize redraw
	* game/v3/writer.cpp, game/v3/writer.hpp: new [ex game/save-msg.cc]
	* game/map/minefieldmission.cpp, game/map/minefieldmission.hpp: new [ex game/ship-form.cc]

2018-07-28  Stefan Reuther  <streu@gmx.de>

	* game/v3/udata/parser.cpp, game/v3/udata/parser.hpp: new [ex game/utilparse.h]
	* game/v3/udata/reader.cpp, game/v3/udata/reader.hpp: new [ex game/utilread.h]

2018-07-24  Stefan Reuther  <streu@gmx.de>

	* game/alliance/hosthandler.cpp, game/alliance/hosthandler.hpp: new [ex game/talliance.h]
	* game/alliance/phosthandler.cpp, game/alliance/phosthandler.hpp: new [ex game/palliance.h]

2018-07-22  Stefan Reuther  <streu@gmx.de>

	* game/alliance/container.cpp, game/alliance/container.hpp: new [ex game/alliance.h]
	* game/alliance/handler.hpp: new [ex game/alliance.h]
	* game/alliance/level.cpp, game/alliance/level.hpp: new [ex game/alliance.h]
	* game/alliance/offer.cpp, game/alliance/offer.hpp: new [ex game/alliance.h]

2018-07-21  Stefan Reuther  <streu@gmx.de>

	* tools/c2mkturn.cpp: new [ex tools/c2mkturn.cc]
	* game/v3/maketurn.cpp, game/v3/maketurn.hpp: new [ex game/maketurn.h]
	* game/v3/maketurnapplication.cpp, game/v3/maketurnapplication.hpp: new [ex tools/c2mkturn.cc]
	* game/v3/messagewriter.cpp, game/v3/messagewriter.hpp: new
	* game/v3/utils.cpp, game/v3/utils.hpp: new

2018-07-17  Stefan Reuther  <streu@gmx.de>

	* game/v3/trn/fileset.cpp, game/v3/trn/fileset.hpp: new [ex game/save-trn.h]

2018-07-15  Stefan Reuther  <streu@gmx.de>

	* game/turnloader.cpp (saveCurrentDatabases): save scores, chart database

2018-07-14  Stefan Reuther  <streu@gmx.de>

	* game/interface/globalcommands.cpp (IFSaveGame): new

2018-07-08  Stefan Reuther  <streu@gmx.de>

	* game/spec/hullfunctionassignmentlist.cpp (getPlayersThatCan): optimize

2018-07-07  Stefan Reuther  <streu@gmx.de>

	* game/db/packer.cpp, game/db/packer.hpp: new

2018-07-05  Stefan Reuther  <streu@gmx.de>

	* game/db/loader.cpp: add loading Ufos, Minefields
	* game/map/ufo.cpp: add loading from database

2018-07-03  Stefan Reuther  <streu@gmx.de>

	* game/v3/unpackapplication.cpp, game/v3/unpackapplication.hpp: new [ex tools/c2unpack.cc]
	* game/v3/unpacker.cpp, game/v3/unpacker.hpp: new [ex game/unpack.h]
	* tools/c2unpack.cpp: new [ex tools/c2unpack.cc]

2018-06-30  Stefan Reuther  <streu@gmx.de>

	* game/v3/genfile.cpp, game/v3/genfile.hpp: new [ex game/gen.h]

2018-06-29  Stefan Reuther  <streu@gmx.de>

	* server/host/installer.cpp (installGameData): set correct permissions [#377]
	* server/host/gamerating.cpp (computeGameRating): set correct permissions [#377]
	* server/host/exporter.cpp (exportGame, importGame): set correct permissions [#377]
	* server/host/hosttool.cpp: fix file name list

2018-06-28  Stefan Reuther  <streu@gmx.de>

	* client/si/commands.cpp (IFLoadHelpFile): new
	* client/help.cpp, client/help.hpp: new

2018-06-26  Stefan Reuther  <streu@gmx.de>

	* util/helpindex.cpp, util/helpindex.hpp: new

2018-06-17  Stefan Reuther  <streu@gmx.de>

	* server/host/hostgame.cpp (updateGames): rebuild missing file history

2018-06-03  Stefan Reuther  <streu@gmx.de>

	* server/host/actions.cpp (processInactivityKicks): don't kick a newly-joined player

2018-06-02  Stefan Reuther  <streu@gmx.de>

	* server/host/hostfile.cpp, server/host/hostfile.hpp: new
	* server/host/file/: new

2018-05-27  Stefan Reuther  <streu@gmx.de>

	* server/host/actions.cpp (importFileHistory): new
	* server/interface/hostfile.cpp, server/interface/hostfile.hpp: new
	* server/interface/hostfileclient.cpp, server/interface/hostfileclient.hpp: new
	* server/interface/hostfileserver.cpp, server/interface/hostfileserver.hpp: new

2018-05-21  Stefan Reuther  <streu@gmx.de>

	* server/host/actions.cpp: new. Add Host.KickAfterMissed option

2018-05-18  Stefan Reuther  <streu@gmx.de>

	* server/monitor/serverapplication.cpp: add Monitor.SaveInterval option

2018-05-17  Stefan Reuther  <streu@gmx.de>

	* util/plugin/dialogapplication.cpp, util/plugin/dialogapplication.hpp: new [ex tools/c2pluginw.cc]
	* tools/c2pluginw.cpp: new [ex tools/c2pluginw.cc]

2018-05-13  Stefan Reuther  <streu@gmx.de>

	* util/plugin/consoleapplication.cpp, util/plugin/consoleapplication.hpp: new

2018-05-06  Stefan Reuther  <streu@gmx.de>

	-------------------- c2ng_2_40_4 (version 2.40.4)

2018-05-05  Stefan Reuther  <streu@gmx.de>

	* game/map/movementpredictor.cpp, game/map/movementpredictor.hpp: new [ex game/movement.h]

2018-05-03  Stefan Reuther  <streu@gmx.de>

	* game/actions/changeshipfriendlycode.cpp, game/actions/changeshipfriendlycode.hpp: new [ex game/fleetfc.h]

2018-04-30  Stefan Reuther  <streu@gmx.de>

	* game/map/planeteffectors.cpp, game/map/planeteffectors.hpp: new [ex game/planetpred.h]
	* game/map/planetpredictor.cpp, game/map/planetpredictor.hpp: new [ex game/planetpred.h]
	* game/v3/registry.cpp, game/v3/registry.hpp: new [ex game/greg.h]

2018-04-29  Stefan Reuther  <streu@gmx.de>

	* client/tiles/shipcargotile.cpp, client/tiles/shipcargotile.hpp: new [ex client/tiles/shipcargo.h]
	* client/tiles/shipmovementtile.cpp, client/tiles/shipmovementtile.hpp: new [ex client/tiles/shipmovement.h]
	* client/widgets/simplegauge.cpp, client/widgets/simplegauge.hpp: new [ex client/tiles/shipcargo.h]
	* game/map/chunnelmission.cpp, game/map/chunnelmission.hpp: new [ex game/ship-form.cc]
	* ui/widgets/simpletable.cpp, ui/widgets/simpletable.hpp: new [ex ui/table.h]
	* ui/widgets/textbutton.cpp, ui/widgets/textbutton.hpp: new
	* util/updater.hpp: new

2018-04-22  Stefan Reuther  <streu@gmx.de>

	* server/file/directorypage.cpp, server/file/directorypage.hpp: new

2018-04-21  Stefan Reuther  <streu@gmx.de>

	* game/parser/format.cpp, game/parser/format.hpp: new
	* client/dialogs/inboxdialog.cpp, client/dialogs/inboxdialog.hpp: new [ex client/dialogs/inboxdlg.h]

2018-04-15  Stefan Reuther  <streu@gmx.de>

	* client/widgets/messageactionpanel.cpp, client/widgets/messageactionpanel.hpp: new [ex client/widgets/msgaction.h]

2018-04-14  Stefan Reuther  <streu@gmx.de>

	* game/reference.cpp, game/reference.hpp: new
	* game/msg/configuration.cpp, game/msg/configuration.hpp: new [ex game/msg-conf.cc, game/msg-filter.cc]

2018-04-11  Stefan Reuther  <streu@gmx.de>

	* game/shipquery.cpp, game/shipquery.hpp: new [ex game/shipquery.h]

2018-04-08  Stefan Reuther  <streu@gmx.de>

	* client/vcr/classic/interleavedscheduler.cpp, client/vcr/classic/interleavedscheduler.hpp: new

2018-04-02  Stefan Reuther  <streu@gmx.de>

	* gfx/scan.cpp, gfx/scan.hpp: new [ex gfx/pixmap.cc]

2018-04-01  Stefan Reuther  <streu@gmx.de>

	* client/vcr/classic/event.hpp: new [ex client/vcr/classicplaybackscreen.hpp]
	* client/vcr/classic/eventconsumer.hpp: new [ex client/vcr/classicplaybackscreen.hpp]
	* client/vcr/classic/playbackscreen.cpp, client/vcr/classic/playbackscreen.hpp: new [ex client/vcr/classicplaybackscreen.hpp]
	* client/vcr/classic/scheduler.hpp: new [ex client/vcr/classicplaybackscreen.hpp]
	* client/vcr/classic/standardscheduler.cpp, client/vcr/classic/standardscheduler.hpp: new [ex client/vcr/classicplaybackscreen.hpp]
	* client/vcr/classic/traditionalscheduler.cpp, client/vcr/classic/traditionalscheduler.hpp: new [ex client/vcr/classicplaybackscreen.hpp]

2018-03-31  Stefan Reuther  <streu@gmx.de>

	* util/syntax/lisphighlighter.cpp, util/syntax/lisphighlighter.hpp: new
	* client/vcr/classic/renderer.cpp, client/vcr/classic/renderer.hpp: new
	* client/vcr/classic/player.cpp, client/vcr/classic/player.hpp: new

2018-03-29  Stefan Reuther  <streu@gmx.de>

	* gfx/gen/colorrange.cpp, gfx/gen/colorrange.hpp: new
	* gfx/gen/texture.cpp, gfx/gen/texture.hpp: new

2018-03-25  Stefan Reuther  <streu@gmx.de>

	* gfx/types.cpp (parseColor): new
	* client/vcr/playbackcontrolwidget.cpp, client/vcr/playbackcontrolwidget.hpp: new [ex client/vcrvis.h]
	* client/vcr/unitstatuswidget.cpp, client/vcr/unitstatuswidget.hpp: new [ex client/vcrvis.h]
	* ui/res/winplanvcrprovider.cpp, ui/res/winplanvcrprovider.hpp: new [ex resmgr/res-wpvcr.h]

2018-03-24  Stefan Reuther  <streu@gmx.de>

	* gfx/windowparameters.hpp: new
	* gfx/engine.hpp, ui/root.hpp: implement window parameters (title, icon)

2018-03-22  Stefan Reuther  <streu@gmx.de>

	* gfx/gen/shieldrenderer.cpp, gfx/gen/shieldrenderer.hpp: new [ex client/vcranim.h]

2018-03-20  Stefan Reuther  <streu@gmx.de>

	* gfx/gen/explosionrenderer.cpp, gfx/gen/explosionrenderer.hpp: new [ex client/vcranim.h]
	* gfx/gen/particlerenderer.cpp, gfx/gen/particlerenderer.hpp: new [ex client/vcranim.h]

2018-03-18  Stefan Reuther  <streu@gmx.de>

	* client/vcr/beamsprite.cpp, client/vcr/beamsprite.hpp: new [ex client/vcranim.h]
	* client/vcr/torpedosprite.cpp, client/vcr/torpedosprite.hpp: new [ex client/vcranim.h]

2018-03-12  Stefan Reuther  <streu@gmx.de>

	* game/vcr/classic/mirroringeventlistener.cpp, game/vcr/classic/mirroringeventlistener.hpp: new

2018-03-11  Stefan Reuther  <streu@gmx.de>

	* util/syntax/pascalhighlighter.cpp, util/syntax/pascalhighlighter.hpp: new

2018-03-10  Stefan Reuther  <streu@gmx.de>

	* client/vcr/classicplaybackscreen.cpp, client/vcr/classicplaybackscreen.hpp: new [totally incomplete]
	* game/vcr/classic/eventlistener.hpp: new
	* game/vcr/classic/eventrecorder.cpp, game/vcr/classic/eventrecorder.hpp: new
	* game/vcr/classic/eventvisualizer.cpp, game/vcr/classic/eventvisualizer.hpp: new
	* game/vcr/classic/utils.cpp, game/vcr/classic/utils.hpp: new
	* gfx/anim/pixmapsprite.cpp, gfx/anim/pixmapsprite.hpp: new [ex gfx/sprite3d.h]
	* ui/widgets/spritewidget.cpp, ui/widgets/spritewidget.hpp: new
	* util/instructionlist.cpp, util/instructionlist.hpp: new
	* util/stringinstructionlist.cpp, util/stringinstructionlist.hpp: new

2018-03-07  Stefan Reuther  <streu@gmx.de>

	* game/vcr/overview.hpp: new [ex client/dialogs/combatdiagram.h]

2018-03-06  Stefan Reuther  <streu@gmx.de>

	* game/vcr/classic/visualizer.hpp: clean up visualisation
	* game/vcr/classic/hostalgorithm.cpp: clean up visualisation
	* game/vcr/classic/pvcralgorithm.cpp: clean up visualisation

2018-03-04  Stefan Reuther  <streu@gmx.de>

	* gfx/anim/controller.cpp, gfx/anim/controller.hpp: new [ex gfx/sprite3d.h]
	* gfx/anim/sprite.cpp, gfx/anim/sprite.hpp: new [ex gfx/sprite3d.h]
	* client/dialogs/classicvcrdialog.cpp, client/dialogs/classicvcrdialog.hpp: new [ex client/vcrplay.h]
	* client/widgets/classicvcrinfo.cpp, client/widgets/classicvcrinfo.hpp: new [ex client/vcrplay.h]

2018-03-01  Stefan Reuther  <streu@gmx.de>

	* game/interface/completionlist.cpp, game/interface/completionlist.hpp: new [ex client/dialogs/consoledlg.h]

2018-02-25  Stefan Reuther  <streu@gmx.de>

	* gfx/application.cpp, gfx/application.hpp: new
	* gfx/gen/orbitconfig.cpp, gfx/gen/orbitconfig.hpp: new
	* gfx/sdl2/engine.cpp, gfx/sdl2/engine.hpp: new
	* gfx/sdl2/nullpresenter.cpp, gfx/sdl2/nullpresenter.hpp: new
	* gfx/sdl2/presenter.hpp: new
	* gfx/sdl2/streaminterface.cpp, gfx/sdl2/streaminterface.hpp: new
	* gfx/sdl2/surface.cpp, gfx/sdl2/surface.hpp: new
	* ui/pixmapcolorscheme.cpp, ui/pixmapcolorscheme.hpp: new
	* ui/widgets/panel.cpp, ui/widgets/panel.hpp: new

2018-02-24  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/directoryselectiondialog.cpp, client/dialogs/directoryselectiondialog.hpp: new
	* client/imageloader.cpp, client/imageloader.hpp: new
	* server/file/utils.cpp (copyDirectory): add ability to unpack tarballs
	* util/directorybrowser.cpp, util/directorybrowser.hpp: new

2018-02-18  Stefan Reuther  <streu@gmx.de>

	* game/browser/folder.hpp: folder assignment, first version
	* ui/widgets/standarddialogbuttons.cpp, ui/widgets/standarddialogbuttons.hpp: new

2018-02-17  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/folderconfigdialog.cpp, client/dialogs/folderconfigdialog.hpp: new
	* client/downlink.cpp, client/downlink.hpp: new
	* ui/widgets/menuframe.cpp, ui/widgets/menuframe.hpp: new [ex ui/listbox.h]

2018-02-13  Stefan Reuther  <streu@gmx.de>

	* game/root.hpp: report possible actions

2018-02-11  Stefan Reuther  <streu@gmx.de>

	* game/browser/browser.hpp, game/browser/folder.hpp: add ability to configure a game
	* ui/root.cpp (performDeferredRedraws): handle that a widget requests redraw while being redrawn
	* ui/widgets/optiongrid.cpp, ui/widgets/optiongrid.hpp: new [ex client/widgets/optiongrid.h]

2018-02-10  Stefan Reuther  <streu@gmx.de>

	* game/v3/check/configuration.cpp, game/v3/check/configuration.hpp: new

2018-02-03  Stefan Reuther  <streu@gmx.de>

	* tools/c2check.cpp: new [ex check.pas]
	* game/v3/check/application.cpp, game/v3/check/application.hpp: new [ex check.pas]
	* game/v3/check/checker.cpp, game/v3/check/checker.hpp: new [ex check.pas]

2018-01-29  Stefan Reuther  <streu@gmx.de>

	* game/v3/trn/turnprocessor.cpp, game/v3/trn/turnprocessor.hpp: new
	* server/host/configuration.hpp, server/host/game.cpp: implement "UsersSeeTemporaryTurns" option [#367]

2018-01-27  Stefan Reuther  <streu@gmx.de>

	* game/root.cpp: no longer contains a specification directory, as we may not even have one in network games

2018-01-25  Stefan Reuther  <streu@gmx.de>

	* game/v3/outboxreader.cpp: player 0 (not 12) means host to be able to support >11 players
	* tools/c2mgrep.cpp, game/playerset.cpp: correctly show receiver of messages to host

2018-01-23  Stefan Reuther  <streu@gmx.de>

	* util/digest.cpp, util/digest.hpp: new [ex game/check-crc.cc]

	-------------------- c2ng_2_40_3 (Milestone 3, version 2.40.3)

2018-01-21  Stefan Reuther  <streu@gmx.de>

	* scripts/doc.pl, P9/02_manual.pr: new
	* interpreter/values.hpp (makeSizeValue): cleanup: new function to avoid cast at caller
	* game/map/universe.hpp: cleanup: getPlanetAt() etc. now const to avoid const_cast at caller
	* game/map/shippredictor.cpp, game/map/shippredictor.hpp: new [ex game/shippredict.h]

2018-01-14  Stefan Reuther  <streu@gmx.de>

	* tools/c2configtool.cpp: new [ex updateconfig.pl]
	* util/configurationfile.cpp, util/configurationfile.hpp: new [ex updateconfig.pl]

2018-01-13  Stefan Reuther  <streu@gmx.de>

	* server/monitor/timeseriesloader.cpp, server/monitor/timeseriesloader.hpp: new
	* server/monitor/timeserieswriter.cpp, server/monitor/timeserieswriter.hpp: new

2018-01-10  Stefan Reuther  <streu@gmx.de>

	* game/v3/hconfig.cpp, game/v3/hconfig.hpp: new

2018-01-07  Stefan Reuther  <streu@gmx.de>

	* share/server/monitor/monitor.html: new skin to allow rendering time series
	* server/monitor/status.cpp, server/monitor/status.hpp: render time series
	* server/monitor/timeseries.cpp, server/monitor/timeseries.hpp: new
	* server/monitor/loadaverageobserver.cpp, server/monitor/loadaverageobserver.hpp: new
	* server/monitor/statusobserver.cpp, server/monitor/statusobserver.hpp: new

2018-01-06  Stefan Reuther  <streu@gmx.de>

	* server/monitor/serverapplication.cpp: monitor FORMAT service
	* server/monitor/networkobserver.cpp: send User-Agent
	* share/server/monitor/monitor.html: update template

2018-01-01  Stefan Reuther  <streu@gmx.de>

	* ui/res/generatedplanetprovider.cpp, ui/res/generatedplanetprovider.hpp: new

2017-12-31  Stefan Reuther  <streu@gmx.de>

	* game/map/markings.cpp, game/map/markings.hpp: new [ex game/sel.h]
	* game/map/markingvector.cpp, game/map/markingvector.hpp: new [ex game/sel.h]

2017-12-30  Stefan Reuther  <streu@gmx.de>

	* game/map/fleetmember.cpp (setMission): synchronize reset of Intercept to fleet members as well [#363]

2017-12-29  Stefan Reuther  <streu@gmx.de>

	* game/db/fleetloader.cpp: new [ex game/fleet.h]

2017-12-28  Stefan Reuther  <streu@gmx.de>

	* gfx/gen/application.cpp: new
	* gfx/gen/planet.hpp: new
	* gfx/gen/planetconfig.hpp: new
	* gfx/gen/vector3d.hpp: new
	* tools/c2gfxgen.cpp: new

2017-12-27  Stefan Reuther  <streu@gmx.de>

	* interpreter/filefunctions.cpp (FPos, FSize): add ability to handle files >2 GiB

2017-12-25  Stefan Reuther  <streu@gmx.de>

	* game/actions/cargotransfersetup.cpp, game/actions/cargotransfersetup.hpp: new
	* game/interface/cargomethod.cpp, game/interface/cargomethod.hpp: new

2017-12-24  Stefan Reuther  <streu@gmx.de>

	* game/map/shiptransporter.cpp, game/map/shiptransporter.hpp: new [ex game/shiptransfer.h]

2017-12-23  Stefan Reuther  <streu@gmx.de>

	* game/actions/buildammo.hpp: new [ex game/actions/baseammo.h]

2017-12-20  Stefan Reuther  <streu@gmx.de>

	* game/actions/buildship.cpp, game/actions/buildship.hpp: new [ex game/actions/baseship.h]
	* game/v3/undoinformation.cpp: deal with host-side cargo transfer [#362]

2017-12-19  Stefan Reuther  <streu@gmx.de>

	* game/test/registrationkey.cpp, game/test/registrationkey.hpp: new
	* game/test/specificationloader.cpp, game/test/specificationloader.hpp: new
	* game/test/stringverifier.cpp, game/test/stringverifier.hpp: new

2017-12-16  Stefan Reuther  <streu@gmx.de>

	* game/actions/buildparts.cpp, game/actions/buildparts.hpp: new [ex game/actions/baseparts.h]
	* game/actions/techupgrade.cpp, game/actions/techupgrade.hpp: new [ex game/actions/basetech.h]

2017-12-15  Stefan Reuther  <streu@gmx.de>

	* game/actions/basebuildaction.cpp, game/actions/basebuildaction.hpp: new [ex game/actions/basebuild.h]
	* game/actions/basebuildexecutor.hpp: new [ex game/actions/basebuild.h]
	* server/host/cronimpl.hpp, server/mailout/transmitterimpl.hpp, ui/defaultresourceprovider.hpp, util/requestthread.hpp: adapt to change in afl (Runnable -> Stoppable)

2017-12-14  Stefan Reuther  <streu@gmx.de>

	* server/console/parser.cpp: fix piping over empty list

2017-12-10  Stefan Reuther  <streu@gmx.de>

	* game/map/shipstorage.cpp, game/map/shipstorage.hpp: new [ex game/shiptransfer.cc]
	* tools/c2export.cpp: add '-c' option [#359]
	* interpreter/exporter/configuration.hpp: new [ex int/export/expconfig.h]
	* interpreter/exporter/format.hpp: new [ex int/export.h]
	* util/charsetfactory.hpp: new [ex util/recode.h]

2017-12-07  Stefan Reuther  <streu@gmx.de>

	* game/interface/planetmethod.cpp: add SellSupplies command

2017-12-05  Stefan Reuther  <streu@gmx.de>

	* interpreter/exporter/fieldlist.cpp: improve error detection [#358]
	* tools/c2export.cpp: improve error message [#358]

2017-12-04  Stefan Reuther  <streu@gmx.de>

	* game/v3/resultloader.cpp: add ability to load result file
	* game/v3/packer.hpp, game/v3/packer.cpp: new
	* game/v3/undoinformation.cpp, game/v3/undoinformation.hpp: new [ex game/undo.h]

2017-12-03  Stefan Reuther  <streu@gmx.de>

	* game/actions/buildstarbase.cpp, game/actions/buildstarbase.hpp: new [ex game/actions/planetbase.h]
	* game/actions/buildstructures.cpp, game/actions/buildstructures.hpp: new [ex game/actions/planetstructs.h]
	* game/actions/cargocostaction.cpp, game/actions/cargocostaction.hpp: new [ex game/actions/cargocost.h]
	* game/actions/cargotransfer.cpp, game/actions/cargotransfer.hpp: new [ex game/cargotr.h]
	* game/cargocontainer.hpp: new [ex game/cargo.h]
	* game/map/planetstorage.cpp, game/map/planetstorage.hpp: new [ex game/planettransfer.h]

2017-11-28  Stefan Reuther  <streu@gmx.de>

	* tools/c2mgrep.cpp: new [ex tools/c2mgrep.cc]
	* game/v3/outboxreader.cpp, game/v3/outboxreader.hpp: new [ex game/load-msg.h]

2017-11-25  Stefan Reuther  <streu@gmx.de>

	* game/msg/outbox.hpp: new [ex game/msg.h, game/msg-out.cc]

2017-11-19  Stefan Reuther  <streu@gmx.de>

	* main/c2ng.cpp, server/monitor/serverapplication.cpp: basic proxy support

2017-11-13  Stefan Reuther  <streu@gmx.de>

	* server/c2monitor.cpp: new [ex planetscentral/monitor.cc]
	* server/monitor/badnessfileobserver.cpp, server/monitor/badnessfileobserver.hpp: new [ex planetscentral/monitor.cc]
	* server/monitor/networkobserver.cpp, server/monitor/networkobserver.hpp: new [ex planetscentral/monitor.cc]
	* server/monitor/observer.hpp: new [ex planetscentral/monitor.cc]
	* server/monitor/serverapplication.cpp, server/monitor/serverapplication.hpp: new [ex planetscentral/monitor.cc]
	* server/monitor/status.cpp, server/monitor/status.hpp: new [ex planetscentral/monitor.cc]
	* server/monitor/statuspage.cpp, server/monitor/statuspage.hpp: new [ex planetscentral/monitor.cc]

2017-11-04  Stefan Reuther  <streu@gmx.de>

	* server/mailout/commandhandler.cpp, server/mailout/commandhandler.hpp: new [ex planetscentral/mailout/mailout.cc]
	* server/mailout/configuration.cpp, server/mailout/configuration.hpp: new
	* server/mailout/mailqueue.cpp, server/mailout/mailqueue.hpp: new [ex planetscentral/mailout/mailout.cc]
	* server/mailout/message.cpp, server/mailout/message.hpp: new [ex planetscentral/mailout/message.h]
	* server/mailout/root.cpp, server/mailout/root.hpp: new [ex planetscentral/mailout/mailout.cc]
	* server/mailout/serverapplication.cpp, server/mailout/serverapplication.hpp: new [ex planetscentral/mailout/mailout.cc]
	* server/mailout/session.hpp: new [ex planetscentral/mailout/mailout.cc]
	* server/mailout/template.cpp, server/mailout/template.hpp: new [ex planetscentral/mailout/template.h]
	* server/mailout/transmitter.hpp: new [ex planetscentral/mailout/transmitter.h]
	* server/mailout/transmitterimpl.cpp, server/mailout/transmitterimpl.hpp: new [ex planetscentral/mailout/transmitter.h]

2017-10-31  Stefan Reuther  <streu@gmx.de>

	* server/dbexport/dbexporter.cpp, server/dbexport/dbexporter.hpp: new [ex planetscentral/dbexport/exdb.h]
	* server/dbexport/exportapplication.cpp, server/dbexport/exportapplication.hpp: new [ex planetscentral/dbexport/dbexport.h]

2017-10-30  Stefan Reuther  <streu@gmx.de>

	* server/c2nntp.cpp: new [ex planetscentral/nntp/nntp.cc]
	* server/nntp/linehandler.cpp, server/nntp/linehandler.hpp: new [ex planetscentral/nntp/nntpworker.h]
	* server/nntp/root.cpp, server/nntp/root.hpp: new [ex planetscentral/nntp/nntp.cc]
	* server/nntp/serverapplication.cpp, server/nntp/serverapplication.hpp: new [ex planetscentral/nntp/nntp.cc]
	* server/nntp/session.hpp: new [ex planetscentral/nntp/nntpworker.h]

2017-10-29  Stefan Reuther  <streu@gmx.de>

	* server/scripts/init.con: new [ex planetscentral/scripts/init.con]
	* server/ports.hpp: new
	* server/console/routercontextfactory.cpp, server/console/routercontextfactory.hpp: new [ex planetscentral/console/router.h]
	* server/interface/sessionrouterclient.cpp, server/interface/sessionrouterclient.hpp: new [ex planetscentral/dbclient/routerclient.h]

2017-10-07  Stefan Reuther  <streu@gmx.de>

	* server/console/colorterminal.cpp, server/console/colorterminal.hpp: new [ex planetscentral/console/console.cc]
	* server/console/connectioncontextfactory.cpp, server/console/connectioncontextfactory.hpp: new [ex planetscentral/console/context.h]
	* server/console/contextfactory.hpp: new
	* server/console/dumbterminal.cpp, server/console/dumbterminal.hpp: new [ex planetscentral/console/console.cc]
	* server/console/filecommandhandler.cpp, server/console/filecommandhandler.hpp: new [ex planetscentral/console/console.cc]
	* server/console/integercommandhandler.cpp, server/console/integercommandhandler.hpp: new [ex planetscentral/console/console.cc]
	* server/console/pipeterminal.cpp, server/console/pipeterminal.hpp: new [ex planetscentral/console/console.cc]
	* server/console/stringcommandhandler.cpp, server/console/stringcommandhandler.hpp: new [ex planetscentral/console/console.cc]

2017-10-04  Stefan Reuther  <streu@gmx.de>

	* server/console/arcanecommandhandler.cpp, server/console/arcanecommandhandler.hpp: new [ex planetscentral/console/console.cc]
	* server/console/fundamentalcommandhandler.cpp, server/console/fundamentalcommandhandler.hpp: new [ex planetscentral/console/console.cc]
	* server/console/macrocommandhandler.cpp, server/console/macrocommandhandler.hpp: new [ex planetscentral/console/console.cc]

2017-10-03  Stefan Reuther  <streu@gmx.de>

	* server/console/commandhandler.hpp: new
	* server/console/consoleapplication.cpp, server/console/consoleapplication.hpp: new [ex planetscentral/console/console.cc]
	* server/console/context.hpp: new [ex planetscentral/console/context.h]
	* server/console/environment.cpp, server/console/environment.hpp: new [ex planetscentral/console/console.cc]
	* server/console/parser.cpp, server/console/parser.hpp: new [ex planetscentral/console/console.cc]
	* server/console/terminal.hpp: new [ex planetscentral/console/console.cc]
	* server/tools/c2console.cpp: new [ex planetscentral/console/console.cc]

2017-10-02  Stefan Reuther  <streu@gmx.de>

	* server/: add graceful shutdown on SIGINT/SIGTERM; update reconnect behaviour

2017-10-01  Stefan Reuther  <streu@gmx.de>

	* server/mailin/mailinapplication.cpp, server/mailin/mailinapplication.hpp: new
	* server/host/exporter.cpp: implement backup import and add some logging
	* server/file/clientdirectory.cpp, server/file/clientdirectory.hpp: new

2017-09-29  Stefan Reuther  <streu@gmx.de>

	* server/common/sessionprotocolhandler.hpp: new
	* server/common/sessionprotocolhandlerfactory.hpp: new
	* server/common/user.cpp, server/common/user.hpp: new
	* server/file/clientapplication.cpp, server/file/clientapplication.hpp: new
	* server/file/serverapplication.cpp, server/file/serverapplication.hpp: new
	* server/format/serverapplication.cpp, server/format/serverapplication.hpp: new
	* server/host/serverapplication.cpp, server/host/serverapplication.hpp: new
	* server/host/user.cpp, server/host/user.hpp: new
	* server/talk/serverapplication.cpp, server/talk/serverapplication.hpp: new

2017-09-28  Stefan Reuther  <streu@gmx.de>

	* server/common/root.cpp, server/common/root.hpp: new
	* server/host/hostturn.cpp: convert errors so users don't interpret passed-on hostfile 404's as game 404's

2017-09-27  Stefan Reuther  <streu@gmx.de>

	* server/mailin/mailprocessor.cpp, server/mailin/mailprocessor.hpp: new [ex planetscentral/mailin/mailin.cc]
	* server/tools/c2mailin.cpp: new [ex planetscentral/mailin/mailin.cc]

2017-09-26  Stefan Reuther  <streu@gmx.de>

	* server/host/cronimpl.cpp: fix scheduler synchronisation; improve logging

2017-09-17  Stefan Reuther  <streu@gmx.de>

	* server/host/hostplayer.cpp (resign): don't produce duplicate subscription

2017-09-16  Stefan Reuther  <streu@gmx.de>

	* server/host/hostgame.cpp (getPermissions): produce correct result [#350]

2017-09-08  Stefan Reuther  <streu@gmx.de>

	* server/host/hostplayer.cpp (setDirectory): use target user permissions, not session user [#349]
	* server/host/game.cpp: ignore errors during file installation [#349]

2017-09-04  Stefan Reuther  <streu@gmx.de>

	* server/file/internalfileserver.cpp, server/file/internalfileserver.hpp: new

2017-09-03  Stefan Reuther  <streu@gmx.de>

	* server/file/clientdirectoryhandler.hpp: remove setUser function

2017-08-26  Stefan Reuther  <streu@gmx.de>

	* server/host/resultsender.cpp, server/host/resultsender.hpp: new [ex planetscentral/host/exec.h]
	* server/host/gamerating.cpp, server/host/gamerating.hpp: new [ex planetscentral/host/rating.h]

2017-08-22  Stefan Reuther  <streu@gmx.de>

	* server/host/rank/levelhandler.cpp, server/host/rank/levelhandler.hpp: new [ex planetscentral/host/ranking.h]
	* server/host/rank/victory.cpp, server/host/rank/victory.hpp: new [ex planetscentral/host/victory.h]

2017-08-20  Stefan Reuther  <streu@gmx.de>

	* server/host/exec.cpp, server/host/exec.hpp: new [ex planetscentral/host/exec.h]
	* server/host/rank/scorefilereader.cpp, server/host/rank/scorefilereader.hpp: new [ex planetscentral/host/import.h]

2017-08-19  Stefan Reuther  <streu@gmx.de>

	* server/host/rank/rank.cpp, server/host/rank/rank.hpp: new [ex planetscentral/host/rank.h]
	* server/host/rank/refereefilereader.cpp, server/host/rank/refereefilereader.hpp: new [ex planetscentral/host/rank.h]
	* server/host/cronimpl.cpp, server/host/cronimpl.hpp: new [ex planetscentral/host/cron.h]
	* server/host/hostturn.cpp (submit): produce recognizable error message if turn fails to parse [#348]

2017-08-17  Stefan Reuther  <streu@gmx.de>

	* server/host/cron.hpp: new
	* server/host/hostcron.cpp, server/host/hostcron.hpp: new [ex planetscentral/host/cmdcron.h]

2017-08-16  Stefan Reuther  <streu@gmx.de>

	* server/host/hostschedule.cpp, server/host/hostschedule.hpp: new [ex planetscentral/host/cmdsched.h]

2017-08-15  Stefan Reuther  <streu@gmx.de>

	* server/host/hostturn.cpp, server/host/hostturn.hpp: new [ex planetscentral/host/cmdplayer.h]

2017-08-13  Stefan Reuther  <streu@gmx.de>

	* server/host/configurationbuilder.cpp, server/host/configurationbuilder.hpp: new [ex planetscentral/host/exec.h]
	* server/host/exporter.cpp, server/host/exporter.hpp: new [ex planetscentral/host/exec.h]
	* server/c2host.cpp: add working directory configuration

2017-08-12  Stefan Reuther  <streu@gmx.de>

	* server/common/racenames.cpp, server/common/racenames.hpp: new
	* server/host/gamearbiter.cpp, server/host/gamearbiter.hpp: new [ex planetscentral/host/lock.h]
	* server/host/hostgame.cpp, server/host/hostgame.hpp: new [ex planetscentral/host/cmdgame.h]
	* server/host/hostplayer.cpp, server/host/hostplayer.hpp: new [ex planetscentral/host/cmdplayer.h]
	* server/host/installer.cpp, server/host/installer.hpp: new [ex planetscentral/host/install.h]

2017-08-08  Stefan Reuther  <streu@gmx.de>

	* server/interface/hostplayerserver.cpp, server/interface/hostplayerserver.hpp: new [ex planetscentral/host/cmdplayer.h]

2017-08-07  Stefan Reuther  <streu@gmx.de>

	* server/interface/hostplayerclient.cpp, server/interface/hostplayerclient.hpp: new [ex planetscentral/host/cmdplayer.h]

2017-08-06  Stefan Reuther  <streu@gmx.de>

	* server/interface/hostgameserver.cpp, server/interface/hostgameserver.hpp: new [ex planetscentral/host/cmdgame.h]
	* server/interface/hostscheduleserver.cpp, server/interface/hostscheduleserver.hpp: new [ex planetscentral/host/cmdsched.h]
	* server/interface/hostturnclient.cpp, server/interface/hostturnclient.hpp: new [ex planetscentral/host/cmdplayer.h]
	* server/interface/hostturnserver.cpp, server/interface/hostturnserver.hpp: new [ex planetscentral/host/cmdplayer.h]

2017-08-03  Stefan Reuther  <streu@gmx.de>

	* server/interface/hostgameclient.cpp, server/interface/hostgameclient.hpp: new [ex planetscentral/host/cmdgame.h]
	* server/interface/hostscheduleclient.cpp, server/interface/hostscheduleclient.hpp: new [ex planetscentral/host/cmdsched.h]

2017-07-30  Stefan Reuther  <streu@gmx.de>

	* server/host/configuration.cpp, server/host/configuration.hpp: new [ex planetscentral/host/schedule.h]
	* server/host/game.cpp, server/host/game.hpp: new [ex planetscentral/host/game.h]
	* server/host/gamecreator.cpp, server/host/gamecreator.hpp: new [ex planetscentral/host/newgame.h]
	* server/host/schedule.cpp, server/host/schedule.hpp: new [ex planetscentral/host/schedule.h]
	* server/host/talkadapter.cpp, server/host/talkadapter.hpp: new [ex planetscentral/host/talk.h]
	* server/host/talklistener.hpp: new [ex planetscentral/host/talk.h]
	* server/interface/hostgame.cpp, server/interface/hostgame.hpp: new [ex planetscentral/host/cmdgame.h]
	* server/interface/hostplayer.cpp, server/interface/hostplayer.hpp: new [ex planetscentral/host/cmdplayer.h]
	* server/interface/hostschedule.hpp, server/interface/hostschedule.cpp: new [ex planetscentral/host/cmdsched.h]
	* server/interface/hostturn.cpp, server/interface/hostturn.hpp: new [ex planetscentral/host/cmdplayer.h]

2017-07-29  Stefan Reuther  <streu@gmx.de>

	* util/processrunner.cpp, util/processrunner.hpp: new [ex planetscentral/host/runner.h]

2017-07-28  Stefan Reuther  <streu@gmx.de>

	* server/host/hosttool.cpp, server/host/hosttool.cpp: new [ex planetscentral/host/cmdhost.h]

2017-07-25  Stefan Reuther  <streu@gmx.de>

	* server/host/commandhandler.cpp, server/host/commandhandler.hpp: new [ex planetscentral/host/host.cc]
	* server/host/root.cpp, server/host/root.hpp: new [ex planetscentral/host/host.cc]
	* server/host/session.hpp: new [ex planetscentral/host/host.cc]

2017-07-23  Stefan Reuther  <streu@gmx.de>

	* server/c2host.cpp: new [ex planetscentral/host/host.cc]
	* server/interface/hostcronserver.cpp, server/interface/hostcronserver.hpp: new [ex planetscentral/host/cmdcron.h]
	* server/interface/hosttool.cpp, server/interface/hosttool.hpp: new [ex planetscentral/host/cmdhost.h]
	* server/interface/hosttoolclient.cpp, server/interface/hosttoolclient.hpp: new [ex planetscentral/host/cmdhost.h]
	* server/interface/hosttoolserver.cpp, server/interface/hosttoolserver.hpp: new [ex planetscentral/host/cmdhost.h]

2017-07-22  Stefan Reuther  <streu@gmx.de>

	* server/interface/talkgroup.hpp: add "key" property

	* server/c2talk.cpp: start using tighter timeouts to speed up system tests

2017-05-13  Stefan Reuther  <streu@gmx.de>

	-------------------- c2ng_2_40_2 (Milestone 2, version 2.40.2)

2017-05-08  Stefan Reuther  <streu@gmx.de>

	* scripts/install.pl: add install script

2017-04-23  Stefan Reuther  <streu@gmx.de>

	* interpreter/hashvalue.hpp: convert to use afl::data::Hash; remove interpreter/hashdata.hpp.

2017-04-18  Stefan Reuther  <streu@gmx.de>

	* interpreter/exporter/htmlexporter.cpp: escape HTML [#343]

2017-04-08  Stefan Reuther  <streu@gmx.de>

	* game/maint/sweeper.cpp (execute): call updateIndex()

2017-04-03  Stefan Reuther  <streu@gmx.de>

	* server/interface/composablecommandhandler.cpp, server/interface/composablecommandhandler.hpp: new

2017-03-27  Stefan Reuther  <streu@gmx.de>

	* interpreter/arraydata.cpp, interpreter/arraydata.hpp: new [split up from interpreter/arrayvalue.hpp]

2017-03-26  Stefan Reuther  <streu@gmx.de>

	* server/configurationhandler.cpp, server/configurationhandler.hpp: new

2017-03-24  Stefan Reuther  <streu@gmx.de>

	* server/common/session.cpp, server/common/session.hpp: new (from file and talk session)

2017-03-23  Stefan Reuther  <streu@gmx.de>

	* server/interface/hostcron.hpp: new [ex planetscentral/host/cmdcron.h]
	* server/interface/hostcronclient.cpp, server/interface/hostcronclient.hpp: new [ex planetscentral/host/cmdcron.h]

2017-03-17  Stefan Reuther  <streu@gmx.de>

	* tools/c2rater.cpp: new [ex planetscentral/rater/rater.cc]
	* game/maint/difficultyrater.cpp, game/maint/difficultyrater.hpp: new [ex planetscentral/rater/difficulty.h]
	* server/file/directorywrapper.cpp, server/file/directorywrapper.hpp: new

2017-03-15  Stefan Reuther  <streu@gmx.de>

	* server/file/clientdirectoryhandler.cpp, server/file/clientdirectoryhandler.hpp: new

2017-03-14  Stefan Reuther  <streu@gmx.de>

	* server/file/ca/objectcache.hpp: new
	* server/file/ca/internalobjectcache.cpp, server/file/ca/internalobjectcache.hpp: new

2017-03-13  Stefan Reuther  <streu@gmx.de>

	* server/file/ca/internalreferencecounter.hpp, server/file/ca/internalreferencecounter.hpp: new
	* server/file/ca/referencecounter.hpp: new

2017-03-12  Stefan Reuther  <streu@gmx.de>

	* server/file/directoryhandlerfactory.cpp, server/file/directoryhandlerfactory.hpp: new
	* server/file/utils.cpp, server/file/utils.hpp: new
	* server/tools/c2fileclient.cpp: new

2017-03-11  Stefan Reuther  <streu@gmx.de>

	* server/file/ca/commit.cpp, server/file/ca/commit.hpp: new

2017-03-07  Stefan Reuther  <streu@gmx.de>

	* server/file/ca/directoryentry.cpp, server/file/ca/directoryentry.hpp: new
	* server/file/ca/directoryhandler.cpp, server/file/ca/directoryhandler.hpp: new
	* server/file/ca/root.cpp, server/file/ca/root.hpp: new

2017-03-05  Stefan Reuther  <streu@gmx.de>

	* server/file/ca/objectid.cpp, server/file/ca/objectid.hpp: new
	* server/file/ca/objectstore.cpp, server/file/ca/objectstore.hpp: new

2017-02-28  Stefan Reuther  <streu@gmx.de>

	* server/file/directoryhandler.hpp: rework interface in anticipation of new storage backend

2017-02-26  Stefan Reuther  <streu@gmx.de>

	* server/file/filegame.cpp, server/file/filegame.hpp: new [planetscentral/file.cc]
	* server/file/gamestatus.cpp, server/file/gamestatus.hpp: new [planetscentral/dirinfo.h]
	* server/file/internaldirectoryhandler.cpp, server/file/internaldirectoryhandler.hpp: new
	* server/file/racenames.cpp, server/file/racenames.hpp: new
	* server/interface/filegame.hpp: new [planetscentral/file.cc]
	* server/interface/filegameclient.cpp, server/interface/filegameclient.hpp: new [planetscentral/file.cc]
	* server/interface/filegameserver.cpp, server/interface/filegameserver.hpp: new [planetscentral/file.cc]

2017-02-17  Stefan Reuther  <streu@gmx.de>

	* server/file/directoryhandler.hpp: new
	* server/file/directoryitem.cpp, server/file/directoryitem.hpp: new [planetscentral/userdir.h]
	* server/file/filebase.cpp, server/file/filebase.hpp: new [planetscentral/file.cc]
	* server/file/fileitem.cpp, server/file/fileitem.hpp: new [planetscentral/userdir.h]
	* server/file/filesystemhandler.cpp, server/file/filesystemhandler.hpp: new
	* server/file/item.cpp, server/file/item.hpp: new [planetscentral/userdir.h]
	* server/file/pathresolver.cpp, server/file/pathresolver.hpp: new [planetscentral/pathresolver.h]

2017-02-16  Stefan Reuther  <streu@gmx.de>

	* server/c2file.cpp: new [planetscentral/file.cc]
	* server/file/commandhandler.cpp, server/file/commandhandler.hpp: new [planetscentral/file.cc]
	* server/file/root.cpp, server/file/root.hpp: new [planetscentral/file.cc]
	* server/file/session.cpp, server/file/session.hpp: new [planetscentral/file.cc]

2017-02-13  Stefan Reuther  <streu@gmx.de>

	* server/interface/filebase.cpp, server/interface/filebase.hpp: new [planetscentral/file.cc]
	* server/interface/filebaseclient.cpp, server/interface/filebaseclient.hpp: new [planetscentral/dbclient/fileclient.h]
	* server/interface/filebaseserver.cpp, server/interface/filebaseserver.hpp: new [planetscentral/file.cc]

2017-02-12  Stefan Reuther  <streu@gmx.de>

	* server/talk/configuration.cpp, server/talk/configuration.hpp: new
	* server/interface/base.hpp: new
	* server/interface/baseclient.cpp, server/interface/baseclient.hpp: new

2017-02-11  Stefan Reuther  <streu@gmx.de>

	* server/interface/talknntp.hpp: new [planetscentral/talk/cmdnntp.h]
	* server/interface/talknntpclient.cpp, server/interface/talknntpclient.hpp: new [planetscentral/talk/cmdnntp.h]
	* server/interface/talknntpserver.cpp, server/interface/talknntpserver.hpp: new [planetscentral/talk/cmdnntp.h]
	* server/interface/talkpm.hpp: new [planetscentral/talk/cmdpm.h]
	* server/interface/talkpmclient.cpp, server/interface/talkpmclient.hpp: new [planetscentral/talk/cmdpm.h]
	* server/interface/talkpmserver.cpp, server/interface/talkpmserver.hpp: new [planetscentral/talk/cmdpm.h]
	* server/talk/talknntp.cpp, server/talk/talknntp.hpp: new [planetscentral/talk/cmdnntp.h]
	* server/talk/talkpm.cpp, server/talk/talkpm.hpp: new [planetscentral/talk/cmdpm.h]
	* server/talk/userpm.cpp, server/talk/userpm.hpp: new [planetscentral/talk/userpm.h]

2017-02-10  Stefan Reuther  <streu@gmx.de>

	* server/errors.hpp: new
	* server/interface/talkfolder.hpp: new [planetscentral/talk/cmdfolder.h]
	* server/interface/talkfolderclient.cpp, server/interface/talkfolderclient.hpp: new [planetscentral/talk/cmdfolder.h]
	* server/interface/talkfolderserver.cpp, server/interface/talkfolderserver.hpp: new [planetscentral/talk/cmdfolder.h]
	* server/talk/spam.hpp, server/talk/spam.cpp: new [planetscentral/talk/spam.h]
	* server/talk/talkfolder.cpp, server/talk/talkfolder.hpp: new [planetscentral/talk/cmdfolder.h]
	* server/talk/userfolder.cpp, server/talk/userfolder.hpp: new [planetscentral/talk/userfolder.h]

2017-02-09  Stefan Reuther  <streu@gmx.de>

	* server/interface/talkuser.hpp: new [planetscentral/talk/cmduser.h]
	* server/interface/talkuserclient.cpp, server/interface/talkuserclient.hpp: new [planetscentral/talk/cmduser.h]
	* server/interface/talkuserserver.cpp, server/interface/talkuserserver.hpp: new [planetscentral/talk/cmduser.h]
	* server/talk/talkuser.cpp, server/talk/talkuser.hpp: new [planetscentral/talk/cmduser.h]

2017-02-05  Stefan Reuther  <streu@gmx.de>

	* server/talk/newsrc.cpp, server/talk/newsrc.hpp: new [planetscentral/talk/newsrc.h]

2017-02-04  Stefan Reuther  <streu@gmx.de>

	* server/interface/talkforum.cpp, server/interface/talkforum.hpp: new [planetscentral/talk/cmdforum.h]
	* server/interface/talkforumclient.cpp, server/interface/talkforumclient.hpp: new [planetscentral/talk/cmdforum.h]
	* server/interface/talkforumserver.cpp, server/interface/talkforumserver.hpp: new [planetscentral/talk/cmdforum.h]
	* server/interface/talkthread.hpp  new [planetscentral/talk/cmdthread.h]
	* server/interface/talkthreadclient.cpp, server/interface/talkthreadclient.hpp: new [planetscentral/talk/cmdthread.h]
	* server/interface/talkthreadserver.cpp, server/interface/talkthreadserver.hpp: new [planetscentral/talk/cmdthread.h]
	* server/talk/notify.cpp, server/talk/notify.hpp: new [planetscentral/talk/notify.h]
	* server/talk/sorter.hpp: new [planetscentral/talk/cmdforum.h]
	* server/talk/talkforum.cpp, server/talk/talkforum.hpp: new [planetscentral/talk/cmdforum.h]
	* server/talk/talkthread.cpp, server/talk/talkthread.hpp: new [planetscentral/talk/cmdthread.h]

2017-02-01  Stefan Reuther  <streu@gmx.de>

	* server/interface/mailqueue.hpp: new [planetscentral/mailout/mailout.cc]
	* server/interface/mailqueueclient.cpp, server/interface/mailqueueclient.hpp: new [planetscentral/mailout/mailout.cc]
	* server/interface/mailqueueserver.cpp, server/interface/mailqueueserver.hpp: new [planetscentral/mailout/mailout.cc]

2017-01-31  Stefan Reuther  <streu@gmx.de>

	* server/interface/talkpost.hpp: new [planetscentral/talk/cmdpost.h]
	* server/interface/talkpostclient.cpp, server/interface/talkpostclient.hpp: new [planetscentral/talk/cmdpost.h]
	* server/interface/talkpostserver.cpp, server/interface/talkpostserver.hpp: new [planetscentral/talk/cmdpost.h]
	* server/talk/talkpost.cpp, server/talk/talkpost.hpp: new [planetscentral/talk/cmdpost.h]

2017-01-29  Stefan Reuther  <streu@gmx.de>

	* server/talk/accesschecker.cpp, server/talk/accesschecker.hpp: new [planetscentral/talk/cmdpost.h]
	* server/talk/parse/bblexer.cpp, server/talk/parse/bblexer.hpp: new [planetscentral/talk/bblex.h]
	* server/talk/parse/bbparser.cpp, server/talk/parse/bbparser.hpp: new [planetscentral/talk/bbparse.h]
	* server/talk/render/bbrenderer.cpp, server/talk/render/bbrenderer.hpp: new [planetscentral/talk/bbout.h]
	* server/talk/render/htmlrenderer.cpp, server/talk/render/htmlrenderer.hpp: new [planetscentral/talk/htmlout.h]
	* server/talk/render/mailrenderer.cpp, server/talk/render/mailrenderer.hpp: new [planetscentral/talk/mailout.h]

2017-01-28  Stefan Reuther  <streu@gmx.de>

	* server/interface/talkgroup.hpp: new [planetscentral/talk/cmdgroup.h]
	* server/interface/talkgroupclient.cpp, server/interface/talkgroupclient.hpp: new [planetscentral/talk/cmdgroup.h]
	* server/interface/talkgroupserver.cpp, server/interface/talkgroupserver.hpp: new [planetscentral/talk/cmdgroup.h]
	* server/interface/talkrender.hpp: new [planetscentral/talk/cmdrender.h]
	* server/interface/talkrenderclient.cpp, server/interface/talkrenderclient.hpp: new [planetscentral/talk/cmdrender.h]
	* server/interface/talkrenderserver.cpp, server/interface/talkrenderserver.hpp: new [planetscentral/talk/cmdrender.h]
	* server/talk/forum.cpp, server/talk/forum.hpp: new [planetscentral/talk/forum.h]
	* server/talk/message.cpp, server/talk/message.hpp: new [planetscentral/talk/message.h]
	* server/talk/render/context.cpp, server/talk/render/context.hpp: new [planetscentral/talk/render.h]
	* server/talk/render/options.cpp, server/talk/render/options.hpp: new [planetscentral/talk/render.h]
	* server/talk/render/render.cpp, server/talk/render/render.hpp: new [planetscentral/talk/render.h]
	* server/talk/render/textrenderer.cpp, server/talk/render/textrenderer.hpp: new [planetscentral/talk/textout.h]
	* server/talk/talkgroup.cpp, server/talk/talkgroup.hpp: new [planetscentral/talk/cmdgroup.h]
	* server/talk/talkrender.cpp, server/talk/talkrender.hpp: new [planetscentral/talk/cmdrender.h]
	* server/talk/topic.cpp, server/talk/topic.hpp: new [planetscentral/talk/topic.h]
	* server/talk/user.cpp, server/talk/user.hpp: new [planetscentral/talk/user.h]
	* server/talk/util.cpp, server/talk/util.hpp: new [planetscentral/talk/user.h]

2017-01-27  Stefan Reuther  <streu@gmx.de>

	* server/talk/linkformatter.cpp, server/talk/linkformatter.hpp: new [planetscentral/talk/url.h]
	* server/talk/textnode.cpp, server/talk/textnode.hpp: new [planetscentral/talk/text.h]

2017-01-26  Stefan Reuther  <streu@gmx.de>

	* server/talk/group.cpp, server/talk/group.hpp: new [planetscentral/talk/group.h]

2017-01-25  Stefan Reuther  <streu@gmx.de>

	* server/types.cpp, server/types.hpp: new

2017-01-24  Stefan Reuther  <streu@gmx.de>

	* server/c2talk.cpp: new [planetscentral/talk/talk.cc]; basic structure for a complex microservice
	* server/interface/talksyntax.hpp: new [planetscentral/talk/cmdsyntax.h]
	* server/interface/talksyntaxclient.cpp, server/interface/talksyntaxclient.hpp: new [planetscentral/talk/cmdsyntax.h]
	* server/interface/talksyntaxserver.cpp, server/interface/talksyntaxserver.hpp: new [planetscentral/talk/cmdsyntax.h]
	* server/talk/commandhandler.cpp, server/talk/commandhandler.hpp: new [planetscentral/talk/talkconnection.h]
	* server/talk/root.cpp, server/talk/root.hpp: new [planetscentral/talk/talkconnection.h]
	* server/talk/session.cpp, server/talk/session.hpp: new [planetscentral/talk/talkconnection.h]
	* server/talk/talksyntax.cpp, server/talk/talksyntax.hpp: new [planetscentral/talk/cmdsyntax.h]

2017-01-22  Stefan Reuther  <streu@gmx.de>

	* server/talk/inlinerecognizer.cpp, server/talk/inlinerecognizer.hpp: new [planetscentral/talk/smiley.h]
	* server/format/simpacker.cpp, server/format/simpacker.hpp: new [planetscentral/format/simpacker.h]

2017-01-21  Stefan Reuther  <streu@gmx.de>

	* server/application.cpp, server/application.hpp: new [server/config.cc, etc.]
	* server/c2format.cpp: new [planetscentral/format/format.cc]
	* server/format/beampacker.cpp, server/format/beampacker.hpp: new [planetscentral/format/specpacker.h]
	* server/format/enginepacker.cpp, server/format/enginepacker.hpp: new [planetscentral/format/specpacker.h]
	* server/format/format.cpp, server/format/format.hpp: new [planetscentral/format/format.cc]
	* server/format/hullpacker.cpp, server/format/hullpacker.hpp: new [planetscentral/format/specpacker.h]
	* server/format/packer.hpp: new [planetscentral/format/packer.h]
	* server/format/stringpacker.cpp, server/format/stringpacker.hpp: new [planetscentral/format/stringpacker.h]
	* server/format/torpedopacker.cpp, server/format/torpedopacker.hpp: new [planetscentral/format/specpacker.h]
	* server/format/truehullpacker.cpp, server/format/truehullpacker.hpp: new [planetscentral/format/specpacker.h]
	* server/format/utils.cpp, server/format/utils.hpp: new [planetscentral/format/specpacker.h]
	* server/interface/format.hpp: new
	* server/interface/formatclient.cpp, server/interface/formatclient.hpp: new
	* server/interface/formatserver.cpp, server/interface/formatserver.hpp: new [planetscentral/format/format.cc]

2017-01-20  Stefan Reuther  <streu@gmx.de>

	* util/syntax/factory.cpp, util/syntax/factory.hpp: new [planetscentral/talk/syntaxnames.h]

2017-01-19  Stefan Reuther  <streu@gmx.de>

	* util/syntax/inihighlighter.cpp, util/syntax/inihighlighter.hpp: new [planetscentral/talk/syntaxini.h]

2017-01-18  Stefan Reuther  <streu@gmx.de>

	* util/syntax/chighlighter.cpp, util/syntax/chighlighter.hpp: new [planetscentral/talk/syntaxc.h]

2017-01-17  Stefan Reuther  <streu@gmx.de>

	* util/syntax/format.hpp: new [planetscentral/talk/syntax.h]
	* util/syntax/highlighter.hpp: new [planetscentral/talk/syntax.h]
	* util/syntax/keywordtable.cpp, util/syntax/keywordtable.hpp: new [planetscentral/talk/syntaxdb.h]
	* util/syntax/nullhighlighter.hpp, util/syntax/nullhighlighter.cpp: new [planetscentral/talk/syntax.h]
	* util/syntax/scripthighlighter.cpp, util/syntax/scripthighlighter.hpp: new [planetscentral/talk/syntaxscript.h]
	* util/syntax/segment.cpp, util/syntax/segment.hpp: new [planetscentral/talk/syntax.h]

2017-01-14  Stefan Reuther  <streu@gmx.de>

	-------------------- c2ng_ms1 (Milestone 1, version 2.40.1)

	* tools/c2untrn.cpp: new [game/un-trn.cc]
	* game/v3/trn/dumper.cpp, game/v3/trn/dumper.hpp: new [game/un-trn.cc]

2017-01-10  Stefan Reuther  <streu@gmx.de>

	* util/application.cpp, util/application.hpp: new

2017-01-08  Stefan Reuther  <streu@gmx.de>

	* game/v3/trn/andfilter.cpp, game/v3/trn/andfilter.hpp: new [game/un-trnflt.h]
	* game/v3/trn/constantfilter.cpp, game/v3/trn/constantfilter.hpp: new [game/un-trnflt.h]
	* game/v3/trn/filter.cpp, game/v3/trn/filter.hpp: new [game/un-trnflt.h]
	* game/v3/trn/idfilter.cpp, game/v3/trn/idfilter.hpp: new [game/un-trnflt.h]
	* game/v3/trn/indexfilter.cpp, game/v3/trn/indexfilter.hpp: new [game/un-trnflt.h]
	* game/v3/trn/namefilter.cpp, game/v3/trn/namefilter.hpp: new [game/un-trnflt.h]
	* game/v3/trn/negatefilter.cpp, game/v3/trn/negatefilter.hpp: new [game/un-trnflt.h]
	* game/v3/trn/orfilter.cpp, game/v3/trn/orfilter.hpp: new [game/un-trnflt.h]
	* game/v3/trn/parseexception.hpp: new [game/un-trnflt.h]
	* game/v3/trn/stringfilter.cpp, game/v3/trn/stringfilter.hpp: new [game/un-trnflt.h]
	* interpreter/optimizer.cpp (doInvertJumps): do not optimize jXXp + jXX [#328]

2017-01-03  Stefan Reuther  <streu@gmx.de>

	* gfx/basecontext.cpp, gfx/basecontext.hpp: new; rework gfx::Context
	* gfx/basecolorscheme.hpp: new; rework gfx::ColorScheme

2017-01-02  Stefan Reuther  <streu@gmx.de>

	* client/widgets/commanddataview.cpp, client/widgets/commanddataview.hpp: new
	* ui/rich/draw.cpp, ui/rich/draw.hpp: new

2016-12-28  Stefan Reuther  <streu@gmx.de>

	* interpreter/vmio/assemblersavecontext.cpp, interpreter/vmio/assemblersavecontext.hpp: new
	* ui/rich/splitter.cpp, ui/rich/splitter.hpp: new

2016-12-25  Stefan Reuther  <streu@gmx.de>

	* interpreter/values.cpp (getBooleanValue): non-scalars treated as true, not empty [#327]

2016-12-24  Stefan Reuther  <streu@gmx.de>

	* game/interface/commandinterface.cpp, game/interface/commandinterface.hpp: new

2016-12-23  Stefan Reuther  <streu@gmx.de>

	* client/widgets/collapsibledataview.cpp, client/widgets/collapsibledataview.hpp: new
	* client/widgets/standarddataview.cpp, client/widgets/standarddataview.hpp: new
	* game/interface/globalfunctions.cpp (Pref): new
	* game/interface/globalcommands.cpp (AddPref, CreatePrefOption, CreateConfigOption): new
	* client/tiles/shipoverviewtile.cpp, client/tiles/shipoverviewtile.hpp: moved into core_tiles.q
	* game/v3/commandextra.cpp, game/v3/commandextra.hpp: new
	* game/v3/command.cpp, game/v3/command.hpp: new [game/cmds.h]
	* game/v3/commandcontainer.cpp, game/v3/commandcontainer.hpp: new [game/cmds.h]

2016-12-20  Stefan Reuther  <streu@gmx.de>

	* gfx/sdl/engine.cpp: add performance/throughput hack for UI/worker thread transitions
	* ui/layout/grid.cpp, ui/layout/grid.hpp: new [ui/layout.h]
	* client/widgets/comment.cpp, client/widgets/comment.hpp: new [client/tiles/commenttile.h]

2016-12-19  Stefan Reuther  <streu@gmx.de>

	* ui/layout/flow.cpp, ui/layout/flow.hpp: new [ui/layout.h]
	* ui/widgets/quit.cpp, ui/widgets/quit.hpp: new [ui/widgets/quit.h]
	* ui/widgets/radiobutton.cpp, ui/widgets/radiobutton.hpp: new [ui/widgets/radiobutton.h]
	* ui/widgets/checkbox.cpp, ui/widgets/checkbox.hpp: new [ui/widgets/checkbox.h]
	* ui/screenshotlistener.cpp, ui/screenshotlistener.hpp: new [ui/uiglobal.h]
	* gfx/save.cpp, gfx/save.hpp: new

2016-12-18  Stefan Reuther  <streu@gmx.de>

	* ui/widgets/abstractcheckbox.cpp, ui/widgets/abstractcheckbox.hpp: new [ui/widgets/abstractcheckbox.h]
	* gfx/nullresourceprovider.cpp, gfx/nullresourceprovider.hpp: new

2016-12-17  Stefan Reuther  <streu@gmx.de>

	* ui/prefixargument.cpp, ui/prefixargument.hpp: new [ui/prefix.h]
	* util/prefixargument.cpp, util/prefixargument.hpp: new [ui/prefix.h]
	* game/v3/controlfile.cpp, game/v3/controlfile.hpp: new [game/checksum.h]

2016-12-16  Stefan Reuther  <streu@gmx.de>

	* client/si/commands.cpp, client/si/widgetcommand.cpp, gfx/sdl/engine.cpp: proper screen updates for script-initiated dialogs
	* client/si/listboxfunction.cpp, client/si/listboxfunction.hpp: new [int/if/listif.h]
	* client/si/stringlistdialogwidget.cpp, client/si/stringlistdialogwidget.hpp: new [int/if/listif.h]

2016-12-14  Stefan Reuther  <streu@gmx.de>

	* ui/widgets/stringlistbox.cpp, ui/widgets/stringlistbox.hpp: new [ui/listbox.h]
	* util/stringlist.cpp, util/stringlist.hpp: new [util/strlist.h]

2016-12-11  Stefan Reuther  <streu@gmx.de>

	* gfx/defaultfont.cpp, gfx/defaultfont.hpp: new
	* client/widgets/consoleview.cpp, client/widgets/consoleview.hpp: new [client/widgets/consoleview.h]
	* util/messagenotifier.cpp, util/messagenotifier.hpp: new [util/console.h]
	* util/messagecollector.cpp, util/messagecollector.hpp: new [util/console.h]

2016-12-09  Stefan Reuther  <streu@gmx.de>

	* util/messagematcher.cpp, util/messagematcher.hpp: new
	* util/filenamepattern.cpp, util/filenamepattern.hpp: new [io/glob.h]

2016-12-08  Stefan Reuther  <streu@gmx.de>

	* tools/c2sweep.cpp: new [tools/c2sweep.cc]
	* game/maint/directorywrapper.cpp, game/maint/directorywrapper.hpp: new [game/sweep.h]

2016-12-07  Stefan Reuther  <streu@gmx.de>

	* game/maint/sweeper.cpp, game/maint/sweeper.hpp: new [game/sweep.h]

2016-12-05  Stefan Reuther  <streu@gmx.de>

	* game/map/reverter.hpp: new
	* game/v3/reverter.hpp: new

2016-12-04  Stefan Reuther  <streu@gmx.de>

	* game/interface/minefieldmethod.cpp, game/interface/minefieldmethod.hpp: new [int/if/mineif.h]

2016-12-03  Stefan Reuther  <streu@gmx.de>

	* share/resource/core_tiles.q (Tile.PlanetOverview, Tile.BaseOverview): new
	* util/rich/alignmentattribute.cpp, util/rich/alignmentattribute.hpp: new
	* client/plugins.cpp, game/session.cpp, interpreter/process.cpp, interpreter/world.cpp, main/c2ng.cpp: rework and simplify Load/core.q handling

2016-12-02  Stefan Reuther  <streu@gmx.de>

	* client/si/widgetextraproperty.cpp, client/si/widgetextraproperty.hpp: new
	* client/si/widgetindexedproperty.cpp, client/si/widgetindexedproperty.hpp: new

2016-12-01  Stefan Reuther  <streu@gmx.de>

	* client/si/widgetreference.cpp, client/si/widgetreference.hpp: new

2016-11-29  Stefan Reuther  <streu@gmx.de>

	* client/si/widgetwrapper.cpp, client/si/widgetwrapper.hpp: new

2016-11-28  Stefan Reuther  <streu@gmx.de>

	* client/si/userside.hpp, game/session.hpp: ScriptSide now is an optional attribute of Session; simplifies downstream code

2016-11-26  Stefan Reuther  <streu@gmx.de>

	* client/tiles/basescreenheadertile.cpp, client/tiles/basescreenheadertile.hpp: new [client/tiles/baseheader.h]
	* client/tiles/planetscreenheadertile.cpp, client/tiles/planetscreenheadertile.hpp: new [client/tiles/planetheader.h]
	* ui/widgets/transparentwindow.cpp, ui/widgets/transparentwindow.hpp: new
	* gfx/gen/perlinnoise.cpp, gfx/gen/perlinnoise.hpp: new
	* gfx/gen/spaceview.cpp, gfx/gen/spaceview.hpp: new
	* gfx/gen/spaceviewconfig.cpp, gfx/gen/spaceviewconfig.hpp: new

2016-11-21  Stefan Reuther  <streu@gmx.de>

	* client/si/values.cpp, client/si/values.hpp: new
	* client/si/widgetproperty.cpp, client/si/widgetproperty.hpp: new

2016-11-20  Stefan Reuther  <streu@gmx.de>

	* client/si/dialogfunction.cpp, client/si/dialogfunction.hpp: new
	* client/si/genericwidgetvalue.cpp, client/si/genericwidgetvalue.hpp: new
	* client/si/widgetcommand.cpp, client/si/widgetcommand.hpp: new
	* client/si/widgetcommandvalue.cpp, client/si/widgetcommandvalue.hpp: new
	* client/si/widgetfunction.cpp, client/si/widgetfunction.hpp: new
	* client/si/widgetfunctionvalue.cpp, client/si/widgetfunctionvalue.hpp: new
	* client/si/widgetholder.cpp, client/si/widgetholder.hpp: new
	* client/si/widgetvalue.cpp, client/si/widgetvalue.hpp: new
	* client/si/usercall.hpp: new

2016-11-16  Stefan Reuther  <streu@gmx.de>

	* interpreter/processobservercontext.hpp: new
	* game/sim/loader.cpp, game/sim/loader.hpp: new [game/sim.h]

2016-11-14  Stefan Reuther  <streu@gmx.de>

	* game/sim/setup.cpp, game/sim/setup.hpp: new [game/sim.h]
	* game/sim/planet.cpp, game/sim/planet.hpp: new [game/sim.h]

2016-11-13  Stefan Reuther  <streu@gmx.de>

	* game/sim/ability.hpp: new [game/sim.h]
	* game/sim/configuration.cpp, game/sim/configuration.hpp: new [game/sim.h]
	* game/sim/object.cpp, game/sim/object.hpp: new [game/sim.h]
	* game/sim/ship.cpp, game/sim/ship.hpp: new [game/sim.h]

2016-11-12  Stefan Reuther  <streu@gmx.de>

	* game/interface/planetmethod.cpp, game/interface/planetmethod.hpp: new [int/if/planetif.h, int/if/baseif.h]
	* game/actions/basefixrecycle.cpp, game/actions/basefixrecycle.hpp: new [game/actions/basefix.h]
	* game/actions/preconditions.cpp, game/actions/preconditions.hpp: new [game/actions/preconditions.h]
	* ui/res/winplanbitmapprovider.cpp, ui/res/winplanbitmapprovider.hpp: new [resmgr/res-wp.h]

2016-11-11  Stefan Reuther  <streu@gmx.de>

	* ui/res/factory.cpp, ui/res/factory.hpp: new [resmgr/resmgrcf.cc]

2016-11-10  Stefan Reuther  <streu@gmx.de>

	* ui/res/resourcefileprovider.cpp, ui/res/resourcefileprovider.hpp: new [resmgr/res-cc1.h, resmgr/cc1resid.h]
	* ui/res/resourcefile.cpp, ui/res/resourcefile.hpp: new [resmgr/res-cc1.h]
	* util/runlengthexpandtransform.cpp, util/runlengthexpandtransform.hpp: new [io/rle.h]

2016-11-08  Stefan Reuther  <streu@gmx.de>

	* game/score/loader.cpp, game/score/loader.hpp: new [game/stat.h]
	* game/score/structures.hpp: new

2016-11-06  Stefan Reuther  <streu@gmx.de>

	* util/stringparser.cpp, util/stringparser.hpp: new [moved]
	* ui/res/resid.cpp, ui/res/resid.hpp: new [resmgr/resmgr.h]
	* game/interface/explosioncontext.cpp, game/interface/explosioncontext.hpp: new
	* game/interface/explosionfunction.cpp, game/interface/explosionfunction.hpp: new
	* game/interface/explosionproperty.cpp, game/interface/explosionproperty.hpp: new
	* game/map/explosion.cpp, game/map/explosion.hpp: new [game/expl.h]
	* game/map/explosiontype.cpp, game/map/explosiontype.hpp: new [game/expl.h]

2016-11-05  Stefan Reuther  <streu@gmx.de>

	* interpreter/simpleprocedurevalue.cpp, interpreter/simpleprocedurevalue.hpp: new [int/compound.h]
	* interpreter/filefunctions.cpp, interpreter/filefunctions.hpp: new [int/file.h]
	* interpreter/filetable.cpp, interpreter/filetable.hpp: new [int/file.h]
	* interpreter/simpleindexablevalue.cpp, interpreter/simpleindexablevalue.hpp: new [int/compound.h]
	* client/plugins.cpp, client/plugins.hpp: new [client/main.cc]
	* game/map/fleettype.cpp, game/map/fleettype.hpp: new [game/fleet.h]
	* interpreter/procedurevalue.cpp, interpreter/procedurevalue.hpp: new
	* game/interface/shipmethod.cpp, game/interface/shipmethod.hpp: new [int/if/shipif.h]
	* game/map/shiputils.cpp, game/map/shiputils.hpp: new [game/fleet.h]
	* game/map/fleet.cpp, game/map/fleet.hpp: new [game/fleet.h]
	* game/map/fleetmember.cpp, game/map/fleetmember.hpp: new [game/fleet.h]

2016-11-03  Stefan Reuther  <streu@gmx.de>

	* client/tiles/shipscreenheadertile.cpp, client/tiles/shipscreenheadertile.hpp: new [client/tiles/shipheader.h]

2016-11-01  Stefan Reuther  <streu@gmx.de>

	* client/tiles/controlscreenheadertile.cpp, client/tiles/controlscreenheadertile.hpp: new [client/tiles/csheader.h]
	* ui/widgets/imagebutton.cpp, ui/widgets/imagebutton.hpp: new [ui/widgets/imagewidget.h]

2016-10-31  Stefan Reuther  <streu@gmx.de>

	* ui/widgets/framegroup.cpp, ui/widgets/framegroup.hpp: new [ui/widgets/framegroup.h, client/wcolorframe.h]
	* game/interface/vcrcontext.cpp, game/interface/vcrcontext.hpp: new [int/if/vcrif.h]
	* game/interface/vcrfunction.cpp, game/interface/vcrfunction.hpp: new [int/if/vcrif.h]
	* game/interface/vcrproperty.cpp, game/interface/vcrproperty.hpp: new [int/if/vcrif.h]
	* game/interface/vcrsidecontext.cpp, game/interface/vcrsidecontext.hpp: new [int/if/vcrif.h]
	* game/interface/vcrsidefunction.cpp, game/interface/vcrsidefunction.hpp: new [int/if/vcrif.h]
	* game/interface/vcrsideproperty.cpp, game/interface/vcrsideproperty.hpp: new [int/if/vcrif.h]

2016-10-30  Stefan Reuther  <streu@gmx.de>

	* game/interface/plugincontext.cpp, game/interface/plugincontext.hpp: new [int/if/plugif.h]
	* game/interface/pluginfunction.cpp, game/interface/pluginfunction.hpp: new [int/if/plugif.h]
	* game/interface/pluginproperty.cpp, game/interface/pluginproperty.hpp: new [int/if/plugif.h]
	* tools/c2plugin.cpp: new [tools/c2plugin.cc]
	* util/plugin/installer.cpp, util/plugin/installer.hpp: new [util/pluginstall.h]
	* util/plugin/manager.cpp, util/plugin/manager.hpp: new [util/pluginmgr.h]
	* util/plugin/plugin.cpp, util/plugin/plugin.hpp: new [util/plugin.h]
	* game/interface/drawingmethod.cpp, game/interface/drawingmethod.hpp: new [int/if/drawingif.h]

2016-10-29  Stefan Reuther  <streu@gmx.de>

	* game/interface/drawingcontext.cpp, game/interface/drawingcontext.hpp: new [int/if/drawingif.h]
	* game/interface/drawingfunction.cpp, game/interface/drawingfunction.hpp: new [int/if/drawingif.h]
	* game/interface/drawingproperty.cpp, game/interface/drawingproperty.hpp: new [int/if/drawingif.h]
	* util/io.cpp, util/io.hpp: new [io/io.h]
	* game/db/drawingatommap.cpp, game/db/drawingatommap.hpp: new [game/drawing.h]
	* game/db/loader.cpp, game/db/loader.hpp: new [game/db.h]
	* game/db/structures.hpp: new
	* game/map/drawing.cpp, game/map/drawing.hpp: new [game/drawing.h]
	* game/map/drawingcontainer.cpp, game/map/drawingcontainer.hpp: new [game/drawing.h]

2016-10-27  Stefan Reuther  <streu@gmx.de>

	* interpreter/vmio/nullloadcontext.cpp, interpreter/vmio/nullloadcontext.hpp: new

2016-10-22  Stefan Reuther  <streu@gmx.de>

	* interpreter/vmio/nullsavecontext.cpp, interpreter/vmio/nullsavecontext.hpp: new
	* interpreter/vmio/worldloadcontext.cpp, interpreter/vmio/worldloadcontext.hpp: new
	* interpreter/vmio/processloadcontext.cpp, interpreter/vmio/processloadcontext.hpp: new
	* game/interface/loadcontext.cpp, game/interface/loadcontext.hpp: new [int/contextio.h]
	* interpreter/vmio/objectloader.cpp, interpreter/vmio/objectloader.hpp: new [int/vmio.h]
	* interpreter/vmio/structures.hpp: new

2016-10-20  Stefan Reuther  <streu@gmx.de>

	* interpreter/blobvalue.cpp, interpreter/blobvalue.hpp: new [int/value.h]
	* interpreter/vmio/loadcontext.hpp: new [int/vmio.h]
	* interpreter/vmio/valueloader.cpp, interpreter/vmio/valueloader.hpp: new [int/vmio.h]

2016-10-16  Stefan Reuther  <streu@gmx.de>

	* interpreter/mutexcontext.cpp, interpreter/mutexcontext.hpp: new [int/mutex.h]
	* interpreter/mutexfunctions.cpp, interpreter/mutexfunctions.hpp: new [int/mutex.h]
	* interpreter/mutexlist.cpp, interpreter/mutexlist.hpp: new [int/mutex.h]
	* interpreter/vmio/processsavecontext.cpp, interpreter/vmio/processsavecontext.hpp: new [int/vmio.h]
	* interpreter/vmio/filesavecontext.cpp, interpreter/vmio/filesavecontext.hpp: new [int/vmio.h]
	* tools/c2script.cpp: new
	* game/interface/ufocontext.cpp, game/interface/ufocontext.hpp: new [int/if/ufoif.h]
	* game/interface/ufoproperty.cpp, game/interface/ufoproperty.hpp: new [int/if/ufoif.h]
	* game/interface/ufofunction.cpp, game/interface/ufofunction.hpp: new [int/if/ufoif.h]

2016-10-09  Stefan Reuther  <streu@gmx.de>

	* game/map/ufo.cpp, game/map/ufo.hpp: new [game/ufo.h]
	* game/map/ufotype.cpp, game/map/ufotype.hpp: new [game/ufo.h]

2016-10-08  Stefan Reuther  <streu@gmx.de>

	* game/interface/missioncontext.cpp, game/interface/missioncontext.hpp: new
	* game/interface/missionfunction.cpp, game/interface/missionfunction.hpp: new
	* game/interface/missionproperty.cpp, game/interface/missionproperty.hpp: new
	* game/interface/planetcontext.hpp, game/interface/shipcontext.hpp: use Ref<> to document non-null-ness

2016-10-07  Stefan Reuther  <streu@gmx.de>

	* game/v3/loader.cpp, game/v3/specificationloader.cpp: bugfix: correctly load truehull, base tech levels

2016-10-05  Stefan Reuther  <streu@gmx.de>

	* game/interface/cargofunctions.cpp, game/interface/cargofunctions.hpp: new [int/if/globalif.h]

2016-10-04  Stefan Reuther  <streu@gmx.de>

	* game/interface/friendlycodecontext.cpp, game/interface/friendlycodecontext.hpp: new
	* game/interface/friendlycodefunction.cpp, game/interface/friendlycodefunction.hpp: new
	* game/interface/friendlycodeproperty.cpp, game/interface/friendlycodeproperty.hpp: new

2016-10-03  Stefan Reuther  <streu@gmx.de>

	* game/config/configuration.cpp, game/interface/globalfunctions.cpp: implement Cfg()

2016-09-25  Stefan Reuther  <streu@gmx.de>

	-------------------- c2ng_ms0 (Milestone 0, version 2.40)

2016-09-24  Stefan Reuther  <streu@gmx.de>

	* game/pcc/accountfolder.cpp, game/pcc/accountfolder.hpp: new
	* game/pcc/gamefolder.cpp, game/pcc/gamefolder.hpp: new
	* game/pcc/serverdirectory.cpp, game/pcc/serverdirectory.hpp: new

2016-09-22  Stefan Reuther  <streu@gmx.de>

	* game/pcc/browserhandler.cpp, game/pcc/browserhandler.hpp: new

2016-09-18  Stefan Reuther  <streu@gmx.de>

	* client/tiles/shipoverviewtile.cpp, client/tiles/shipoverviewtile.hpp: new [client/tiles/shipoverview.h]
	* game/interface/globalcommands.cpp, game/interface/globalcommands.hpp: new [int/if/globalif.h]
	* game/interface/simpleprocedure.cpp, game/interface/simpleprocedure.hpp: new [int/compound.h]

2016-09-16  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/turnlistdialog.cpp, client/dialogs/turnlistdialog.hpp: new

2016-09-13  Stefan Reuther  <streu@gmx.de>

	* client/widgets/turnlistbox.cpp, client/widgets/turnlistbox.hpp: new

2016-09-11  Stefan Reuther  <streu@gmx.de>

	* game/historyturn.cpp, game/historyturn.hpp: new
	* game/historyturnlist.cpp, game/historyturnlist.hpp: new

2016-09-10  Stefan Reuther  <streu@gmx.de>

	* util/backupfile.cpp, util/backupfile.hpp: new [game/backup.h]
	* interpreter/world.hpp: now has a file system (for script file access) and a load path (for Load command)

2016-09-07  Stefan Reuther  <streu@gmx.de>

	* game/map/objectlist.cpp, game/map/objectlist.hpp: new [game/objlist.h]
	* game/map/objectreference.cpp, game/map/objectreference.hpp: new [game/objlist.h]

2016-09-04  Stefan Reuther  <streu@gmx.de>

	* client/tiles/errortile.cpp, client/tiles/errortile.hpp: new [client/tiles/errortile.h]
	* client/tiles/tilefactory.cpp, client/tiles/tilefactory.hpp: new [client/tiles.h]

2016-09-02  Stefan Reuther  <streu@gmx.de>

	* ui/widgets/focusiterator.cpp, ui/widgets/focusiterator.hpp: new [ui/widgets/focusiterator.h]

2016-08-27  Stefan Reuther  <streu@gmx.de>

	* game/limits.hpp (MAX_PLAYERS): bump to 31 (target value, needed for Nu)
	* game/nu/gamestate.cpp, game/nu/gamestate.hpp: new
	* game/nu/registrationkey.cpp, game/nu/registrationkey.hpp: new
	* game/nu/specificationloader.cpp, game/nu/specificationloader.hpp: new [initial, incomplete]
	* game/nu/stringverifier.cpp, game/nu/stringverifier.hpp: new
	* game/nu/turnloader.cpp, game/nu/turnloader.hpp: new [initial, incomplete]

2016-08-26  Stefan Reuther  <streu@gmx.de>

	* game/nu/gamefolder.cpp, game/nu/gamefolder.hpp: new
	* game/nu/accountfolder.cpp, game/nu/accountfolder.hpp: new

2016-08-25  Stefan Reuther  <streu@gmx.de>

	* client/screens/playerscreen.cpp, client/screens/playerscreen.hpp: new [client/playerscr.h]

2016-08-24  Stefan Reuther  <streu@gmx.de>

	* game/map/minefield.cpp, game/map/minefield.hpp: new [game/mine.h]
	* game/map/minefieldtype.cpp, game/map/minefieldtype.hpp: new [game/mine.h]
	* game/interface/minefieldcontext.cpp, game/interface/minefieldcontext.hpp: new [int/if/mineif.h]
	* game/interface/minefieldfunction.cpp, game/interface/minefieldfunction.hpp: new [int/if/mineif.h]
	* game/interface/minefieldproperty.cpp, game/interface/minefieldproperty.hpp: new [int/if/mineif.h]
	* game/interface/playercontext.cpp, game/interface/playercontext.hpp: new [int/if/playerif.h]
	* game/interface/playerfunction.cpp, game/interface/playerfunction.hpp: new [int/if/playerif.h]

2016-08-22  Stefan Reuther  <streu@gmx.de>

	* client/screens/controlscreen.cpp, client/screens/controlscreen.hpp: new, incomplete

2016-08-21  Stefan Reuther  <streu@gmx.de>

	* game/interface/beamcontext.cpp, game/interface/beamcontext.hpp: new [int/if/specif.h]
	* game/interface/beamfunction.cpp, game/interface/beamfunction.hpp: new [int/if/specif.h]
	* game/interface/componentproperty.cpp, game/interface/componentproperty.hpp: new [int/if/specif.h]
	* game/interface/enginecontext.cpp, game/interface/enginecontext.hpp: new [int/if/specif.h]
	* game/interface/enginefunction.cpp, game/interface/enginefunction.hpp: new [int/if/specif.h]
	* game/interface/engineproperty.cpp, game/interface/engineproperty.hpp: new [int/if/specif.h]
	* game/interface/hullcontext.cpp, game/interface/hullcontext.hpp: new [int/if/hullif.h]
	* game/interface/hullfunction.cpp, game/interface/hullfunction.hpp: new [int/if/hullif.h]
	* game/interface/hullproperty.cpp, game/interface/hullproperty.hpp: new [int/if/hullif.h]
	* game/interface/torpedocontext.cpp, game/interface/torpedocontext.hpp: new [int/if/specif.h]
	* game/interface/torpedofunction.cpp, game/interface/torpedofunction.hpp: new [int/if/specif.h]
	* game/interface/weaponproperty.cpp, game/interface/weaponproperty.hpp: new [int/if/specif.h]
	* interpreter/exporter/htmlexporter.cpp, interpreter/exporter/htmlexporter.hpp: new

2016-08-20  Stefan Reuther  <streu@gmx.de>

	* share/resource/core.q: new [resource/core.q]

2016-08-17  Stefan Reuther  <streu@gmx.de>

	* game/interface/userinterfacepropertystack.cpp, game/interface/userinterfacepropertystack.hpp: new [int/if/userif.h, sort-of]

2016-08-07  Stefan Reuther  <streu@gmx.de>

	* game/extraidentifier.hpp: new
	* game/extracontainer.cpp, game/extracontainer.hpp: new

2016-08-06  Stefan Reuther  <streu@gmx.de>

	* client/map/widget.cpp, client/map/widget.hpp: new [moved from client/map/widget.hpp]
	* client/map/renderer.cpp, client/map/renderer.hpp: new [client/chart.h]
	* client/map/proxy.cpp, client/map/proxy.hpp: new

2016-08-05  Stefan Reuther  <streu@gmx.de>

	* game/map/rendererlistener.hpp: new
	* client/widgets/mapwidget.cpp, client/widgets/mapwidget.hpp: new [client/chart.h]

2016-08-03  Stefan Reuther  <streu@gmx.de>

	* game/map/renderer.cpp, game/map/renderer.hpp: new [client/chart.h, incomplete]
	* game/map/rendererinstruction.hpp, game/map/renderinstruction.cpp: new
	* game/map/renderinstruction.hpp: new
	* game/map/renderlist.cpp, game/map/renderlist.hpp: new
	* game/map/renderoptions.cpp, game/map/renderoptions.hpp: new [client/chart.h, incomplete]
	* game/map/viewport.cpp, game/map/viewport.hpp: new [client/chart.h, incomplete]

2016-07-27  Stefan Reuther  <streu@gmx.de>

	* game/teamsettings.cpp, game/teamsettings.hpp: new [game/team.h]

2016-07-23  Stefan Reuther  <streu@gmx.de>

	* game/interface/ionstormcontext.cpp, game/interface/ionstormcontext.hpp: new
	* game/interface/ionstormfunction.cpp, game/interface/ionstormfunction.hpp: new
	* game/interface/ionstormproperty.cpp, game/interface/ionstormproperty.hpp: new
	* game/tables/ionstormclassname.cpp, game/tables/ionstormclassname.hpp: new
	* game/tables/mineraldensityclassname.cpp, game/tables/mineraldensityclassname.hpp: new
	* game/tables/wormholestabilityname.cpp, game/tables/wormholestabilityname.hpp: new
	* game/tables/headingname.cpp, game/tables/headingname.hpp: new
	* game/map/ionstorm.cpp, game/map/ionstorm.hpp: new [game/ion.h]
	* game/map/ionstormtype.cpp, game/map/ionstormtype.hpp: new [game/ion.h]
	* game/interface/globalfunctions.cpp, game/interface/globalfunctions.hpp: new [int/if/globalif.h]

2016-07-21  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/consoledialog.cpp, client/dialogs/consoledialog.hpp: new [client/dialogs/consoledlg.h]

2016-07-20  Stefan Reuther  <streu@gmx.de>

	* client/si/inputstate.cpp, client/si/inputstate.hpp: new
	* client/si/outputstate.cpp, client/si/outputstate.hpp: new

2016-07-18  Stefan Reuther  <streu@gmx.de>

	* client/dialogs/objectselectiondialog.cpp: new [client/dialogs/objselect.h, sort-of]
	* game/interface/iteratorprovider.hpp: new

2016-07-17  Stefan Reuther  <streu@gmx.de>

	* client/objectcursorfactory.hpp: new
	* gfx/nullengine.cpp, gfx/nullengine.hpp: new
	* client/tiles/selectionheadertile.cpp, client/tiles/selectionheadertile.hpp: new [client/tiles/objheader.h]

2016-07-16  Stefan Reuther  <streu@gmx.de>

	* game/interface/objectcommand.cpp, game/interface/objectcommand.hpp: new [int/if/objif.h]
	* client/si/contextprovider.hpp: new
	* client/session.cpp, client/session.hpp: new
	* client/objectlistener.hpp: new
	* client/objectobserver.cpp, client/objectobserver.hpp: new
	* client/objectobserverproxy.cpp, client/objectobserverproxy.hpp: new
	* client/marker.cpp, client/marker.hpp: new [client/marks.h]
	* game/interface/iteratorcontext.cpp, game/interface/iteratorcontext.hpp: new [int/if/iterif.h]

2016-07-12  Stefan Reuther  <streu@gmx.de>

	* game/map/objectobserver.cpp, game/map/objectobserver.hpp: new [game/objobserve.h]

2016-07-11  Stefan Reuther  <streu@gmx.de>

	* game/interface/richtextfunctions.cpp, game/interface/richtextfunctions.hpp: new [int/if/richif.h]
	* game/interface/richtextvalue.cpp, game/interface/richtextvalue.hpp: new [int/if/richif.h]
	* game/interface/simplefunction.cpp, game/interface/simplefunction.hpp: new [int/compound.h]
	* client/si/commands.cpp, client/si/commands.hpp: new [int/if/guiif.h, sort-of]
	* client/widgets/keymapwidget.cpp, client/widgets/keymapwidget.hpp: new [client/dialogbinding.h, sort-of]

2016-07-10  Stefan Reuther  <streu@gmx.de>

	* client/si/control.cpp, client/si/control.hpp: new, replaces client/interpretercontrol.hpp
	* client/si/requestlink1.hpp: new
	* client/si/requestlink2.hpp: new
	* client/si/scriptprocedure.cpp, client/si/scriptprocedure.hpp: new
	* client/si/scriptside.cpp, client/si/scriptside.hpp: new
	* client/si/userside.cpp, client/si/userside.hpp: new, replaces client/userinterface.hpp
	* client/si/usertask.hpp: new
	* game/stringverifier.cpp, game/stringverifier.hpp: new
	* game/v3/stringverifier.cpp, game/v3/stringverifier.hpp: new

2016-07-03  Stefan Reuther  <streu@gmx.de>

	* game/interface/userinterfaceproperty.hpp: new [int/if/userif.h]
	* game/interface/userinterfacepropertyaccessor.hpp: new [int/if/userif.h]
	* game/map/cursors.cpp, game/map/cursors.hpp: new
	* game/map/objectcursor.cpp, game/map/objectcursor.hpp: new [game/objsel.h]
	* game/map/simpleobjectcursor.cpp, game/map/simpleobjectcursor.hpp: new [game/objsel.h]
	* client/userinterface.cpp, client/userinterface.hpp: new [int/if/guiif.h], incomplete/prototype

2016-07-02  Stefan Reuther  <streu@gmx.de>

	* ui/dialogs/messagebox.cpp, ui/dialogs/messagebox.hpp: new [ui/msgbox.h]
	* ui/rich/statictext.cpp, ui/rich/statictext.hpp: new [ui/widgets/richstatic.h]
	* util/keystring.cpp, util/keystring.hpp: new [ui/keystring.h]
	* game/spec/basecomponentvector.cpp, game/spec/basecomponentvector.hpp: new
	* game/interface/shipcontext.cpp, game/interface/shipcontext.hpp: new [int/if/shipif.h]
	* game/interface/shipfunction.cpp, game/interface/shipfunction.hpp: new [int/if/shipif.h]
	* game/interface/shipproperty.cpp, game/interface/shipproperty.hpp: new [int/if/shipif.h]

2016-06-26  Stefan Reuther  <streu@gmx.de>

	* util/baseslaverequest.hpp: new
	* util/baseslaverequestsender.hpp: new
	* util/slaveobject.hpp: new
	* util/slaverequest.hpp: new
	* util/slaverequestsender.hpp: new

2016-06-25  Stefan Reuther  <streu@gmx.de>

	* ui/widgets/tiledpanel.cpp, ui/widgets/tiledpanel.hpp: new
	* game/browser/handlerlist.cpp, game/browser/handlerlist.hpp: new

2016-06-18  Stefan Reuther  <streu@gmx.de>

	* game/msg/mailbox.hpp: new [game/msg.h]
	* game/msg/inbox.cpp, game/msg/inbox.hpp: new [game/inbox.h]

2016-06-05  Stefan Reuther  <streu@gmx.de>

	* ui/invisiblewidget.cpp, ui/invisiblewidget.hpp: new [ui/ui.h]
	* ui/widgets/keydispatcher.cpp, ui/widgets/keydispatcher.hpp: new [ui/widgets/keytranslator.h]
	* game/exception.cpp, game/exception.hpp: new [game/error.h]
	* game/browser/usercallbackproxy.cpp, game/browser/usercallbackproxy.hpp: moved from client/usercallbackproxy.hpp
	* game/browser/session.cpp, game/browser/session.hpp: moved from client/sessionthread.hpp

2016-06-04  Stefan Reuther  <streu@gmx.de>

	* client/usercallback.cpp, client/usercallback.hpp: new
	* client/screens/browserscreen.cpp, client/screens/browserscreen.hpp: new
	* ui/widgets/richlistbox.cpp, ui/widgets/richlistbox.hpp: new

2016-06-02  Stefan Reuther  <streu@gmx.de>

	* ui/rich/imageobject.hpp: new [ui/richobj.h]

2016-05-31  Stefan Reuther  <streu@gmx.de>

	* util/rich/parser.cpp, util/rich/parser.hpp: new [ui/richparser.h]

2016-05-30  Stefan Reuther  <streu@gmx.de>

	* ui/rich/blockobject.hpp: new [ui/richobj.h]
	* ui/rich/document.cpp, ui/rich/document.hpp: new [ui/richdocument.h]
	* ui/rich/documentview.cpp, ui/rich/documentview.hpp: new [ui/richdocument.h]

2016-05-29  Stefan Reuther  <streu@gmx.de>

	* game/nu/browserhandler.cpp, game/nu/browserhandler.hpp: new
	* client/usercallbackproxy.cpp, client/usercallbackproxy.hpp: new
	* game/browser/usercallback.hpp: new

2016-05-28  Stefan Reuther  <streu@gmx.de>

	* remove Widget::m_id
	* game/browser/unsupportedaccountfolder.cpp, game/browser/unsupportedaccountfolder.hpp: new [replaces accountfolder.hpp]
	* ui/widgets/statictext.cpp, ui/widgets/statictext.hpp: new [ui/widgets/statictext.h]
	* ui/widgets/inputline.cpp, ui/widgets/inputline.hpp: new [ui/widgets/inputline.h]

2016-05-27  Stefan Reuther  <streu@gmx.de>

	* util/unicodechars.hpp: new [util/unicodechars.h]
	* util/skincolor.cpp, util/skincolor.hpp: new, moved from ui/draw.hpp
	* util/rich/attribute.hpp: new [ui/richtext.h]
	* util/rich/colorattribute.cpp, util/rich/colorattribute.hpp: new [ui/richtext.h]
	* util/rich/linkattribute.cpp, util/rich/linkattribute.hpp: new [ui/richtext.h]
	* util/rich/styleattribute.cpp, util/rich/styleattribute.hpp: new [ui/richtext.h]
	* util/rich/text.cpp, util/rich/text.hpp: new [ui/richtext.h]
	* util/rich/visitor.cpp, util/rich/visitor.hpp: new [ui/richtext.h]

2016-05-24  Stefan Reuther  <streu@gmx.de>

	* game/browser/account.cpp, game/browser/account.hpp: new
	* game/browser/accountfolder.cpp, game/browser/accountfolder.hpp: new, incomplete
	* game/browser/accountmanager.cpp, game/browser/accountmanager.hpp: new, incomplete
	* util/profiledirectory.cpp, util/profiledirectory.hpp: new
	* ui/widgets/simpleiconbox.cpp, ui/widgets/simpleiconbox.hpp: new [ui/widgets/dircrumbs.h]
	* ui/widgets/iconbox.cpp, ui/widgets/iconbox.hpp: new [ui/iconbox.h]
	* main/c2ng.cpp: prototype browser
	* ui/group.cpp, ui/group.hpp: new [ui/ui.h]

2016-05-23  Stefan Reuther  <streu@gmx.de>

	* client/widgets/folderlistbox.cpp, client/widgets/folderlistbox.hpp: new

2016-05-22  Stefan Reuther  <streu@gmx.de>

	* client/sessionthread.cpp, client/sessionthread.hpp: new
	* util/requestthread.cpp, util/requestthread.hpp: new
	* main/c2ng.cpp: new [client/main.cc]
	* ui/eventloop.cpp, ui/eventloop.hpp: new
	* gfx/clipfilter.cpp, gfx/clipfilter.hpp: new [gfx/clip.h]
	* ui/scrollablewidget.cpp, ui/scrollablewidget.hpp: new [ui/listbox.h]
	* ui/widgets/abstractlistbox.cpp, ui/widgets/abstractlistbox.hpp: new [ui/listbox.h]

2016-05-20  Stefan Reuther  <streu@gmx.de>

	* game/browser/directoryhandler.cpp, game/browser/directoryhandler.hpp: new
	* game/browser/handler.hpp: new

2016-05-16  Stefan Reuther  <streu@gmx.de>

	* game/browser/browser.cpp, game/browser/browser.hpp: new
	* game/browser/filesystemfolder.cpp, game/browser/filesystemfolder.hpp: new
	* game/browser/filesystemrootfolder.cpp, game/browser/filesystemrootfolder.hpp: new
	* game/browser/folder.hpp: new
	* game/browser/rootfolder.cpp, game/browser/rootfolder.hpp: new
	* ui/res/directoryprovider.cpp, ui/res/directoryprovider.hpp: new [resmgr/resdir.h]
	* ui/res/manager.cpp, ui/res/manager.hpp: new [resmgr/resmgr.h]
	* ui/res/provider.cpp, ui/res/provider.hpp: new [resmgr/resmgr.h]

2016-05-13  Stefan Reuther  <streu@gmx.de>

	* gfx/blit.cpp, gfx/blit.hpp: new [gfx/blit.h]

2016-05-04  Stefan Reuther  <streu@gmx.de>

	* ui/res/ccimageloader.cpp, ui/res/ccimageloader.hpp: new [gfx/pixmap.h], temporary
	* ui/res/engineimageloader.cpp, ui/res/engineimageloader.hpp: new [gfx/pixmap.h], temporary
	* ui/res/imageloader.hpp: new, temporary
	* gfx/timerqueue.cpp, gfx/timerqueue.hpp: new
	* gfx/timer.hpp: new

2016-05-03  Stefan Reuther  <streu@gmx.de>

	* util/request.hpp: new
	* util/requestdispatcher.hpp: new
	* util/requestreceiver.hpp: new
	* util/requestsender.hpp: new

2016-05-01  Stefan Reuther  <streu@gmx.de>

	* gfx/palettizedpixmap.cpp, gfx/palettizedpixmap.hpp: new
	* gfx/pixmap.hpp: new
	* gfx/pixmapcanvasimpl.hpp: new
	* gfx/rgbapixmap.cpp, gfx/rgbapixmap.hpp: new
	* gfx/primitives.hpp: moved here from gfx/sdl/surface.cpp

2016-04-29  Stefan Reuther  <streu@gmx.de>

	* ui/widgets/abstractbutton.cpp, ui/widgets/abstractbutton.hpp: new [ui/widgets/abstractbutton.h]
	* ui/widgets/button.cpp, ui/widgets/button.hpp: new [ui/widgets/button.h]

2016-04-27  Stefan Reuther  <streu@gmx.de>

	* ui/window.cpp, ui/window.hpp: new [ui/window.h]

2016-04-26  Stefan Reuther  <streu@gmx.de>

	* ui/draw.cpp, ui/draw.hpp: new [ui/util.h, ui/window.h]

2016-04-25  Stefan Reuther  <streu@gmx.de>

	* gfx/fontlist.cpp, gfx/fontlist.hpp: new
	* gfx/resourceprovider.hpp: new [replaces gfx/resourceloader.hpp]
	* ui/defaultresourceprovider.cpp, ui/defaultresourceprovider.hpp: new

2016-04-24  Stefan Reuther  <streu@gmx.de>

	* gfx/fontrequest.cpp, gfx/fontrequest.hpp: new
	* gfx/resourceloader.hpp: new
	* ui/layoutablegroup.cpp, ui/layoutablegroup.hpp: new [ui/ui.h]
	* ui/spacer.cpp, ui/spacer.hpp: new [ui/ui.h]
	* ui/widget.cpp, ui/widget.hpp: new [ui/ui.h]
	* ui/layout/axislayout.cpp, ui/layout/axislayout.hpp: new [ui/layout.h]
	* ui/layout/hbox.cpp, ui/layout/hbox.hpp: new [ui/layout.h]
	* ui/layout/info.cpp, ui/layout/info.hpp: new [ui/ui.h]
	* ui/layout/manager.hpp: new [ui/layout.h]
	* ui/layout/vbox.cpp, ui/layout/vbox.hpp: new [ui/layout.h]
	* ui/colorscheme.cpp, ui/colorscheme.hpp: new [gfx/palette.h]
	* gfx/complex.cpp, gfx/complex.hpp: new [gfx/gfxcompl.h]
	* gfx/sdl/streaminterface.cpp, gfx/sdl/streaminterface.hpp: new [io/sdlstr.h]
	* ui/cardgroup.cpp, ui/cardgroup.hpp: new
	* ui/root.cpp, ui/root.hpp: new
	* ui/simplewidget.cpp, ui/simplewidget.hpp: new
	* ui/tiledwidget.hpp: new
	* ui/widget.cpp, ui/widget.hpp: new [ui/ui.h]
	* ui/layout/info.cpp, ui/layout/info.hpp: new [ui/ui.h]
	* gfx/multiclipfilter.cpp, gfx/multiclipfilter.hpp: new [gfx/multiclip.h]
	* gfx/filter.cpp, gfx/filter.hpp: new [gfx/gfx.h]

2016-04-23  Stefan Reuther  <streu@gmx.de>

	* gfx/bitmapfont.cpp, gfx/bitmapfont.hpp: new [gfx/bmfont.h]
	* gfx/bitmapglyph.cpp, gfx/bitmapglyph.hpp: new [gfx/bmfont.h]
	* gfx/font.cpp, gfx/font.hpp: new [gfx/font.h]
	* gfx/colorscheme.cpp, gfx/colorscheme.hpp: new [gfx/gfxcontext.h]
	* gfx/context.cpp, gfx/context.hpp: new [gfx/gfxcontext.h]
	* gfx/nullcolorscheme.cpp, gfx/nullcolorscheme.hpp: new [gfx/gfxcontext.h]
	* gfx/sdl/engine.cpp, gfx/sdl/engine.hpp: new [gfx/init.h etc]
	* gfx/engine.hpp: new
	* gfx/eventconsumer.hpp: new
	* gfx/graphicsexception.cpp, gfx/graphicsexception.hpp: new [util/except.h]
	* game/score/turnscorelist.cpp, game/score/turnscorelist.hpp: new [game/stat.h]
	* game/score/turnscore.cpp, game/score/turnscore.hpp: new [game/stat.h]
	* game/score/scoreid.hpp: new [game/stat.h]
	* game/score/compoundscore.cpp, game/score/compoundscore.hpp: new [client/wscore.h]

2016-04-21  Stefan Reuther  <streu@gmx.de>

	* game/extra.cpp, game/extra.hpp: new
	* game/interface/playerproperty.cpp, game/interface/playerproperty.hpp: new [int/if/playerif.h], incomplete

2016-04-20  Stefan Reuther  <streu@gmx.de>

	* interpreter/exporter/jsonexporter.cpp, interpreter/exporter/jsonexporter.hpp: new [int/export/expjson.h]
	* interpreter/exporter/textexporter.cpp, interpreter/exporter/textexporter.cpp: new [int/export/exptext.h]
	* interpreter/exporter/dbfexporter.cpp, interpreter/exporter/dbfexporter.hpp: new [int/export/expdbf.h]

2016-04-18  Stefan Reuther  <streu@gmx.de>

	* tools/c2export.cpp: new [tools/c2export.cc]

2016-04-17  Stefan Reuther  <streu@gmx.de>

	* interpreter/exporter/exporter.cpp, interpreter/exporter/exporter.hpp: new [int/export.h]
	* interpreter/exporter/fieldlist.cpp, interpreter/exporter/fieldlist.hpp: new [int/export.h]
	* interpreter/exporter/separatedtextexporter.cpp, interpreter/exporter/separatedtextexporter.hpp: new [int/export/expsep.h]
	* util/answerprovider.hpp: new [util/answer.h]
	* interpreter/processlist.cpp, interpreter/processlist.hpp: new [int/process.h]
	* game/interface/globalcontext.cpp, game/interface/globalcontext.hpp: new [int/if/globalif.h]
	* game/interface/globalproperty.cpp, game/interface/globalproperty.hpp: new [int/if/globalif.h]
	* game/interface/planetcontext.cpp, game/interface/planetcontext.hpp: new [int/if/planetif.h]
	* interpreter/objectpropertyvector.cpp, interpreter/objectpropertyvector.hpp: new [int/intglobal.h]

2016-04-16  Stefan Reuther  <streu@gmx.de>

	* game/tables/basemissionname.cpp, game/tables/basemissionname.hpp: new [game/tables.h]
	* game/interface/baseproperty.cpp, game/interface/baseproperty.hpp: new [int/if/baseif.h]

2016-04-14  Stefan Reuther  <streu@gmx.de>

	* game/map/anyshiptype.cpp, game/map/anyshiptype.hpp: new [game/shiptype.h]
	* game/map/historyshiptype.cpp, game/map/historyshiptype.hpp: new [game/shiptype.h]
	* game/map/playedshiptype.cpp, game/map/playedshiptype.hpp: new [game/shiptype.h]

2016-04-12  Stefan Reuther  <streu@gmx.de>

	* game/tables/happinesschangename.cpp, game/tables/happinesschangename.hpp: new [game/tables.h]

2016-04-11  Stefan Reuther  <streu@gmx.de>

	* game/map/planetformula.cpp, game/map/planetformula.hpp: new [game/planetform.h]

2016-04-10  Stefan Reuther  <streu@gmx.de>

	* game/map/ship.cpp, game/map/ship.hpp: new [game/ship.h], incomplete
	* game/map/shipdata.cpp, game/map/shipdata.hpp: new [game/ship.h]
	* game/map/shiphistorydata.cpp, game/map/shiphistorydata.hpp: new [game/ship.h]
	* game/spec/mission.cpp, game/spec/mission.hpp: new [game/mission.h]
	* game/spec/missionlist.cpp, game/spec/missionlist.hpp: new [game/mission.h]
	* game/shipbuildorder.cpp, game/shipbuildorder.cpp: new
	* game/tables/happinessname.cpp, game/tables/happinessname.hpp: new [game/tables.h]
	* game/tables/mineralmassclassname.cpp, game/tables/mineralmassclassname.hpp: new [game/tables.h]
	* game/tables/temperaturename.cpp, game/tables/temperaturename.hpp: new [game/tables.h]
	* game/tables/industrylevel.cpp, game/tables/industrylevel.hpp: new [game/tables.h]
	* game/tables/nativegovernmentname.cpp, game/tables/nativegovernmentname.hpp: new [game/tables.h]
	* game/tables/nativeracename.cpp, game/tables/nativeracename.hpp: new [game/tables.h]

2016-04-09  Stefan Reuther  <streu@gmx.de>

	* interpreter/closure.cpp, interpreter/closure.hpp: new [int/compound.h]
	* interpreter/hashdata.cpp, interpreter/hashdata.hpp: new [int/hash.h]
	* interpreter/hashvalue.cpp, interpreter/hashvalue.hpp: new [int/hash.h]
	* game/interface/planetproperty.hpp: new [int/if/planetif.h], incomplete
	* interpreter/savevisitor.cpp, interpreter/savevisitor.hpp: new [int/value.h]
	* interpreter/tagnode.hpp: new [int/value.h]

2016-04-08  Stefan Reuther  <streu@gmx.de>

	* game/session.cpp, game/session.hpp: new
	* game/game.cpp, game/game.hpp: new
	* game/unitscoredefinitionlist.cpp, game/unitscoredefinitionlist.hpp: new [game/unitscore.h]
	* game/unitscorelist.cpp, game/unitscorelist.hpp: new [game/unitscore.h]

2016-04-07  Stefan Reuther  <streu@gmx.de>

	* interpreter/selectionexpression.cpp, interpreter/selectionexpression.hpp: new [int/selexpr.h]
	* interpreter/filecommandsource.cpp, interpreter/filecommandsource.hpp: new [int/csource.h]

2016-04-06  Stefan Reuther  <streu@gmx.de>

	* interpreter/filevalue.cpp, interpreter/filevalue.hpp: new [int/value.h]
	* interpreter/memorycommandsource.cpp, interpreter/memorycommandsource.hpp: new [int/csource.h]
	* interpreter/process.cpp, interpreter/process.hpp: mostly complete
	* interpreter/subroutinevalue.cpp, interpreter/subroutinevalue.hpp: new [int/subr.h]

2016-04-05  Stefan Reuther  <streu@gmx.de>

	* interpreter/binaryexecution.cpp, interpreter/binaryexecution.hpp: new [int/binary.h]

2016-04-04  Stefan Reuther  <streu@gmx.de>

	* interpreter/process.cpp, interpreter/process.hpp: new [int/exec.h], incomplete
	* interpreter/arrayvalue.cpp, interpreter/arrayvalue.hpp: new [int/array.h]
	* interpreter/indexablevalue.cpp, interpreter/indexablevalue.hpp: new [int/compound.h]
	* interpreter/arguments.cpp, interpreter/arguments.hpp: new [int/args.h]

2016-04-03  Stefan Reuther  <streu@gmx.de>

	* interpreter/basevalue.cpp, interpreter/basevalue.hpp: new
	* interpreter/callablevalue.cpp, interpreter/callablevalue.hpp: new [int/compound.h]
	* interpreter/keymapvalue.cpp, interpreter/keymapvalue.hpp: new [int/keymap.h]
	* interpreter/nametable.cpp, interpreter/nametable.hpp: new [int/if/ifutil.h]
	* interpreter/propertyacceptor.cpp, interpreter/propertyacceptor.hpp: new [int/propenum.h]
	* interpreter/simplespecialcommand.cpp, interpreter/simplespecialcommand.hpp: new [int/special.h]
	* interpreter/singlecontext.cpp, interpreter/singlecontext.hpp: new [int/context.h]
	* interpreter/specialcommand.hpp: new [int/special.h]
	* interpreter/structuretype.cpp, interpreter/structuretype.hpp: new [int/structure.h]
	* interpreter/structurevalue.cpp, interpreter/structurevalue.hpp: new [int/structure.h]
	* interpreter/ternaryexecution.cpp, interpreter/ternaryexecution.hpp: new [int/ternary.h]
	* interpreter/typehint.hpp: new [int/if/ifutil.h]
	* interpreter/unaryexecution.cpp, interpreter/unaryexecution.hpp: new [int/unary.h]
	* util/atomtable.cpp, util/atomtable.hpp: new [util/atom.h]
	* util/key.cpp, util/key.hpp: new [int/keymap.h]
	* util/keymap.cpp, util/keymap.hpp: new [int/keymap.h]
	* util/keymaptable.cpp, util/keymaptable.hpp: new [int/keymap.h]

2016-04-02  Stefan Reuther  <streu@gmx.de>

	* game/map/rangeset.cpp, game/map/rangeset.hpp: new [game/rangeset.h]
	* game/parser/datainterface.hpp: new
	* game/parser/messageparser.cpp, game/parser/messageparser.hpp: new [game/msgparse.h]
	* game/parser/messagetemplate.cpp, game/parser/messagetemplate.hpp: new [game/msgtemplate.h]
	* game/v3/inboxfile.cpp, game/v3/inboxfile.hpp: new [game/msg.h, game/inbox.h]
	* interpreter/commandsource.cpp, interpreter/commandsource.hpp: new [int/csource.h]
	* interpreter/context.cpp, interpreter/context.hpp: new [int/context.h]
	* interpreter/contextprovider.hpp: new
	* interpreter/defaultstatementcompilationcontext.cpp, interpreter/defaultstatementcompilationcontext.hpp: new
	* interpreter/keywords.cpp, interpreter/keywords.hpp: new [int/keywords.h]
	* interpreter/propertyacceptor.hpp: new [int/propenum.h]
	* interpreter/statementcompilationcontext.cpp, interpreter/statementcompilationcontext.hpp: new [int/statement.h]
	* interpreter/statementcompiler.cpp, interpreter/statementcompiler.hpp: new [int/statement.h], incomplete

2016-03-31  Stefan Reuther  <streu@gmx.de>

	* game/parser/messagevalue.cpp, game/parser/messagevalue.hpp: new [game/parser.h]
	* game/parser/messageinformation.cpp, game/parser/messageinformation.hpp: new [game/parser.h]

2016-03-29  Stefan Reuther  <streu@gmx.de>

	* game/v3/loader.cpp, game/v3/loader.hpp: new [game/load.h]

2016-03-28  Stefan Reuther  <streu@gmx.de>

	* game/config/userconfiguration.cpp, game/config/userconfiguration.hpp: new [game/pref.h]
	* game/interpreterinterface.hpp: new
	* game/playerarray.hpp: new [game/playerset.h]
	* game/playerbitmatrix.cpp, game/playerbitmatrix.hpp: new [game/playerset.h]
	* game/turn.cpp, game/turn.hpp: new [game/global.h], draft
	* game/turnloader.hpp: new, draft
	* game/v3/resultloader.cpp, game/v3/resultloader.hpp: new [game/storage.h], draft, ugly, incomplete
	* interpreter/binaryoperation.cpp, interpreter/binaryoperation.hpp: new [int/binary.h]
	* interpreter/bytecodeobject.cpp, interpreter/bytecodeobject.hpp: new [int/bytecode.h]
	* interpreter/compilationcontext.hpp: new [int/expr.h]
	* interpreter/error.cpp, interpreter/error.hpp: new [int/interror.h]
	* interpreter/expr/assignmentnode.cpp, interpreter/expr/assignmentnode.hpp: new [int/expr.h]
	* interpreter/expr/builtinfunction.cpp, interpreter/expr/builtinfunction.hpp: new [int/builtin.h]
	* interpreter/expr/casenode.cpp, interpreter/expr/casenode.hpp: new [int/expr.h]
	* interpreter/expr/conditionalnode.cpp, interpreter/expr/conditionalnode.hpp: new [int/expr.h]
	* interpreter/expr/functioncallnode.cpp, interpreter/expr/functioncallnode.hpp: new [int/expr.h]
	* interpreter/expr/identifiernode.cpp, interpreter/expr/identifiernode.hpp: new [int/expr.h]
	* interpreter/expr/indirectcallnode.cpp, interpreter/expr/indirectcallnode.hpp: new [int/expr.h]
	* interpreter/expr/literalnode.cpp, interpreter/expr/literalnode.hpp: new [int/expr.h]
	* interpreter/expr/logicalnode.cpp, interpreter/expr/logicalnode.hpp: new [int/expr.h]
	* interpreter/expr/membernode.cpp, interpreter/expr/membernode.hpp: new [int/expr.h]
	* interpreter/expr/node.cpp, interpreter/expr/node.hpp: new [int/expr.h]
	* interpreter/expr/parser.cpp, interpreter/expr/parser.hpp: new [int/parseexpr.h]
	* interpreter/expr/rvaluenode.cpp, interpreter/expr/rvaluenode.hpp: new [int/expr.h]
	* interpreter/expr/sequencenode.cpp, interpreter/expr/sequencenode.hpp: new [int/expr.h]
	* interpreter/expr/simplenode.cpp, interpreter/expr/simplenode.hpp: new [int/expr.h]
	* interpreter/expr/simplervaluenode.cpp, interpreter/expr/simplervaluenode.hpp: new [int/expr.h]
	* interpreter/fusion.cpp, interpreter/fusion.hpp: new [int/fusion.h]
	* interpreter/opcode.cpp, interpreter/opcode.hpp: new [int/opcode.h]
	* interpreter/optimizer.cpp, interpreter/optimizer.hpp: new [int/optimize.h]
	* interpreter/ternaryoperation.cpp, interpreter/ternaryoperation.hpp: new [int/ternary.h]
	* interpreter/tokenizer.cpp, interpreter/tokenizer.hpp: new [int/lex.h]
	* interpreter/unaryoperation.cpp, interpreter/unaryoperation.hpp: new [int/unary.h]
	* interpreter/values.cpp, interpreter/values.hpp: new [int/value.h]
	* interpreter/world.hpp, interpreter/world.hpp: new [int/intglobal.h]

2016-03-27  Stefan Reuther  <streu@gmx.de>

	* game/map/anyplanettype.cpp, game/map/anyplanettype.hpp: new [game/planettype.h]
	* game/map/basedata.hpp: new
	* game/map/basestorage.cpp, game/map/basestorage.hpp: new
	* game/map/circularobject.cpp, game/map/circularobject.hpp: new [game/obj.h]
	* game/map/configuration.hpp, game/map/configuration.hpp: new [game/coord.h]
	* game/map/mapobject.cpp, game/map/mapobject.hpp: new [game/obj.h]
	* game/map/object.cpp, game/map/object.hpp: new [game/obj.h]
	* game/map/objecttype.cpp, game/map/objecttype.hpp: new [game/objtypes.h]
	* game/map/objectvector.hpp: new
	* game/map/objectvectortype.hpp: new [game/objtypes.h]
	* game/map/planet.cpp, game/map/planet.hpp: new [game/planet.h]
	* game/map/planetdata.hpp: new
	* game/map/playedbasetype.cpp, game/map/playedbasetype.hpp: new [game/planettype.h]
	* game/map/playedplanettype.cpp, game/map/playedplanettype.hpp: new [game/planettype.h]
	* game/map/point.cpp, game/map/point.hpp: moved from game/
	* game/map/universe.cpp, game/map/universe.hpp: new [game/univ.h, placeholder for now]
	* game/types.hpp: new

2016-03-26  Stefan Reuther  <streu@gmx.de>

	* game/spec/friendlycode.cpp, game/spec/friendlycode.hpp: new [game/fcode.h]
	* game/spec/friendlycodelist.cpp, game/spec/friendlycodelist.hpp: new [game/fcode.h]

2016-03-25  Stefan Reuther  <streu@gmx.de>

	* game/vcr/classic/database.cpp, game/vcr/classic/database.hpp: new [game/classicvcr.h]
	* util/math.hpp: new [game/formula.h]
	* game/vcr/statistic.cpp, game/vcr/statistic.hpp: new [game/vcr.h]
	* game/vcr/score.cpp, game/vcr/score.hpp: new [game/classicvcr.h]
	* game/vcr/classic/pvcralgorithm.cpp, game/vcr/classic/pvcralgorithm.hpp: new [game/pvcr.h]

2016-03-23  Stefan Reuther  <streu@gmx.de>

	* game/vcr/classic/hostalgorithm.cpp, game/vcr/classic/hostalgorithm.hpp: new [game/tvcr.h]
	* game/vcr/classic/statustoken.cpp, game/vcr/classic/statustoken.hpp: new [game/vcr.h]

2016-03-22  Stefan Reuther  <streu@gmx.de>

	* game/vcr/classic/algorithm.cpp, game/vcr/classic/algorithm.hpp: new [game/vcr.h]
	* game/vcr/classic/battle.cpp, game/vcr/classic/battle.hpp: new [game/vcr.h, game/classicvcr.h]
	* game/vcr/classic/nullvisualizer.cpp, game/vcr/classic/nullvisualizer.hpp: new [game/vcr.h]
	* game/vcr/classic/types.hpp: new [game/vcr.h]
	* game/vcr/classic/visualizer.hpp: new [game/vcr.h]

2016-03-20  Stefan Reuther  <streu@gmx.de>

	* game/spec/standardcomponentnameprovider.cpp, game/spec/standardcomponentnameprovider.hpp: new [game/specsn.h]
	* game/vcr/battle.hpp: new [game/vcrdb.h]
	* game/vcr/database.hpp: new [game/vcrdb.h]
	* game/vcr/object.cpp, game/vcr/object.hpp: new [game/vcrobj.h]
	* game/specificationloader.hpp: new

2016-03-19  Stefan Reuther  <streu@gmx.de>

	* gfx/sdl/surface.cpp, gfx/sdl/surface.hpp: new [pcc-v2/gfx/gfx.h]
	* gfx/sdl/modetraits.hpp: new [pcc-v2/gfx/gfx-modetr.h]

2016-03-18  Stefan Reuther  <streu@gmx.de>

	* gfx/canvas.hpp: new [pcc-v2/gfx/gfx.h]
	* gfx/nullcanvas.cpp, gfx/nullcanvas.hpp: new [pcc-v2/gfx/gfx.h]
	* gfx/types.hpp: new [pcc-v2/gfx/gfxtypes.h]
	* gfx/fillpattern.cpp, gfx/fillpattern.hpp: new [pcc-v2/gfx/gfxutil.h]
	* gfx/point.hpp: new [pcc-v2/gfx/gfxutil.h]
	* gfx/rectangle.cpp, gfx/rectangle.hpp: new [pcc-v2/gfx/gfxutil.h]
	* gfx/rectangleset.cpp, gfx/rectangleset.hpp: new [pcc-v2/gfx/gfxutil.h]
	* game/v3/rootloader.cpp, game/v3/rootloader.hpp: new
	* game/v3/directoryscanner.cpp, game/v3/directoryscanner.hpp: new [pcc-v2/game/storage/overview.h]

2016-03-17  Stefan Reuther  <streu@gmx.de>

	* game/v3/turnfile.cpp, game/v3/turnfile.hpp: new [pcc-v2/game/trn.h]
	* util/randomnumbergenerator.cpp, util/randomnumbergenerator.hpp: new [pcc-v2/util/random.h]
	* game/timestamp.cpp, game/timestamp.hpp: new [pcc-v2/game/timestamp.h]
	* game/spec/nullcomponentnameprovider.cpp, game/spec/nullcomponentnameprovider.hpp: new

2016-03-16  Stefan Reuther  <streu@gmx.de>

	* game/config/configurationparser.cpp, game/config/configurationparser.hpp: new [pcc-v2/util/confpars.h]
	* util/configurationfileparser.cpp, util/configurationfileparser.hpp: new [pcc-v2/util/confpars.h]

2016-03-15  Stefan Reuther  <streu@gmx.de>

	* game/player.cpp, game/player.hpp: new [pcc-v2/game/racename.h]
	* game/playerlist.cpp, game/playerlist.hpp: new [pcc-v2/game/racename.h]
	* game/root.cpp, game/root.hpp: new
	* game/spec/hullassignmentlist.cpp, game/spec/hullassignmentlist.hpp: new [pcc-v2/game/spec.h]

2016-03-14  Stefan Reuther  <streu@gmx.de>

	* game/v3/registrationkey.cpp, game/v3/registrationkey.hpp: new [pcc-v2/game/reg.h]
	* game/hostversion.cpp, game/hostversion.hpp: new [pcc-v2/game/host.h]
	* game/spec/hullfunctionassignmentlist.cpp, game/spec/hullfunctionassignmentlist.hpp: new [pcc-v2/game/spec.h]
	* game/spec/hull.cpp, game/spec/hull.hpp: new [pcc-v2/game/spec.h]

2016-03-13  Stefan Reuther  <streu@gmx.de>

	* game/config/aliasoption.cpp, game/config/aliasoption.hpp: new [pcc-v2/game/config.h]
	* game/limits.hpp: new
	* game/config/hostconfiguration.cpp, game/config/hostconfiguration.hpp: new [pcc-v2/game/config.h]
	* game/config/costarrayoption.cpp, game/config/costarrayoption.hpp: new [pcc-v2/game/config.h]
	* game/config/collapsibleintegerarrayoption.hpp: new [pcc-v2/game/config.h]
	* game/config/bitsetvalueparser.cpp, game/config/bitsetvalueparser.hpp: new [pcc-v2/util/conf.h]
	* game/config/enumvalueparser.cpp, game/config/enumvalueparser.hpp: new [pcc-v2/util/conf.h]
	* game/config/genericintegerarrayoption.cpp, game/config/genericintegerarrayoption.hpp: new [pcc-v2/util/conf.h]
	* game/config/integerarrayoption.hpp: new [pcc-v2/util/conf.h]

2016-03-11  Stefan Reuther  <streu@gmx.de>

	* game/config/configuration.cpp, game/config/configuration.hpp: new [pcc-v2/util/conf.h]
	* game/config/integeroption.cpp, game/config/integeroption.hpp: new [pcc-v2/util/conf.h]
	* game/config/stringoption.cpp, game/config/stringoption.hpp: new [pcc-v2/util/conf.h]

2016-03-10  Stefan Reuther  <streu@gmx.de>

	* game/config/booleanvalueparser.cpp, game/config/booleanvalueparser.hpp: new [pcc-v2/util/conf.h]
	* game/config/configurationoption.cpp, game/config/configurationoption.hpp: new [pcc-v2/util/conf.h]
	* game/config/integervalueparser.cpp, game/config/integervalueparser.hpp: new [pcc-v2/util/conf.h]
	* game/config/valueparser.cpp, game/config/valueparser.hpp: new [pcc-v2/util/conf.h]

2016-03-08  Stefan Reuther  <streu@gmx.de>

	* game/spec/modifiedhullfunctionlist.cpp, game/spec/modifiedhullfunctionlist.hpp: new [pcc-v2/game/hullfunc.h]
	* game/spec/hullfunctionlist.cpp, game/spec/hullfunctionlist.hpp: new [pcc-v2/game/hullfunc.h]

2016-03-07  Stefan Reuther  <streu@gmx.de>

	* util/string.cpp, util/string.hpp: new [pcc-v2/util/misc.h]

2016-03-06  Stefan Reuther  <streu@gmx.de>

	* game/playerset.cpp, game/playerset.hpp: new [pcc-v2/game/playerset.h]
	* game/spec/hullfunction.cpp, game/spec/hullfunction.hpp: new [pcc-v2/game/hullfunc.h]
	* game/experiencelevelset.cpp, game/experiencelevelset.hpp: new [pcc-v2/game/exp.h]
	* game/spec/basichullfunctionlist.cpp, game/spec/basichullfunctionlist.hpp: new [pcc-v2/game/hullfunc.h]
	* game/spec/basichullfunction.cpp, game/spec/basichullfunction.hpp: new [pcc-v2/game/hullfunc.h]
	* util/fileparser.cpp, util/fileparser.hpp: new [pcc-v2/util/filepars.h]
	* game/cargospec.cpp, game/cargospec.hpp: new [pcc-v2/game/cspec.h]
	* game/element.cpp, game/element.hpp: new [pcc-v2/game/cargotype.h]
	* game/point.cpp, game/point.hpp: new [pcc-v2/game/coord.h]
	* game/spec/beam.cpp, game/spec/beam.hpp: new [pcc-v2/game/spec.h]
	* game/spec/component.cpp, game/spec/component.hpp: new [pcc-v2/game/spec.h]
	* game/spec/componentnameprovider.hpp: new
	* game/spec/componentvector.hpp: new
	* game/spec/cost.cpp, game/spec/cost.hpp: new [pcc-v2/game/cost.h]
	* game/spec/engine.cpp, game/spec/engine.hpp: new [pcc-v2/game/spec.h]
	* game/spec/shiplist.cpp, game/spec/shiplist.hpp: new
	* game/spec/torpedolauncher.cpp, game/spec/torpedolauncher.hpp: new [pcc-v2/game/spec.h]
	* game/spec/weapon.cpp, game/spec/weapon.hpp: new [pcc-v2/game/spec.h]
	* game/v3/resultfile.cpp, game/v3/resultfile.hpp: new [pcc-v2/game/rst.h]
	* game/v3/specificationloader.cpp, game/v3/specificationloader.hpp: new
	* game/v3/structures.hpp: new [pcc-v2/game/struct.in]
